Since version 5.10.0 there exists a "ChangeLog-VERSION" file for the
changes in each Maxima version.
Look there for changes in recent versions.

2005-03-13 12:00  robert_dodier

	* src/nset.lisp, tests/rtestnset.mac:
	  Moved the nset package from share into the core source code.
	  Nset is a collection of functions for working with finite sets.

2005-02-27 12:00  robert_dodier

	* src/mt19937.lisp, tests/rtestmt19937.mac:
	  Ported CMUCL's implementation of the Mersenne twister
	  random number generator to Maxima.

2004-09-23 19:51  amundson

	* configure.in: Bump version number to 5.9.1.

2004-09-23 19:50  amundson

	* share/contrib/format/: coeflist.lisp, format.lisp: Followed
	  instructions in README to make code compatible with Maxima.
	  Untested.

2004-09-22 21:50  amundson

	* src/maxima.in: -u, --use-version argument was being ignored.
	  Fixed.

2004-09-21 14:36  belanger

	* interfaces/emacs/emaxima/emaxima.el: Fixed a problem with ":=" in
	  the output.  Fixed a problem with (%t..) output.

2004-09-19 08:50  amundson

	* src/macsys.lisp: Fix problem with with_stdout under sbcl and
	  cmucl.

2004-09-19 08:49  amundson

	* src/transs.lisp: Fix problem with compile_file under sbcl.

2004-09-19 08:14  amundson

	* doc/maximabook/Makefile: Remove trailing ampersands from ps. Add
	  ampersands to dvi.

2004-09-19 08:13  amundson

	* configure.in: increment version number

2004-09-18 16:39  amundson

	* doc/Makefile.am: Add a few missing files. A few other files were
	  moved up or down in the list.

2004-09-08 06:44  amundson

	* src/init-cl.lisp: Ensure prompt is always printed before input in
	  maxima-read-eval-print loop.

2004-09-06 00:14  vvzhy

	* interfaces/xmaxima/Tkmaxima/Paths.tcl: We partially restore some
	  Windows 9x specific code.  Maxima works well on Windows 95, 98,
	  Me, 2000 and XP.

2004-09-06 00:07  vvzhy

	* interfaces/xmaxima/win32/Makefile.in: stdlib.h is required by GCL
	  2.6.5 compiler

2004-08-26 19:16  amundson

	* src/macsys.lisp: added *prompt-(pre,suf)fix* to demo and read
	  commands.

2004-08-25 08:29  amundson

	* src/: gcl-depends.mk, sbcl-depends.mk: update

2004-08-19 21:36  amundson

	* doc/info/Plotting.texi: Add ticks to parametric examples. Fix
	  typo. Comment out broken ?draw2d example.

2004-08-19 20:22  amundson

	* src/macdes.lisp: Properly set info paths when using GCL's
	  internal info routines.

2004-08-19 20:21  amundson

	* src/sys-proclaim.lisp: proclaims generated with and for gcl
	  2.6.5.

2004-08-19 20:19  amundson

	* src/maxima.system: Workaround proclaim bug in GCL versions
	  <=2.6.3.

2004-08-19 20:15  amundson

	* lisp-utils/defsystem.lisp, src/maxima-package.lisp: Added updates
	  for SBCL 0.8.13 from Andreas Eder.

2004-08-19 20:11  amundson

	* doc/info/Plotting.texi: Removed line breaks within strings to be
	  sent to gnuplot.

2004-08-19 20:07  amundson

	* README.lisps: Updated for recent versions of GCL and CMUCL. Added
	  explicit bit about --enable-ansi flag for GCL.

2004-07-26 07:08  billingd

	* interfaces/xmaxima/Makefile.am: Add files to WIN32_FILES.

2004-07-25 17:56  amundson

	* ChangeLog, configure.in: Updates for 5.9.0.9beta2.

2004-07-25 13:11  amundson

	* NEWS, README.lisps: updates.

2004-07-25 12:22  amundson

	* src/sys-proclaim.lisp: first version generated by makefile.

2004-07-25 12:22  amundson

	* src/macdes.lisp: Optimization: GCL's built-in info is much faster
	  than our info implementation. However, GCL's info won't respect
	  out *prompt- variables. Compromise by only calling our info when
	  the prompts are not empty.

2004-07-25 12:17  amundson

	* src/: Makefile.am, generate-sys-proclaim.lisp: Update Makefile.am
	  for sys-proclaim.lisp.

	  Generate sys-proclaim.lisp with sys-proclaim target.

2004-07-25 11:59  amundson

	* src/: init-cl.lisp, rmaxima.in: Add --disable-readline option so
	  that rmaxima will work with gcl. I don't see any way to disable
	  readline at runtime in clisp.

2004-07-25 11:57  amundson

	* tests/Makefile.am: change all instances of *-check to check-* for
	  consistency with targets such as clean-* in src directory.

2004-07-24 23:00  amundson

	* src/: SYS-DECLAIM.lisp, SYS-PROCLAIM.lisp, clisp-depends.mk,
	  cmucl-depends.mk, gcl-depends.mk, maxima.system,
	  sys-proclaim.lisp: Make proper proclaims for GCL. Still need a
	  way to generate sys-proclaims.lisp. Speedup for GCL is nearly a
	  factor of 2 on the test suite.

2004-07-24 20:48  amundson

	* src/plot.lisp: Remove obsolete reference to 'zplot'. It clearly
	  is no longer supported.

2004-07-24 20:47  amundson

	* src/merror.lisp: Fix typo in an error message.

2004-07-24 12:17  amundson

	* src/: cl-info.lisp, macdes.lisp, maxima-package.lisp,
	  maxima.system, nregex.lisp: Let GCL use the maxima info routines
	  instead of its built-in info routines. This allows us to treat
	  the prompt prefix and suffix properly with GCL.

2004-07-24 12:06  amundson

	* doc/info/Plotting.texi: 1) add examples of complex plots.  2) add
	  documentation for make_transform.  3) fix references to
	  make_transform.

2004-07-23 08:16  amundson

	* doc/info/Plotting.texi: Modify documentation for PLOT_OPTIONS to
	  reflect the many new gnuplot options. Entirely rewrote the
	  PLOT_OPTIONS section in an attempt to make it more coherent.

2004-07-16 09:19  rtoy

	* src/opers.lisp: MUL2* should call *, not f* because the args are
	  numbers, not fixnums!

2004-07-14 21:20  amundson

	* configure.in: give CMUCL_RUNTIME a default value, no matter what

2004-07-12 09:01  rtoy

	* src/ellipt.lisp: [ maxima-Bugs-908185 ] wrong derivative of
	  elliptic_e in src/ellipt.lisp

	  Apply patch in bug report.

2004-07-03 23:47  billingd

	* interfaces/xmaxima/win32/: InfoBefore.txt, readme.txt: 2004-07-04
	   David Billinghurst

	  * interfaces/xmaxima/win32/readme.txt:  Fix formatting

	  * interfaces/xmaxima/win32/InfoBefore.txt: Remove comments about
	  directory names with spaces.	Add notes about windows 95 and
	  environment space.

2004-07-03 23:41  billingd

	* maxima.iss.in: 2004-07-04  David Billinghurst

	  * maxima.iss.in:  Default installation path restored to Program
	  Files

2004-07-03 22:30  billingd

	* interfaces/xmaxima/Tkmaxima/Paths.tcl: 2004-07-04  David
	  Billinghurst

	  * interfaces/xmaxima/Tkmaxima/Paths.tcl:

	  These changes remove some windows 95 specific code.  For once, it
	  has been possible to clean up, rather than add another layer of
	  hacks.   - Remove code to set path.  This is now done in
	  maxima.bat so that	 the command line version works.   - Remove
	  special case code to bypass maxima.bat on windows 95

2004-07-03 22:18  billingd

	* interfaces/xmaxima/win32/Makefile.in: 2004-07-04  David
	  Billinghurst

	  * interfaces/xmaxima/win32/Makefile.in: Remove hackery to
	  maxima-init.lisp that hard codes path to gcc.  No longer required
	  since:  - xmaxima under windows 95 now uses maxima.bat  - an
	  correct path is set in maxima.bat by windows installer

2004-07-03 22:12  billingd

	* maxima.iss.in: 2004-07-04  David Billinghurst

	  * maxima.iss.in:  Add maxima.bat to start menu.

2004-07-03 22:09  billingd

	* src/maxima.bat.in: 2004-07-04  David Billinghurst

	  * src/maxima.bat.in: Set PATH environment variable.  Required for
	  plotting from command line maxima.  Will allow simplification
	  elsewhere.

2004-07-02 20:48  billingd

	* src/maxima.bat.in: Set maxima_prefix environment variable

2004-07-02 20:44  billingd

	* interfaces/xmaxima/Tkmaxima/Paths.tcl: 2004-07-03  David
	  Billinghurst

	  * interfaces/xmaxima/Tkmaxima/Paths.tcl: Add windows specific
	  code for case when path to maxima executable (script) contains a
	  space.

2004-07-02 16:15  vttoth

	* share/tensor/: itensor.lisp, symtry.lisp: Fix to make CANFORM
	  apply symmetries to both verb and noun forms

2004-07-02 01:48  billingd

	* maxima.iss.in: 2004-07-01  David Billinghurst

		  * maxima.iss.in:  New routine to convert paths containing
	  spaces
		  to equivalent short paths.

2004-07-02 00:21  billingd

	* interfaces/xmaxima/win32/readme.txt: 2004-07-01  David
	  Billinghurst

		  * interfaces/xmaxima/win32/readme.txt:
		  Add text on source of other binary files in Windows
	  package.
		  Add solution to "Out of environment space" error.

2004-07-01 12:57  belanger

	* interfaces/emacs/emaxima/emaxima.sty: Added the new session
	  prompts.

2004-07-01 12:56  belanger

	* interfaces/emacs/emaxima/emaxima.el: Changed the session prompts
	  to (sortof) match the new Maxima prompts.

2004-07-01 04:21  billingd

	* maxima.iss.in, interfaces/xmaxima/win32/Makefile.in,
	  interfaces/xmaxima/win32/readme.txt: 2004-07-01  David
	  Billinghurst

	  * maxima.iss.in: Change CopyMode: alwaysoverwrite to Flags:
	  ignoreversion Add code to update maxima_prefix environment
	  variable in maxima.bat Add windows specific readme.txt

	  * interfaces/xmaxima/win32/Makefile.in Install gnuplot binary
	  files in bin/ Don't override default plot_format in
	  maxima-init.lisp Install windows specific readme.txt file

	  * interfaces/xmaxima/win32/readme.txt Stub of windows specifiv
	  readme file

2004-06-26 18:45  billingd

	* INSTALL.win32: * INSTALL.win32:  Update for maxima-5.9.1 and
	  gcl-2.6.2

2004-06-26 08:24  billingd

	* maxima.iss.in: * maxima.iss.in:  Add compression options.
	  Decrease size from 21 MB to 13 MB

2004-06-25 06:07  billingd

	* maxima.iss.in, interfaces/xmaxima/win32/InfoBefore.txt: *
	  interfaces/xmaxima/win32/InfoBefore.txt: New file.  *
	  maxima.iss.in: Use InfoBefore file.

2004-06-24 21:39  amundson

	* ChangeLog, configure.in: Updates for 5.9.0.9beta1.

2004-06-21 22:00  amundson

	* README.rpms, maxima.spec.in: rpm updates

2004-06-21 22:00  amundson

	* interfaces/xmaxima/Makefile.am: bug fix: some files were missing
	  from tarball.

2004-06-21 21:58  amundson

	* src/mactex.lisp: Bug fix from Andrej Grozin.

2004-06-21 20:41  amundson

	* doc/info/Makefile.am, interfaces/xmaxima/Makefile.am,
	  Makefile.am, README.lisps, README.rpms: updates for 5.9.1
	  release.

2004-06-21 20:39  amundson

	* admin/sfquery.py: small bug fix.

2004-06-21 20:36  amundson

	* AUTHORS: Add everyone with cvs write access.

2004-06-15 03:31  starseeker

	* share/contrib/lurkmathml/: README, mathml.lisp,
	  mathml_ref_list_for_IE, mathmltest, maximadiffs.txt: Uploaded
	  David Drysdale's mathml code for Maxima, which seems to have a
	  little bit different functionality than Paul Wang's.

2004-06-13 21:25  billingd

	* interfaces/xmaxima/win32/Makefile.in: Add some fixes for windows
	  release.  While not perfect, these document the fixes required to
	  generate a working maxima/xmaxima.  I have chosen to hack
	  maxima-init-lisp so that the changes are accessible to users.

	  During installation  - maxima.bat must have DOS line termination
	  on win95

	  Add code to maxima-init.lisp to:  - Set path to gcc by prefixing
	  compiler::*cc* with *maxima-prefix\bin  - Ensure path to gcc is
	  '\' separated. Required for win95  - Set default PLOT_FORMAT to
	  OPENMATH so xmaxima plotting works out of box

2004-06-13 21:14  billingd

	* interfaces/xmaxima/Tkmaxima/RunMaxima.tcl: Update to recognise
	  changes to maxima prompts  - allow both C and %i as input prefix
	  - allow both D and %o as output prefix

2004-06-13 21:10  billingd

	* interfaces/xmaxima/intro.html: Link to local copy of maxima
	  manual, rather than the out of date copy at
	  http://www.ma.utexas.edu/maxima/

2004-06-03 21:22  amundson

	* INSTALL, NEWS, README, README.external, README.lisps: Updates for
	  5.9.1

2004-05-28 04:50  starseeker

	* share/contrib/mcclim/: listeneroutput.png, postscriptoutput.png:
	  Second attempt to upload these correctly (used cvs add -kb this
	  time)

2004-05-28 04:49  starseeker

	* share/contrib/mcclim/: listeneroutput.png, postscriptoutput.png:
	  didn't commit these properly as binary files

2004-05-27 21:54  starseeker

	* share/contrib/mcclim/: README, formula.lisp, listeneroutput.png,
	  postscriptoutput.png: Adding Andy Hefner's McCLIM code for
	  displaying math formulas.  It doesn't have any abilities to
	  interface with Maxima yet.

2004-05-24 21:40  billingd

	* src/solve.lisp, tests/rtest15.mac: Fix for bug calculating
	  eigenvalues() with multiple roots

	  For example,
	  eigenvalues(matrix([3,1,0,0],[-4,-1,0,0],[7,1,2,1],[-17,-6,-1,0]));

	  Patch by Barton Willis, reviewed by Gosei Furuya.

2004-05-22 09:23  vttoth

	* share/tensor/: ctensr.mac, itensor.lisp: Additional minor fixes
	  to CTENSR/ITENSOR.

2004-05-20 13:12  belanger

	* interfaces/emacs/emaxima/maxima.el: Added the function
	  `maxima-clear-queue', which gets rid of all commands waiting to
	  be sent to Maxima.  Had `maxima-clear-queue' called whenever the
	  maxima process is killed.

2004-05-19 22:14  wjenkner

	* tests/rtest15.mac: Add test case for #956730 from Stavros
	  Macrakis.

2004-05-19 22:12  wjenkner

	* src/defint.lisp: (sinrx): Check that the argument is not atomic.
	  Observed by Stavros Macrakis (#956730).

2004-05-17 20:26  billingd

	* share/Makefile.am: Update list of files in
	  share/contrib/diffequations/tests

2004-05-16 07:08  billingd

	* share/contrib/diffequations/tests/: rtest_ode1_abel.mac,
	  rtest_ode1_riccati.mac, rtest_sym.mac, rtest_sym2.mac,
	  rtestode_murphy1.mac, rtestode_murphy2.mac: Update tests in
	  share/contrib/diffequations/tests.  Move loading of files to the
	  Makefile.  Turn of verbose output from contrib_ode.mac.

2004-05-16 07:03  billingd

	* share/contrib/diffequations/tests/: Makefile, summarize-log,
	  tests.lisp, testsuite.lisp: Convert
	  share/contrib/diffequations/tests directory to use the new (April
	  2004) testsuite driver routines.

2004-05-16 06:41  billingd

	* share/contrib/diffequations/tests/: rtestode_murphy1.mac,
	  rtestode_murphy2.mac: Change all upper-case %T to lower-case %t
	  in expected answers.

2004-05-16 06:33  billingd

	* share/contrib/diffequations/ode1_abel.mac: ode1_abel.mac
	  (ode1_abel2):  Return correct result when not verbose.

2004-05-14 17:27  amundson

	* src/mactex.lisp: fix for tex(%) from Jay Belanger.

2004-05-14 17:25  amundson

	* src/suprv1.lisp: Set %i=%I to work around case problems after
	  inchar change.

2004-05-14 15:21  vttoth

	* share/Makefile.am: Makefile update for the tensor package

2004-05-14 13:25  vttoth

	* share/tensor/: lckdt.mac, ten_alg.dem: Adding a missing macro
	  file.

2004-05-14 10:49  vttoth

	* share/tensor/: ex_calc.mac, itensor.lisp: Yet another fix to
	  KDELTA contraction.

2004-05-13 15:38  amundson

	* tests/rtest7.mac: Update to new default value of linechar. In
	  addition, explicity set linechar so that tests are not sensitive
	  to default values.

2004-05-12 10:07  vttoth

	* share/tensor/: canten.lisp, ex_calc.mac, itensor.lisp, lch.mac,
	  symtry.lisp, ten_alg.dem: One more round of fixes, mainly to
	  solve problems with KDELTA, LC, and contractions involving
	  numeric indices.

2004-05-11 20:41  amundson

	* src/mactex.lisp: Set %i=%I to work around case problems after
	  inchar change. Several fixes from Jay Belanger.

2004-05-11 14:49  belanger

	* interfaces/emacs/emaxima/: maxima.el, emaxima.el, emaxima.sty:
	  Made changes for the new prompts.

2004-05-10 21:29  amundson

	* maxima.spec.in: Updates for 5.9.1. There are some very unclean
	  hacks in this version. I hope they can be cleaned up when they
	  are better understood.

2004-05-10 21:27  amundson

	* src/commac.lisp, src/mactex.lisp, src/suprv1.lisp,
	  doc/info/Trigonometric.texi, doc/info/Affine.texi,
	  doc/info/Command.texi, doc/info/Ctensor.texi,
	  doc/info/Debugging.texi, doc/info/Differential.texi,
	  doc/info/Differentiation.texi, doc/info/Elliptic.texi,
	  doc/info/Equations.texi, doc/info/Expressions.texi,
	  doc/info/Floating.texi, doc/info/Function.texi,
	  doc/info/Groups.texi, doc/info/Help.texi, doc/info/Input.texi,
	  doc/info/Integration.texi, doc/info/Introduction.texi,
	  doc/info/Lists.texi, doc/info/Logarithms.texi,
	  doc/info/Matrices.texi, doc/info/None.texi, doc/info/Number.texi,
	  doc/info/Numerical.texi, doc/info/Operators.texi,
	  doc/info/Plotting.texi, doc/info/Polynomials.texi,
	  doc/info/Program.texi, doc/info/Rules.texi,
	  doc/info/Runtime.texi, doc/info/Series.texi,
	  doc/info/SpecfunII.texi, doc/info/Special.texi,
	  doc/info/Symmetries.texi, doc/info/Tensor.texi: Change default
	  $inchar to %i, $outchar to %o and $linechar to %t.

2004-05-10 12:05  rtoy

	* doc/info/Integration.texi: Add rudimentary documentation for the
	  quadpack routines.

2004-05-08 17:47  wjenkner

	* src/trans4.lisp: Fix translation of rules.

	  (def%tr $matchdeclare): Insert a space between $any and  `.'

	  (patch-up-meval-in-fset, defun-prop (lambda tr-lisp->lisp)): Here
	  is an example due to Barton Willis: Translating a file containing

	  matchdeclare(x,true); tellsimpafter(f(x),0);

	  resulted in lisp code containing

	  (DEFUN |$fRULE1|	  (LAMBDA (X ANS A3) ...))

2004-05-07 06:45  vttoth

	* share/tensor/ex_calc.mac: Fixing the interior product and the
	  Lie-derivative.

2004-05-06 19:21  vttoth

	* share/: Makefile.am, tensor/ademo-2steps.dem, tensor/ademo.dem,
	  tensor/ex_calc.dem, tensor/ex_calc.mac, tensor/itensor.dem,
	  tensor/itensor.lisp, tensor/kaluza.dem, tensor/kaluza.mac,
	  tensor/ten_alg.dem: Fixed INDICES in itensor, the interior
	  product in ex_calc, and several demos.

2004-05-06 01:26  billingd

	* share/contrib/diffequations/tests/: rtest_ode1_abel.mac,
	  rtestode_murphy1.mac: Update tests for Abel equations of first
	  and second kind.

2004-05-05 21:56  amundson

	* ChangeLog: updated by cvs2cl

2004-05-05 21:48  billingd

	* share/contrib/diffequations/ode1_abel.mac: 2004-05-06  David
	  Billinghurst

		  * share/contrib/diffequations/ode1_abel.mac
		  Small bug fixes for Abel equation of second kind.

2004-05-05 21:39  billingd

	* share/contrib/diffequations/contrib_ode.mac: 2004-05-06  David
	  Billinghurst

		  * share/contrib/diffequations/contrib_ode.mac
		  Extend ode_check to check implicit solutions of ODEs

2004-05-05 20:44  amundson

	* share/: physics/gamkah.lisp, physics/gammtr.lisp,
	  physics/gamnoc.lisp, physics/gamsq.lisp, Makefile.am,
	  physics/gam5.lisp, physics/gamalg.dem, physics/gamalg.lisp,
	  physics/gamalg.usg, physics/gamchi.lisp, physics/gamcon.lisp,
	  physics/gamgfi.lisp: Remove gamalg package. Apparently, the
	  authors did not want it bundled with Macsyma (or, presumbaly,
	  Maxima.) See the thread "status of gamalg" from May 2004 on the
	  Maxima mailing list.

2004-05-05 20:35  amundson

	* src/mactex.lisp: Updates compiled by Andrej Grozin. He writes:

	  Also, some of bug fixes (and minor improvements) to mactex.lisp
	  are notyet incorporated. This patch is larger; it includes recent
	  fixes fromJesper Harder <harder@ifa.au.dk> of the problem
	  withtex(x[i]^2)$and enhancements from Marek Rychlik
	  <rychlik@u.arizona.edu> fortex(let(sin(x)*cos(y),sin(2*x)/2))$and
	  similar let-rules.

2004-05-05 20:33  amundson

	* src/macsys.lisp: Simple bug fix from Andrej Grozin.

2004-05-05 14:16  vttoth

	* share/tensor/: kaluza.dem, kaluza.mac: New example demonstrates
	  the use of derivative indices in itensor.

2004-05-05 14:14  vttoth

	* share/tensor/itensor.lisp: Improvements to itensor now make it
	  able to deal with most expressions containing derivative indices.
	  A new example, kaluza.dem, demonstrates these features.

2004-05-04 10:21  rtoy

	* src/autoconf-variables.lisp.in: Needs a final newline so that
	  autoconf-variables.lisp contains the last line.  (May only be an
	  issue on Solaris.)

2004-05-04 10:20  rtoy

	* src/acl6-depends.mk: Update dependencies for
	  autoconf-variables.lisp and server.lisp.

2004-05-03 23:52  billingd

	* share/contrib/diffequations/contrib_ode.usg: 2004-05-04  David
	  Billinghurst

		  * share/contrib/diffequations/contrib_ode.usg
		  Documentation update

2004-05-03 23:45  billingd

	* share/contrib/diffequations/tests/rtest_ode1_abel.mac: 2004-05-04
	   David Billinghurst

		  * share/contrib/diffequations/tests/rtest_ode1_abel.mac
		  Update tests to reflect changes to ode1_abel.mac

2004-05-03 23:41  billingd

	* share/contrib/diffequations/ode1_abel.mac: 2004-05-04  David
	  Billinghurst

		  * share/contrib/diffequations/ode1_abel.mac
		  Make code for Abel equation of second kind more general
	  by
		  allowing  (g1(x)*y+g0(x))*y'(x) rather than
	  (y+g(x))*y'(x).
		  Remove debugging and redundant code
		  Fix a couple of bugs.

2004-05-03 23:35  billingd

	* share/contrib/diffequations/ode1_nonlinear.mac: 2004-05-04  David
	  Billinghurst

		  * share/contrib/diffequations/ode1_nonlinear.mac
		  Fix return value for ode1_abel

2004-05-03 00:19  billingd

	* share/contrib/diffequations/tests/rtest_ode1_abel.mac: 2004-05-03
	   David Billinghurst

		  * share/contrib/diffequations/tests/rtest_ode1_abel.mac
		  Update tests to reflect improvements in ode1_abel.mac

2004-05-03 00:16  billingd

	* share/contrib/diffequations/ode1_abel.mac: 2004-05-03  David
	  Billinghurst

		  * share/contrib/diffequations/ode1_abel.mac
		  Update work in progress.  This version essentially works.

2004-04-29 23:22  billingd

	* share/contrib/diffequations/tests/rtestode_murphy2.mac:
	  2004-04-30  David Billinghurst

		  * share/contrib/diffequations/tests/rtestode_murphy2.mac
		  Update solutions for equations (1) and (96) to match
		  current maxima output

2004-04-29 23:09  billingd

	* share/contrib/diffequations/ode1_clairault.mac: 2004-04-30  David
	  Billinghurst

		  * ode1_clairault.mac (ode1_clairault_singular):
		  Change the way that an expression is differentiated to
		  work around interference with pdiff.

2004-04-29 21:54  wjenkner

	* src/: clmacs.lisp, init-cl.lisp, maxima-package.lisp,
	  server.lisp: Some cleanup for CLISP.

	  maxima-package.lisp: Don't make MAXIMA inherit from EXT.

	  Don't import GETENV (we use MAXIMA-GETENV defined in
	  init-cl.lisp).

	  clmacs.lisp: Add package prefix to *DEFAULT-FLOAT-FORMAT*
	  (previously inherited via EXT).

	  init-cl.lisp (bye): New function (previously inherited via EXT).

	  server.lisp (setup-server, xchdir): Add package prefix to
	  SOCKET-CONNECT resp. CD (previously inherited via EXT).

2004-04-29 20:18  vttoth

	* share/tensor/itensor.dem: Correcting a minor error in this demo.

2004-04-28 22:46  belanger

	* interfaces/emacs/emaxima/maxima.el: The way blocks of code are
	  sent to the Maxima process was changed so that the user doesn't
	  need to wait while the code is being processed.

2004-04-28 20:47  belanger

	* interfaces/emacs/emaxima/emaxima.el: Removed
	  emaxima-single-string, replaced it with
	  maxima-single-string-wait.

2004-04-28 20:46  belanger

	* interfaces/emacs/emaxima/maxima.el: Added
	  maxima-single-string-wait, fixed maxima-region so it won't stop
	  emacs while input is being processed.

2004-04-28 20:24  amundson

	* plotting/Makefile.am: add header.tcl and footer.tcl.

	  Remove FORCE:

2004-04-28 19:49  amundson

	* share/Makefile.am: include and install all new share files

2004-04-28 19:48  amundson

	* Makefile.am: xmaxima-local.in and maxima-local.in

2004-04-28 11:43  amundson

	* src/Makefile.am: Include new lisp files, files for pure lisp
	  build.

2004-04-28 11:38  amundson

	* plotting/Makefile.am: Scripts are now generated files, so do not
	  include them in the tarball.

2004-04-28 11:37  amundson

	* lisp-utils/Makefile.am: Include  makealbertdoc.lisp.

2004-04-28 11:36  amundson

	* interfaces/xmaxima/Makefile.am: remove win32/maxima.bat.

2004-04-28 11:34  amundson

	* interfaces/Makefile.am: Include bin/xmaxima.iss.

2004-04-28 11:34  amundson

	* doc/share/Makefile.am: Include specfun.texi.

2004-04-28 11:29  amundson

	* doc/info/Makefile.am: Include None.texi, xref.texi.

2004-04-28 11:28  amundson

	* doc/Makefile.am: Install maximabook. Include and install doc/misc
	  directory.

2004-04-28 11:27  amundson

	* Makefile.am: Include pure lisp installation materials.

2004-04-28 11:25  amundson

	* admin/: compare_cvs_tarball, make_share_list, make_snapshots:
	  utility updates

2004-04-27 09:53  amundson

	* configure.in: fix syntax errors, add better error message when
	  cmucl runtime path cannot be determined.

2004-04-26 22:00  amundson

	* configure.in: Try using the lisp in the path for
	  cmucl_runtime_path if all else fails.

2004-04-26 16:15  vttoth

	* share/tensor/symtry.lisp: Restoring one more name conflict fix
	  that was inadvertently removed.

2004-04-26 15:42  vttoth

	* share/tensor/symtry.lisp: Restoring a name conflict fix that was
	  accidentally omitted in the last version.

2004-04-25 23:24  belanger

	* interfaces/emacs/emaxima/emaxima.el: Replaced
	  `maxima-send-string' with `emaxima-send-string' which waits for
	  output.

2004-04-25 23:23  belanger

	* interfaces/emacs/emaxima/maxima.el: `maxima-send-string' no
	  longer waits for the output.

2004-04-25 18:29  vttoth

	* share/tensor/ten_alg.dem: Additional fixes to this demo.

2004-04-25 17:35  vttoth

	* share/tensor/: ademo.dem, ten_alg.dem: Simplified demos to take
	  advantage of repairs in itensor.

2004-04-24 22:03  wjenkner

	* share/tensor/: tentex.lisp, car_iden.dem, ex_calc.dem,
	  ex_calc.mac, lch.mac, ten_alg.dem: New files from Valerij Pipin
	  (most of the commit message is taken from a description he sent
	  me in private email).

	  lch.mac: More flexible indicial Levi-Civita (permutation) tensor
	  package.

	  ex_calc.mac: Definitions for exterior calculus: exterior product,
	  interior product, exterior derivative and the Lie derivative.

	  ex_calc.dem: illustrates them in action.

	  car_iden.dem: demonstrates the Cartan identity (commutation of
	  the Lie derivative with the exterior one) for order 1,2,3,4 and
	  5.

	  ten_alg.dem: demonstrates all the current power of the itensor
	  package with respect to the mentioned additions.

	  tentex.lisp: Some tensor stuff for $tex.

2004-04-24 21:48  vttoth

	* share/tensor/itensor.usg: Correcting a documentation error.

2004-04-24 19:27  wjenkner

	* share/tensor/: canten.lisp, itensor.lisp: Changes from Valerij
	  Pipin:

	  itensor.lisp ($KDELS): New function as symmetrical counterpart to
	  $KDELTA.

	  (DELTA): Optional argument for the sake of $KDELS.

	  ($TENPR): New user level alias for RPOBJ.

	  The previous two changes were already in 1.6.

	  canten.lisp ($NAME,$CONTI,$COVI,$DERI): User level functions with
	  the same purpose as NAME resp. CONTI, COVI, DERI.

2004-04-24 18:24  wjenkner

	* share/tensor/: ademo-2steps.dem, ademo.dem, ctenso_1.dem,
	  ctenso_2.dem, ctenso_3.dem, ctenso_4.dem, ctensr.mac, gener.lisp,
	  inpfix.lisp, itensor.dem, itensor.lisp, itensor.usg, swartz.dem,
	  symtry.lisp, tensor-doc.txt: Convert DOS CR/NL end-of-line to
	  Unix style.

2004-04-24 15:08  amundson

	* src/Makefile.am: Work around a bug in automake 1.8.3. The
	  workaround version is probably better than the original.

2004-04-24 08:06  vttoth

	* share/tensor/: aaricc.mac, aaricc_bsc.mac, aaricc_spl.mac,
	  ademo-2steps.dem, ademo.dem, ademo2.dem, anew.mac, anew_add.mac,
	  birkhoff.txt, brans_bmb.mac, brbirk.mac, ctenso_1.dem,
	  ctenso_2.dem, ctenso_3.dem, ctenso_4.dem, ctensr.mac, gener.lisp,
	  inpfix.lisp, itensor.dem, itensor.lisp, itensor.usg, mmans.mac,
	  mmans_run.mac, ricci2.mac, rsn.mac, swartz.dem, symtry.lisp,
	  tensor-doc.txt: Fixed broken itensor functionality, several
	  demos, other problems. Removed some obsolete files.

2004-04-23 13:28  belanger

	* interfaces/emacs/emaxima/emaxima.el: Changed the emaxima-mode
	  keymap so it wouldn't load LaTeX-mode-map twice.  Changed the
	  emaxima-session-cell keymap to C-cC-a since C-cC-p conflicts with
	  preview-latex.

2004-04-23 09:11  vvzhy

	* src/plot.lisp: Wrong MFORMAT specification.

2004-04-23 07:41  vvzhy

	* src/: kclmac.lisp, maxima-package.lisp, plot.lisp: Import
	  "cl::handler-case" for ANSI GCL

2004-04-22 00:38  vvzhy

	* src/maxima-package.lisp: On ANSI GCL some symbols must be
	  explicitly imported from COMMON-LISP package.

2004-04-21 20:10  amundson

	* src/: clisp-depends.mk, cmucl-depends.mk, gcl-depends.mk,
	  sbcl-depends.mk: Update *-depends.mk after last maxima.system
	  update.

2004-04-21 20:08  amundson

	* configure.in, src/.cvsignore, src/Makefile.am: Install rmaxima.

2004-04-21 05:01  vvzhy

	* src/plot.lisp: Fixed: 1) inability to plot "atomic" expressions -
	  plot2d(1,...) or plot2d(x,...) 2) plot2d(cot(x),[x,0,1]) or other
	  singular expressions in GCL

2004-04-21 01:13  starseeker

	* lisp-utils/makealbertdoc.lisp: Adding script to generate
	  documentation with albert.

2004-04-20 18:17  wjenkner

	* src/nparse.lisp: (mread): Flush output after printing the prompt.

2004-04-20 18:11  wjenkner

	* src/macdes.lisp: Implement proposal made in bug #857171 (variable
	  needs to be quoted for DESCRIBE to work), discussed by R. Dodier
	  and S. Macrakis.

	  ($describe): Make it an mspec.  Also, bind
	  cl-info::*prompt-prefix* and cl-info::*prompt-suffix* here.

2004-04-20 17:54  wjenkner

	* src/cl-info.lisp: Address bug #902792 (describe interaction
	  parser not robust), submitted by S. Macrakis.

	  (print-prompt, parse-user-choice, select-info-items): New
	  functions.  (*prompt-prefix*, *prompt-suffix*,
	  +select-by-keyword-alist+): New variables.

	  (info): Use them.  Also, flush output and clear input where
	  appropriate.

2004-04-20 17:10  wjenkner

	* tests/rtest15.mac: Add tests for CHEBYF change.

2004-04-20 17:08  wjenkner

	* src/sin.lisp: (chebyf): Handle the integrand a*t^r1*(c2*t^q)^r2
	  (i.e., c1=0).

2004-04-16 07:16  amundson

	* src/rmaxima.in: initial version

2004-04-15 20:45  amundson

	* src/plot.lisp: New maxima-gnuplot interface.

	  1) Goal: the idea is not to create the ultimate plotting tool for
	  Maxima. Rather, I have tried to make the maximum functionality
	  available with the currently available tool (Gnuplot) and minimal
	  effort. Simple operations should be easy and complex operations
	  should be possible.

	  2) (New) "gnuplot" is now the default plotting format. The old
	  gnuplot interface that utilizes the mgnuplot tcl-tk script is
	  available as "mgnuplot". The old default maxima plotting package
	  is still available as "openmath".

	  3) Three gnuplot terminals are available: default, ps and dumb.
	  Each can either be displayed to the screen or saved to a file.

	  4) Several new plot_options are available: a) gnuplot_term =
	  default, ps or dumb. default is default.  b) gnuplot_out_file =
	  false or filename. false is default. Output files are gnuplot
	  format to be loaded in the gnuplot application for the default
	  term, encapsulated postscript for the ps term and text for the
	  dumb term.  c) gnuplot_pm3d = true or false. false is default.
	  Turns on the pm3d option available in newer versions of Gnuplot.
	  d) gnuplot_preamble = string. "" is default. The preamble can
	  contain an arbitrary string of Gnuplot commands. Multiple
	  commands should be separated with semi-colons.  e)
	  gnuplot_curve_titles = list of (strings or default). [default] is
	  default.  The list of curve titles will be applied to the list of
	  curves. If there are more curves than titles in the list, the
	  list will wrap around. The special value default give the curves
	  titles based on the 1d representation of the function name.  f)
	  gnuplot_curve_styles = list of strings. The styles wrap around in
	  a manner similar to the titles. The strings themselves should be
	  gnuplot commands appropriate for plot "file" with title "title
	  <style>For details type "help plot" in gnuplot.  g)
	  gnuplot_default_term_command = string. Default is "". The gnuplot
	  command to set the default terminal.	h) gnuplot_ps_term_command
	  = string. Default is "set size 1.5, 1.5;set term postscript eps
	  enhanced color solid 24". The gnuplot command to set the ps
	  terminal.  g) gnuplot_default_term_command = string. Default is
	  "set term dumb 79 22". The gnuplot command to set the dumb
	  terminal.

	  5) More testing needs to be done, particularly with xmaxima and
	  windows.Feedback on this interface will be greatly appreciated.
	  This is the last feature I plan to add before working on the
	  5.9.1 release.

2004-04-15 20:43  amundson

	* src/macsys.lisp: make $system command show output under cmucl.

2004-04-15 20:40  amundson

	* src/maxima.system: Make $system command show output under cmucl.

2004-04-02 16:44  belanger

	* interfaces/emacs/emaxima/maxima-font-lock.el: The regular
	  expressions were changed to be computed at compile-time, to speed
	  things up.

2004-03-28 10:13  vvzhy

	* doc/info/maximahtml.mk: Extra html chapter maxima_43.html added

2004-03-28 01:56  vvzhy

	* interfaces/xmaxima/Tkmaxima/Menu.tcl: Menu item "Fonts" renamed
	  to "Preferences"

2004-03-28 01:28  vvzhy

	* interfaces/xmaxima/Tkmaxima/: Plot3d.tcl, Plotconf.tcl: Plot Menu
	  rewritten with menubutton widget. Fixes bugs # 694179, 915212

2004-03-28 01:16  vvzhy

	* interfaces/xmaxima/Tkmaxima/Paths.tcl: We need start-server
	  instead of setup-server to get embedded plots in xmaxima

2004-03-23 18:18  wjenkner

	* src/server.lisp: (getpid-from-environment): GCL doesn't like it.

2004-03-22 11:44  vvzhy

	* interfaces/xmaxima/Tkmaxima/Printops.tcl: Fix default font for
	  some buttons

2004-03-22 11:40  vvzhy

	* plotting/: mgnuplot, omplotdata: removing mgnuplot and omplotdata

2004-03-21 16:06  wjenkner

	* src/server.lisp: (getpid): Rewrite the definition for CLISP.	A
	  bug resulting from an unnecessary call to ERRSET was investigated
	  and reported by Andrej Vodopivec.

	  Avoid read-time conditionalization on operating system dependent
	  features since the .fas files (but not the memory images) are
	  portable across platforms.

	  (getpid-from-environment): New function.

2004-03-21 12:45  vvzhy

	* configure.in, plotting/Makefile.am, plotting/footer.tcl,
	  plotting/header.tcl.in, plotting/mgnuplot.in: omplotdata shares
	  code with xmaxima.  Now it is removed from the repository and now
	  created from /interfaces/xmaxima/Tkmaxima/*.tcl

2004-03-21 01:30  vvzhy

	* interfaces/xmaxima/Tkmaxima/Textinsert.tcl: font family and size
	  typo fixed

2004-03-18 15:41  billingd

	* tests/: rexamples.mac, rtest10.mac, rtest11.mac, rtest12.mac,
	  rtest13.mac, rtest15.mac, rtest3.mac, rtest4.mac, rtest5.mac,
	  rtest6a.mac, rtest7.mac, rtest8.mac, rtest9.mac, rtest9a.mac,
	  rtestode.mac, rtestode_zp.mac: These changes reduce the
	  interaction between test case files.	One problem is that
	  kill(all) removes properties that are set in the initial maxima
	  image.  This affects trigsimp() for example.

	  Replace all occurences of kill(all) with kill(allbut(props)).
	  Add a kill(g) to rtest11.mac.

2004-03-16 06:15  vvzhy

	* interfaces/xmaxima/Tkmaxima/Menu.tcl: New way to run Maxima
	  testsuite

2004-03-16 05:58  vvzhy

	* interfaces/xmaxima/Tkmaxima/Paths.tcl: Various way to call Maxima
	  on different operating systems

2004-03-14 16:04  amundson

	* doc/info/Bugs.texi, doc/info/Makefile.am, doc/info/maxima.texi,
	  src/mload.lisp, tests/Makefile.am, tests/known-bugs,
	  tests/summarize-log, tests/tests.lisp, tests/testsuite.lisp:
	  Update for running test suite. run_testsuite() is now a built-in
	  command. The list of tests is defined by testsuite.lisp. The
	  manual now contains rudimentary descriptions of run_testsuite,
	  bug_report and build_info.

2004-03-14 15:54  amundson

	* doc/info/Lists.texi: Add a space to eliminate a warning from
	  texinfo.

2004-03-14 12:49  amundson

	* src/macsys.lisp: Simple change to assure that file_search and
	  load agree.

2004-03-14 12:31  amundson

	* share/contrib/: f90.lisp, f90.usg: A quick hack I (JFA) wrote for
	  F90 output of Maxima expressions.

2004-03-14 12:29  amundson

	* doc/maximabook/.cvsignore: Ignore generated files.

2004-03-14 12:28  amundson

	* admin/: sfquery-docs.txt, sfquery.py: Python-based tool for
	  performing queries on an xml dump of a sourceforge database.

2004-03-14 12:26  amundson

	* admin/make_snapshots: Remove new directory if cvs command fails.

2004-03-11 23:33  wjenkner

	* src/: transl.lisp, transs.lisp: Put more info about
	  (un)translated symbols in the UNLISP file.

	  transl.lisp ($declare_translated): Record the list of
	  $declare_translated symbols as value of the new global variable
	  *declared-translated-functions*.

	  (tr-mdefine-toplevel): Remove #+lispm from the piece of code
	  which gives symbols whose function definition is being translated
	  the ONCE-TRANSLATED property.

	  transs.lisp (translate-file): Bind
	  *declared-translated-functions*.  (delete-with-side-effects-if):
	  New auxiliary function.  (insert-necessary-function-declares):
	  Rewrite.

	  Note that *untranslated-functions-called* can't contain doublets,
	  so the original loop can be simplified via
	  delete-with-side-effects-if.

	  Previously, because of the #+lispm glitch described above, the
	  only source of symbols with a non-NIL ONCE-TRANSLATED property
	  were those given in $declare_translated.  So the users got just a
	  subset of their own input back, viz. those functions which were
	  actually called.

	  The new behaviour is to write to the UNLISP file two lists: The
	  functions which are known to be translated without actually being
	  in the $declare_translated list, and those which are not known to
	  be translated.

	  The idea is that if everything seems to be OK you should get no
	  output at all from here.

2004-03-10 23:41  wjenkner

	* src/mformt.lisp: (mformat): Remove read-time conditionalization.
	  There was no point in my fixing up Maxima's use of stream
	  designators and of buffering for SBCL but not for other lisps.

	  In particular, for CMUCL there were problems with the "_" prompt
	  in demo mode.

2004-03-10 22:59  wjenkner

	* tests/rtest15.mac: Add an example from Kevin Ellwood.

2004-03-10 22:55  wjenkner

	* src/sin.lisp: (ratroot): Add a comment.  Correct an inadvertence
	  in the calculation of dt/du (in the notation of this comment).

	  This fixes a bug reported by Kevin Ellwood.

2004-03-08 22:15  wjenkner

	* src/server.lisp: (open-socket): Add SBCL support from CLOCC for
	  client side connection.  (getpid,xchdir): Define for SBCL.

	  This REQUIREs some SBCL modules at compile and load time.  A
	  correctly installed reasonably recent SBCL should handle this
	  automatically.

2004-03-05 23:57  billingd

	* interfaces/xmaxima/win32/Makefile.in: 2004-03-06  David
	  Billinghurst

		  * interfaces/xmaxima/win32/Makefile.in:  Install as.exe
	  in
		  $(prefix)/lib/gcc-lib/mingw32/$(GCCVER) rather than
	  $(prefix)/bin.
		  gcc will always look for it in this location, just like
	  cc1.exe.

2004-03-03 19:29  wjenkner

	* src/transs.lisp: (translate-file): Supersede an existing .LISP or
	  .UNLISP file of the given name.

	  Without :if-exists :supersede CMUCL and SBCL would correctly
	  signal an error in this case.

2004-03-02 19:59  wjenkner

	* share/: misc/declin.mac, simplification/disol.mac,
	  simplification/facex1.mac, simplification/facexp.mac,
	  simplification/genut.mac, simplification/stopex.mac: genut.mac,
	  facexp.mac, stopex.mac, disol.mac, declin.mac: Add
	  DECLARE_TRANSLATED forms.

	  facexp.mac
	  (FACTENEXPAND,COLLECTTEN,FACEXPTEN,FACTORFACEXPTEN,FACEXPTENL):
	  Comment out functions depending on LISTOFTENS and INDEXEXPAND
	  which presumably were defined in the DIAGEVAL tensor package,
	  which is not extant.	Also, there are no examples for the use of
	  theses functions.  Copy header of facex1 to facexp, in order to
	  preserve the early revision history.

	  disol.mac: Comment out autoloading for ITS.

	  declin.mac (LINOPSUM0, LINOPPROD1): Removed quote from lambda
	  expressions which are translated to m-tlambda&env&.
	  (LINOPPROD0): Replace the undefined ERROUT by ERROR.

	  facex1.mac: Add statement that it is obsolete since all of its
	  functionality is in facexp.

2004-02-29 16:26  wjenkner

	* tests/rtest15.mac: Some tests for translating lambda expressions.

2004-02-29 16:23  wjenkner

	* src/transq.lisp: M-TLAMBDA&ENV&: Emitted by the translator but
	  broken.  As an example for this, translate
	  foo(x):=apply(lambda([[u]],x),[1,2]) and try to run it.  Rewrite
	  it in the fashion of M-TLAMBDA&.  M-TLAMBDA: Don't emit a
	  redundant special declaration.  Simplify.  M-TLAMBDA&ENV:
	  Simplify.  Add comments.  Remove the enclosing prog form.
	  Comment out the form dealing with some OPT property indicator for
	  theses symbols.

	  FUNGEN&ENV-FOR-MEVAL, FUNGEN&ENV-FOR-MEVALSUMARG: These compiler
	  macros are broken (at least the latter, translate and compile
	  foo(n):=sum(apply(lambda([x],i+x),[i]),i,1,n), for example, and
	  note that the translated version does work, hopefully, if your
	  lisp has a genuine interpreter).  So #+ignore them, for now and
	  things should compile correctly again.

2004-02-29 05:24  billingd

	* maxima.iss.in: Update uninstall lines for Inno Setup 4

2004-02-29 04:56  billingd

	* interfaces/xmaxima/win32/Makefile.in: Fix typo s/getopts/getopt/
	  Remove path to tcl files.  Not required as now part of mingw
	  Don't install this maxima.bat

2004-02-29 04:53  billingd

	* interfaces/xmaxima/win32/maxima.bat: Deleted to avoid confusion.
	  The file is unused and there is another maxima.bat in src.

2004-02-26 18:37  billingd

	* interfaces/xmaxima/win32/Makefile.in: Modify files installed by
	  gcccopy to those required for gcc-3.3.1 Use TCL 8.4 libraries.

2004-02-26 18:28  billingd

	* interfaces/xmaxima/win32/Makefile.in: Make the GCC version a
	  parameter, and default to 3.3.1

2004-02-26 18:15  billingd

	* Makefile.am, interfaces/xmaxima/win32/Makefile.in: Move gcccopy
	  stanza from Makefile.am to interfaces/xmaxima/win32/Makefile.in
	  No functional change.

2004-02-25 10:50  belanger

	* interfaces/emacs/emaxima/maxima.el: Some small changes for XEmacs
	  compatibility were made.

2004-02-25 00:05  wjenkner

	* src/: Makefile.am, maxima.system: maxima.system: When using
	  configure.lisp for building we have no binary-* subdirectories at
	  this point.  So express the truename of the binary-cmucl
	  subdirectory without using TRUENAME of such a possibly
	  non-existing file.  Do the same thing for SBCL.

	  Makefile.am: Remove the kludge for working around SBCL's pathname
	  problem since we have upgraded to the work-around described
	  above.

2004-02-24 23:49  belanger

	* interfaces/emacs/emaxima/: maxima.el, emaxima.el: Some obsolete
	  variables were removed.

2004-02-24 13:47  belanger

	* interfaces/emacs/emaxima/emaxima.el: Some minor (mostly name)
	  changes to correspond to changes in maxima.el.

2004-02-24 13:46  belanger

	* interfaces/emacs/emaxima/maxima.el: The method used to check to
	  see if Maxima finished a computation was changed to something
	  more natural.  The function maxima-replace-in-string was changed
	  to something that would work in older emacsen.  Some minor name
	  changes.

2004-02-23 09:48  belanger

	* interfaces/emacs/emaxima/emaxima.el: Occurrences of
	  maxima-process were changed to inferior-maxima-process.

2004-02-20 18:22  billingd

	* src/maxima.bat.in: Fix quoting of layout_autotools

2004-02-18 20:30  amundson

	* admin/make_snapshots: fix cvs error check

2004-02-18 20:22  amundson

	* ChangeLog: updated by cvs2cl

2004-02-18 20:15  amundson

	* admin/make_snapshots: include all info files

2004-02-18 20:11  amundson

	* src/init-cl.lisp: Fixed typo that was preventing .mac files from
	  loading.

2004-02-16 23:58  amundson

	* admin/make_snapshots: quick snapshot making script

2004-02-16 23:27  amundson

	* INSTALL, INSTALL.lisp, INSTALL.win32, README.lisps: Documentation
	  updates for new pure-lisp build procedure.

2004-02-16 21:55  amundson

	* src/maxima.in: convert pathnames to unix format for compatibility
	  using msys.

2004-02-16 21:44  amundson

	* src/maxima-build.lisp: rudimentary routines to assist in building
	  maxima without autotools.

2004-02-16 21:39  amundson

	* lisp-utils/defsystem.lisp: current gcl still has problems with
	  ignore-errors

2004-02-16 20:41  amundson

	* src/Makefile.am: add si::sgc-on before dumping gcl image as
	  suggested by Camm Maguire.

2004-02-15 03:44  billingd

	* configure.in: 2004-02-15 David Billinghurst

		  * configure.in: Distinguish between mingw and cygwin when
		  configuring clisp runtime.

2004-02-14 17:27  amundson

	* configure.lisp: Strip trailing \'s from directory names. Escape
	  \'s in output directory names.

2004-02-14 17:22  amundson

	* src/server.lisp: Replaced helpful comment

	  ; ;under windows above does not work.

	  with conditional to do the right thing under windows.

2004-02-14 17:19  amundson

	* src/maxima.bat.in: Latest attempt to get a working maxima.bat. It
	  needed updating for the recent path variable changes.

2004-02-14 17:18  amundson

	* src/init-cl.lisp: Several changes:

	  1) Normalize all incoming (from autotools and/or environment
	  variables) directory names to use "/" as directory separator.

	  2) Attempt to find some workable default value for
	  maxima-userdir.

	  3) Fix bug reported by David Billinghurst. share directory was
	  not in    file search lists. Fixed another couple of file search
	  list bugs    noticed along the way.

	  4) Added two new command-line options:

		     (make-cl-option :names '("-d" "--directories")
				     :action 'print-directories
				     :help-string
				     "Display maxima internal directory
	  information.")

	  This allows programs using maxima to easily ask for maxima's
	  internal directory information. It also makes it easier for me to
	  debug...

		     (make-cl-option :names '("-g"
	  "--enable-lisp-debugger")
				     :action #'(lambda ()
						 (setf *debugger-hook*
	  nil))
				     :help-string
				     "Enable underlying lisp debugger.")

	  It is occaisonally useful to enable the lisp debugger from the
	  outset.

2004-02-14 05:20  billingd

	* share/contrib/rand/: duffing.usg, hill.usg, mathieu.usg,
	  recursiv.usg, vandpol.usg, improved.mac, improved.usg: New file

2004-02-14 05:19  billingd

	* share/contrib/rand/vandpol.mac: Patch to work with current maxima

2004-02-14 05:13  billingd

	* share/contrib/rand/Read.me: Add some files from Book 1

2004-02-14 05:12  billingd

	* share/contrib/rand/: Vandpol.bk1, vandpol.mac: Renaming
	  Vandpol.bk1 to vandpol.mac

2004-02-14 05:11  billingd

	* share/contrib/rand/: recursiv.mac, vandpol.mac: Removing control
	  characters

2004-02-14 05:11  billingd

	* share/contrib/rand/: Recursiv.bk1, recursiv.mac: Renaming
	  Recursiv.bk1 to recursiv.mac

2004-02-14 05:10  billingd

	* share/contrib/rand/: Mathieu0.bk1, mathieu0.mac: Renaming
	  Mathieu0.bk1 to mathieu0.mac

2004-02-14 05:10  billingd

	* share/contrib/rand/: Mathieu.bk1, mathieu.mac: Renaming
	  Mathieu.bk1 to mathieu.mac

2004-02-14 05:09  billingd

	* share/contrib/rand/: Hill2.bk1, hill2.mac: Renaming Hill2.bk1 to
	  hill2.mac

2004-02-14 05:08  billingd

	* share/contrib/rand/duffing.mac: Patch to work with current maxima

2004-02-14 05:08  billingd

	* share/contrib/rand/: duffing.mac, hill2.mac, mathieu.mac,
	  mathieu0.mac: Removing control characters

2004-02-14 05:08  billingd

	* share/contrib/rand/: Duffing.bk1, duffing.mac: Renaming
	  Duffing.bk1 to duffing.mac

2004-02-14 04:57  billingd

	* share/contrib/rand/hill1.mac: Remove control characters

2004-02-14 04:56  billingd

	* share/contrib/rand/: Hill1.bk1, hill1.mac: Rename Hill1.bk1 to
	  hill1.mac

2004-02-08 19:59  amundson

	* src/mactex.lisp: Fixes/enhancements from Andrej Grozin.

2004-02-08 19:55  amundson

	* src/: init-cl.lisp, macdes.lisp: Last update to path code
	  introduced a problem with demo path in some circumstances. It
	  also broke example(). Fixed.

2004-02-08 18:40  amundson

	* configure.in: Fixed bug that caused installation to fail with
	  clisp if --enable-clisp was not present. The same bug was present
	  for cmucl.

2004-02-08 17:46  amundson

	* configure.lisp: pure lisp alternative to autoconf's configure

2004-02-07 15:16  amundson

	* interfaces/xmaxima/Makefile.am, interfaces/xmaxima/server.lisp,
	  interfaces/xmaxima/Tkmaxima/Paths.tcl, src/clisp-depends.mk,
	  src/cmucl-depends.mk, src/gcl-depends.mk, src/maxima.system,
	  src/sbcl-depends.mk, src/server.lisp: Change in the maxima server
	  works:

	  1) server.lisp is now part of maxima. It can be invoked with,
	  e.g.,     maxima -s 4008 where 4008 is the port for the server.

	  2) xmaxima no longer special-cases for old versions of maxima, or
	  windows version of maxima.

	  3) xmaxima uses the new server option for maxima.

	  4) server.lisp is no longer part of xmaxima.

2004-02-07 15:12  amundson

	* configure.in, maxima-local.in, doc/implementation/dir_vars.txt,
	  src/autoconf-variables.lisp.in, src/init-cl.lisp,
	  src/maxima.bat.in, src/maxima.in: Updated directory variables.
	  Two different installed layouts are now supported: "source" and
	  "autotools". The new scheme is described in the file
	  "dir_vars.txt." Variables have been renamed to better reflect
	  what they mean instead of their origin in the autotools scheme.

2004-02-04 19:02  billingd

	* share/contrib/diffequations/tests/: rtest_ode1_abel.mac,
	  tests.lisp: Tests for Abel ODEs

2004-02-04 19:00  billingd

	* share/contrib/diffequations/ode1_nonlinear.mac: Add call to
	  ode1_abel()

2004-02-04 18:59  billingd

	* share/contrib/diffequations/ode1_abel.mac: New file

2004-02-04 09:40  robert_dodier

	* share/contrib/numericalio/: README, array.data, array.mac,
	  csv.mac, is_equal_array.lisp, my_flatten.mac, numericalio.lisp,
	  ragged.data, ragged.mac, really-csv.data,
	  really-space-separated.csv, rectangular.csv, rectangular.data,
	  rectangular.mac: numericalio.lisp is a collection of functions
	  for reading and writing space- and comma-separated data files.
	  numericalio.lisp has a header comment which lists the functions.
	  Other files in the numericalio directory are scripts and data
	  files for running tests. The initial CVS version of this
	  collection is the same as the contents of the
	  numericalio-0.3.tar.gz which was announced to the Maxima mailing
	  list.

2004-02-04 09:37  starseeker

	* share/contrib/README: Added description of unit directory

2004-02-04 09:33  starseeker

	* share/contrib/unit/: unit.mac, unit.usg: Uploading beginnings of
	  new unit package

2004-02-03 20:39  billingd

	* share/contrib/README: Describe diffequations and rand directories

2004-02-03 17:03  billingd

	* share/contrib/diffequations/tests/rtest_ode1_riccati.mac: Check
	  some more solutions

2004-02-03 16:58  billingd

	* share/contrib/rand/Read.me: Mention lc.usg and averm.usg

2004-02-03 16:56  billingd

	* share/contrib/rand/: averm.usg, lc.usg: New files

2004-02-02 07:29  billingd

	* share/contrib/rand/Read.me: Mention twovar.usg

2004-02-02 07:28  billingd

	* share/contrib/rand/twovar.usg: New file

2004-02-01 23:27  billingd

	* share/contrib/rand/Read.me: Update takens.mac info

2004-02-01 23:25  billingd

	* share/contrib/rand/takens.usg: New file

2004-02-01 23:24  billingd

	* share/contrib/rand/takens.mac: Remove control characters

2004-02-01 23:21  billingd

	* share/contrib/rand/: Takens, takens.mac: Rename Takens to
	  takens.mac

2004-02-01 06:00  billingd

	* share/contrib/rand/Read.me: Add additional information

2004-02-01 05:52  billingd

	* share/contrib/rand/transfor.usg: New file

2004-02-01 05:49  billingd

	* share/contrib/rand/: asympexp.usg, average.usg, cm.usg,
	  composit.usg, lie.usg, nf.usg, reduct1.usg, reduct2.usg,
	  reduct3.usg: New file

2004-02-01 05:46  billingd

	* share/contrib/rand/: Benard.bk2, benard.mac: Renaming Benard.bk2
	  to benard.mac

2004-02-01 05:45  billingd

	* share/contrib/rand/: Reduct3.bk2, reduct3.mac: Renaming
	  Reduct3.bk2 to reduct3.mac

2004-02-01 05:44  billingd

	* share/contrib/rand/: Reduct2.bk2, reduct2.mac: Renaming
	  Reduct2.bk2 to reduct2.mac

2004-02-01 05:44  billingd

	* share/contrib/rand/: reduct1.mac, reduct2.mac, reduct3.mac,
	  benard.mac: Removing control characters

2004-02-01 05:44  billingd

	* share/contrib/rand/: Reduct1.bk2, reduct1.mac: Renaming
	  Reduct1.bk2 to reduct1.mac

2004-02-01 05:43  billingd

	* share/contrib/rand/: Lie.bk2, lie.mac: Renaming Lie.bk2 to
	  lie.mac

2004-02-01 05:42  billingd

	* share/contrib/rand/: Averm.bk2, averm.mac: Renaming Averm.bk2 to
	  averm.mac

2004-02-01 05:41  billingd

	* share/contrib/rand/: Average.bk2, average.mac: Renaming
	  Average.bk2 to average.mac

2004-02-01 05:41  billingd

	* share/contrib/rand/: twovar.mac, average.mac, averm.mac, lie.mac:
	  Removing control characters

2004-02-01 05:41  billingd

	* share/contrib/rand/: Twovar.bk2, twovar.mac: Renaming Twovar.bk2
	  to twovar.mac

2004-02-01 05:40  billingd

	* share/contrib/rand/: Nf.bk2, nf.mac: Renaming Nf.bk2 to nf.mac

2004-02-01 05:39  billingd

	* share/contrib/rand/: Transfor.bk2, transfor.mac: Renaming
	  Transfor.bk2 to transfor.mac

2004-02-01 05:39  billingd

	* share/contrib/rand/: Cm.bk2, cm.mac: Renaming Cm.bk2 to cm.mac

2004-02-01 05:38  billingd

	* share/contrib/rand/: Lc2.bk2, lc2.mac: Renaming Lc2.bk2 to
	  lc2.mac

2004-02-01 05:38  billingd

	* share/contrib/rand/: lc.mac, lc2.mac, cm.mac, transfor.mac,
	  nf.mac: Removing control characters

2004-02-01 05:37  billingd

	* share/contrib/rand/: Lc.bk2, lc.mac: Renaming Lc.bk2 to lc.mac

2004-02-01 05:28  billingd

	* share/contrib/rand/: Composit.bau, composit.mac: Renaming
	  Composit.bau to composit.mac

2004-02-01 05:27  billingd

	* share/contrib/rand/: asympexp.mac, composit.mac: Removing control
	  characters

2004-02-01 05:27  billingd

	* share/contrib/rand/: Asympexp.bau, asympexp.mac: Renaming
	  Asympexp.bau to asympexp.mac

2004-01-31 06:50  billingd

	* share/contrib/diffequations/tests/rtestode_murphy2.mac: Quite a
	  few cases are now solved by new code for case Phi_yy=0 in
	  lie_FxHx.  Update test with new results.

2004-01-31 06:43  billingd

	* share/contrib/diffequations/tests/rtest_sym.mac: Add unit tests
	  for lie_symgen_separable and lie_symgen_linear.

2004-01-31 06:40  billingd

	* share/contrib/diffequations/ode1_lie.mac: Add functions
	  lie_symgen_separable and lie_symgen_linear.

	  Use new routines for case Phi_yy=0 in lie_FxHx.

2004-01-28 23:47  billingd

	* share/contrib/diffequations/ode1_lie.mac: Update references

2004-01-28 17:56  billingd

	* share/contrib/diffequations/tests/rtest_ode1_riccati.mac: Add a
	  few new unit tests.

	  No longer get solutions with imaginary numbers.  Update answers.

2004-01-28 17:54  billingd

	* share/contrib/diffequations/tests/rtestode_murphy1.mac: One more
	  Riccati equation (166) can be solved.

2004-01-28 17:50  billingd

	* share/contrib/diffequations/ode1_riccati.mac: Add code for
	  remaining cases when original Riccati equation is not integrable
	  in finite terms.

	  Ditto for special Riccati equation.

	  Tidy up the low level code for original and special Riccati
	  equations, as the routines will always find a solution for valid
	  input.

	  Use bessel_i and bessel_k functions when appropriate to avoid
	  returning soultions with imaginary numbers.

2004-01-28 17:41  billingd

	* share/contrib/diffequations/ode1_lie.mac: Make u a local variable
	  in a few places.

2004-01-28 17:28  billingd

	* src/bessel.lisp, tests/rtest14.mac: Fix bug with derivative of
	  bessel_k function.  Add test cases.

2004-01-27 17:35  billingd

	* share/contrib/diffequations/tests/: Makefile, README,
	  rtest_ode1_riccati.mac, rtest_sym.mac, rtest_sym2.mac,
	  rtestode_murphy1.mac, rtestode_murphy2.mac, summarize-log,
	  tests.lisp: Initial versions

2004-01-27 07:44  billingd

	* share/contrib/diffequations/ode1_riccati.mac: Add code for
	  original and special Riccati equtaions that are not integrable in
	  finite terms.

	  Avoid a few divide by 0 errors.

2004-01-27 07:38  billingd

	* share/contrib/diffequations/ode1_lie.mac: Remove \r at end of
	  lines

2004-01-27 00:11  billingd

	* share/contrib/diffequations/ode1_riccati.mac: Initial version

2004-01-26 23:20  billingd

	* share/contrib/diffequations/README: Initial version

2004-01-26 23:12  billingd

	* share/contrib/diffequations/contrib_ode.usg: Remove \r line
	  termination

2004-01-26 22:21  billingd

	* share/contrib/diffequations/: contrib_ode.mac, contrib_ode.usg,
	  ode1_clairault.mac, ode1_factor.mac, ode1_lagrange.mac,
	  ode1_lie.mac, ode1_nonlinear.mac: Initial versions

2004-01-25 01:11  wjenkner

	* share/contrib/maximaMathML/: CtMathML.lisp, PrMathML.lisp,
	  load-mathml.lisp, mathml-maxima.lisp, mathmldisplay.lisp: Trivial
	  changes, so that it loads.  Seems also to work, essentially.

2004-01-25 00:36  wjenkner

	* src/init-cl.lisp: (set-pathnames): Add share/affine.

2004-01-25 00:31  wjenkner

	* share/affine/: affine.lisp, affine.system: Add a convenient
	  (experimental) loader for affine.

	  affine.lisp: New file, which defines pathname translations for
	  the "affine" logical host.  The idea is that `load("affine");'
	  should do the right thing, independently of the current
	  directory.  Only tested for SBCL and CLISP, though.

	  affine.system: Use logical pathnames.

2004-01-20 22:02  rtoy

	* src/command-line.lisp: Port get-application-args to ACL.

2004-01-20 20:16  rtoy

	* src/acl6-depends.mk: Update dependencies for quadpack.

2004-01-20 20:13  rtoy

	* src/plot.lisp: o Rename $norm in plot.lisp, as suggested in Bug
	  857232.

	  o Also rename $cross_product and $get_rotation, for the same
	  reasons.

2004-01-11 14:32  vvzhy

	* src/init-cl.lisp: Fix bogus entries in --list-avail output

2004-01-03 08:26  billingd

	* tests/rtestode.mac: Test case for bug 866510

2004-01-03 08:26  billingd

	* tests/rtest15.mac: Test case for bug 835287

2004-01-03 08:18  billingd

	* src/solve.lisp: Patch by Barton Willis Tested and committed by
	  David Billinghurst

	  Fix EASY-CASES by testing for atom.

	  This patch fixes bugs 835287 and 866510.  Tested on maxima
	  testsuite and approximately 200 ODE test cases.

2003-12-28 12:56  vvzhy

	* src/maxima.bat.in: Fix to allow Maxima to be installed in the
	  directory with spaces

2003-12-28 09:13  vvzhy

	* src/maxima.bat.in: Remove excessive " and ' in maxima.bat

2003-12-20 12:18  vvzhy

	* share/maxima-init.lisp: New init file for better GCL performance

2003-12-20 09:36  wjenkner

	* src/maxima-package.lisp: Delete obsolete and unused code for
	  checking the case folding behaviour of CLISP's REGEXP package.

	  CLISP's REGEXP:REGEXP-COMPILE (which you usually get only with
	  `clisp -K full' or some customized memory image) has a different
	  signature now (see CLISP ChangeLog entry dated 2003-03-30), which
	  causes an error.  There's now an :IGNORE-CASE keyword argument,
	  which makes the test here sort of pointless.

2003-12-06 17:16  rtoy

	* src/merror.lisp: [ 851425 ] error doesn't accept CRE args/FIX

	  Apply fix from Stavros Macrakis given in the bug report.

2003-12-06 15:23  rtoy

	* src/comm2.lisp: [ 854861 ] concat doesn't do alias lookup/FIX

	  Fixed as suggested in the bug report.

2003-12-06 15:06  rtoy

	* src/plot.lisp: [ 834729 ] plot2d() produces bad postscript

	  Fix from Robert Dodier applied.

2003-12-01 14:08  rtoy

	* src/numerical/slatec/dqc25c.lisp: Regenerate from updated
	  dqc25c.f.

2003-12-01 14:08  rtoy

	* src/numerical/slatec/fortran/dqc25c.f: Fix typo when merging the
	  old long constants back into the code.

2003-11-27 09:04  rtoy

	* src/numerical/slatec/quadpack.lisp: o Add some missing interfaces
	  to integrators o Add a simple description of the 17 test
	  integrals from the quadpack	book.  Some simple code to evaluate
	  some of the tests is included.

2003-11-27 09:01  rtoy

	* src/numerical/slatec/dgtsl.lisp: Regenerated.

2003-11-27 09:01  rtoy

	* src/numerical/slatec/quadpack.system: o dgtsl wasn't getting
	  converted with the right options.  o Remove unused dependencies

2003-11-26 20:41  amundson

	* src/: clisp-depends.mk, cmucl-depends.mk, gcl-depends.mk,
	  sbcl-depends.mk: Updates for new files.

2003-11-26 20:40  amundson

	* src/maxima.bat.in: Some attempt at working with GCL. Untested.

2003-11-26 20:39  amundson

	* interfaces/xmaxima/Tkmaxima/Paths.tcl: Hack to workaround
	  command-line problems on Windows no longer needed.

2003-11-26 16:05  rtoy

	* src/numerical/slatec/: dqagpe.lisp, dqawfe.lisp, dqc25c.lisp,
	  dqc25f.lisp, dqc25s.lisp, dqk15i.lisp: Regenerated from updated
	  quadpack.system.

2003-11-26 15:58  rtoy

	* src/numerical/slatec/quadpack.system: Compiler options were wrong
	  for dqawfe.f

2003-11-26 15:34  rtoy

	* src/numerical/slatec/quadpack.lisp: Initial revision.  More
	  functions need to be added.  Need to decide what the interface
	  should really be, too.

2003-11-26 11:35  rtoy

	* src/maxima.system: Add dependencies for the QUADPACK routines.

2003-11-26 11:27  rtoy

	* src/numerical/: f2cl-lib.lisp, f2cl-package.lisp: Synchronize to
	  the current versions of f2cl.

2003-11-26 08:01  rtoy

	* src/numerical/slatec/: dgtsl.lisp, dqag.lisp, dqage.lisp,
	  dqagi.lisp, dqagie.lisp, dqagpe.lisp, dqags.lisp, dqagse.lisp,
	  dqawc.lisp, dqawce.lisp, dqawf.lisp, dqawfe.lisp, dqawo.lisp,
	  dqawoe.lisp, dqaws.lisp, dqawse.lisp, dqc25c.lisp, dqc25f.lisp,
	  dqc25s.lisp, dqcheb.lisp, dqelg.lisp, dqk15.lisp, dqk15i.lisp,
	  dqk15w.lisp, dqk21.lisp, dqk31.lisp, dqk41.lisp, dqk51.lisp,
	  dqk61.lisp, dqmomo.lisp, dqng.lisp, dqpsrt.lisp, dqwgtc.lisp,
	  dqwgtf.lisp, dqwgts.lisp: Initial conversion.

2003-11-26 07:13  rtoy

	* src/numerical/slatec/fortran/: dqagpe.f, dqc25f.f, dqc25s.f:
	  Correct these routines per


	  http://sources.redhat.com/cgi-bin/cvsweb.cgi/~checkout~/gsl/integration/NOTES?rev=1.14&cvsroot=gsl

	  as reported by Brian Gough on the maxima mailing list.  (More
	  remains to be done.)

2003-11-26 07:10  amundson

	* maxima.iss.in: remove reference to COPYING1

2003-11-26 07:02  rtoy

	* src/numerical/slatec/fortran/: dqc25c.f, dqc25f.f, dqk15i.f: The
	  SLATEC version of truncated the constants.  Use the netlib
	  version to put back the extra digits.

2003-11-26 06:47  rtoy

	* src/numerical/slatec/quadpack.system: Initial revision.

2003-11-26 06:42  rtoy

	* src/numerical/slatec/fortran/: dgtsl.f, dqag.f, dqage.f, dqagi.f,
	  dqagie.f, dqagp.f, dqagpe.f, dqags.f, dqagse.f, dqawc.f,
	  dqawce.f, dqawf.f, dqawfe.f, dqawo.f, dqawoe.f, dqaws.f,
	  dqawse.f, dqc25c.f, dqc25f.f, dqc25s.f, dqcheb.f, dqelg.f,
	  dqk15.f, dqk15i.f, dqk15w.f, dqk21.f, dqk31.f, dqk41.f, dqk51.f,
	  dqk61.f, dqmomo.f, dqnc79.f, dqng.f, dqpsrt.f, dqwgtc.f,
	  dqwgtf.f, dqwgts.f: Initial import of QUADPACK routines from
	  SLATEC.

2003-11-25 22:39  wjenkner

	* src/mtrace.lisp: MACSYMA-TRACE-SUB, MACSYMA-UNTRACE-SUB,
	  TRACE-OPTION-P: Enable $TRACE for operators which have some kind
	  of definition we can trace.  Just use the OPR and OP property
	  indicators.  This works both for user defined (pre|in|post|no)fix
	  operators and for the builtin ones.  The builtin operators with
	  such a definition are

	  "NOT", "OR", "IF", "AND", ":", "(", "'", "::=", ":=", "::".

	  For example, do trace(":") and trace_options(":", ...).

	  ASK-CHOICEP, TRACE-ERROR-BREAK: Replace bogus "M" by #\newline.

	  TRACE-OPTION-P, TRACE-APPLY: Replace "& ..." by '|& ...|.

	  Delete confusing `<=' in my part of the comment at the beginning
	  of the file.

2003-11-25 21:47  starseeker

	* share/contrib/rand/: Asympexp.bau, Average.bk2, Averm.bk2,
	  Avg3.mac, Benard.bk2, Cm.bk2, Composit.bau, Demo.bk1,
	  Duffing.bk1, Hill1.bk1, Hill2.bk1, Ima, Laplace.bk1, Lc.bk2,
	  Lc2.bk2, Lie.bk2, Mathieu.bk1, Mathieu0.bk1, Newimprv.bk1,
	  Nf.bk2, Ode1.bk1, Oden.bk1, Read.me, Recursiv.bk1, Reduct1.bk2,
	  Reduct2.bk2, Reduct3.bk2, Reverse, Takens, Transfor.bk2,
	  Twovar.bk2, Vandpol.bk1, Wkb: Adding Richard Rand's files from
	  his books.  Headers not finished - this is just so my hard drive
	  isn't a single point of failure.

2003-11-25 21:32  amundson

	* COPYING, COPYING1, Makefile.am, README, maxima.spec.in: Moved DOE
	  export notice as suggested by Dave Turner, the Free Software
	  Foundation's ``GPL Compliance Engineer''. See the thread
	  "Resolution of GPL Licensing Issue" from May 2003 for details.

2003-11-25 21:09  amundson

	* configure.in: Merged in fixes from Wolgang Jenkner. Tried to
	  conditionalize cmucl_runtime_path to work with current and cvs
	  versions of cmucl.

2003-11-25 20:30  rtoy

	* configure.in: o Add -norc for clisp o Search *cmucl-lib* to find
	  the lisp binary.  (This probably still   needs work, and probably
	  only works on the CVS versions of CMUCL.)

2003-11-24 21:55  amundson

	* configure.in: Added -noinit and -nositeinit flags, as suggested
	  by Ray Toy.

2003-11-24 21:28  amundson

	* configure.in, src/maxima.bat.in: Bug fixes for win32.

2003-11-24 07:02  amundson

	* src/autoconf-variables.lisp.in, src/maxima.bat.in, configure.in:
	  1) Bug fixes for win32.  2) Fix text alignment in configure
	  --help.  3) Make win32 variable available to lisp.

2003-11-23 21:36  amundson

	* configure.in, src/.cvsignore, src/Makefile.am, src/maxima.bat,
	  src/maxima.bat.in, src/maxima.in: Major changes:

	  1) Static installation for clisp and cmucl -- installed maxima no
	     longer depends on external versions of clisp and cmucl.
	  Requires    (clisp,cmucl)-runtime to be established at configure
	  time. Default    should determine the proper values. The values
	  are manually	  settable.

	     Static installation is not necessary for GCL. Should be added
	  for
	     SBCL, ACL and OpenMCL.

	  2) Real support for maxima.bat script. Basic functionality
	  complete,    but untested.

2003-11-23 20:31  amundson

	* share/contrib/: lsquares.dem, lsquares.mac, mnewton.dem,
	  mnewton.mac, plsquares.dem, plsquares.mac: Contributed code from
	  Salvador Bosch Pérez.

2003-11-23 13:51  amundson

	* src/init-cl.lisp: use more desciptive variable name.

2003-11-23 13:43  amundson

	* src/init-cl.lisp: Fixed --list-avail in the presence of
	  MAXIMA_PREFIX. Also cleaned up some indentation/whitespace.

2003-11-21 13:37  amundson

	* src/init-cl.lisp: Oops. Removed hard-coded path used for
	  debugging.

2003-11-21 06:54  amundson

	* src/maxima.bat: bare bones of a real maxima.bat script. Obviously
	  not yet ready for prime time.

2003-11-20 20:43  wjenkner

	* share/numeric/qq.dem, share/numeric/qq.lisp, src/numer.lisp: Fix
	  bug #842863 (qq.lisp is broken), as discussed by Barton Willis
	  and myself.

	  qq.lisp: $QUANC8: New mspec (old definition is not for CL).  Give
	  it a		TRANSLATE property.

		   QUANC8: Fix the type declarations.  Instead of defining
		   various global macros use MACROLET.	Add rudimentary
	  error
		   handling.

		   Escape ']' in symbol names since Emacs is confused by
	  it.

	  qq.dem: Down-case examples.  Don't use COMPILE with empty
	  argument.

	  numer.lisp: FUNTYPEP: Add a COND clause for function objects and
		     classify them as EXPRs.  This is needed for
	  MAKE-TRAMP$.

2003-11-20 07:01  amundson

	* src/: maxima.system, sbcl-depends.mk, .cvsignore, Makefile.am,
	  clisp-depends.mk, cmucl-depends.mk, command-line.lisp,
	  gcl-depends.mk, init-cl.lisp, macsys.lisp, maxima.in: Maxima now
	  handles command-line options in lisp instead of in Bourne Shell.
	  This change will allow the command-line version of maxima on
	  Windows to be comparable to the command-line version on
	  Unix(-like) systems.

2003-11-19 22:01  amundson

	* lisp-utils/Makefile.am: maxima-run-lisp is no longer needed.

2003-11-13 23:29  wjenkner

	* src/nparse.lisp: SCAN-LISP-TOKEN, SCAN-KEYWORD-TOKEN: Filter the
	  list of characters returned by SCAN-TOKEN through
	  LISP-TOKEN-FIXUP-CASE, which implements a behaviour which was
	  proposed on the mailing list, viz. the vertical bar | switches
	  between preserving or folding case, except that || is a literal
	  |.

	  Previously, we had

	  (C1) ?foo\|ba\|\|\|r; (D1)
	  foo|ba|||r

	  but folding to uppercase if there was no `|'.

	  (C2) ?foobar; (D2)				    FOOBAR

	  Now (C1) gives

	  (D1)				      FOOba|R

	  SCAN-KEYWORD-TOKEN: Bind *PACKAGE* to a package object, not to a
	  symbol used as designator (from Christophe Rhodes).

	  Parsing ?:FOO returned the lisp keyword :|:FOO| instead of :FOO.

	  LISP-TOKEN-FIXUP-CASE: New auxiliary function.

2003-11-12 23:20  wjenkner

	* src/maxima.system: Preserve all nicknames of the COMMON-LISP-USER
	  package when we have to rename it.

2003-11-12 22:56  wjenkner

	* src/dskfn.lisp: DSKSTORE: The property value of TRANSLATED-MMACRO
	  is a function object, which can't be saved.

	  MPROPSCHK: Add TRACE-OLDFUN to the mprops which are not saved.

2003-11-10 20:58  amundson

	* src/Makefile.am: Broke compile/(load & save image) into two
	  separate steps, which was the behaviour before the previous
	  change.

2003-11-09 09:37  wjenkner

	* src/mdebug.lisp: GRAB-LINE-NUMBER: Remove bogus parentheses in
	  the type declaration (fix from Christophe Rhodes).

2003-11-07 06:14  amundson

	* lisp-utils/defsystem.lisp: Merged in changes from CLOCC
	  11/07/2003 snapshot. Should eliminate problems with CMUCL 19.

2003-11-02 15:59  rtoy

	* src/maxima.in: Fix typo.  It's "=", not "==" for comparing
	  strings.

2003-11-02 11:14  amundson

	* src/: Makefile.am, maxima.in: Eliminate the use of
	  maxima-run-lisp.

2003-11-02 10:37  amundson

	* src/.cvsignore: Ignore some common ignorable files.

2003-11-01 21:11  wjenkner

	* src/rat3e.lisp: FACTOR: Check that the numerator of $FACTOR's
	  second argument is not a constant polynomial (that is, an
	  integer) before checking that it is not linear.  Previously, this
	  was done the other way around, which resulted in an error for
	  constant polynomials since an atomic MINPOLY* has no CDR.

	  Bug reported by Milan Lukic.

2003-10-15 17:21  wjenkner

	* share/tensor/itensor.lisp: SPLICE2: In the second COND clause
	  replace EXPLODE by EXPLODEc since (explode '|$Foo|) => (|\|| $ F
	  |o| |o| |\||), but we really need (explodec '|$Foo|) => ($ F |o|
	  |o|).

	  Observed by V. Pipin.

2003-10-14 22:18  wjenkner

	* share/tensor/: gener.lisp, itensor.lisp, symtry.lisp: Avoid a
	  name clash with functions in the standard Maxima image by
	  renaming MYSORT to ITENSOR-SORT, CLEANUP to ITENSOR-CLEANUP and
	  EXTRACT to EXTRACT-ELEMENTS.

	  Comment out the definition of INTERVAL since it does the same
	  thing as the function in mstuff.lisp (the latter definition is a
	  bit more complicated, though, apparently in order to optimize the
	  case where the interval bounds are bignums but the interval
	  length is a fixnum).

2003-10-14 17:22  wjenkner

	* src/: comm.lisp, maxmac.lisp: MPART (comm.lisp): Replace
	  (copy-all-levels exp) by (copy-tree exp).

	  COPY-ALL-LEVELS (maxmac.lisp): Comment out.

	  Note that the form (copy-all-levels exp) expands to (subst nil
	  nil exp), which is not required to copy the tree structure of
	  EXP.

	  This fixes bug #821021 reported by Paolo Nason.

2003-10-13 21:13  amundson

	* src/macsys.lisp: Bug fix: previous changes caused retrieve to
	  stop properly displaying maxima symbols. Fixed.

2003-10-09 20:46  billingd

	* tests/rtest15.mac: Additional trigreduce cases

2003-10-09 19:43  billingd

	* tests/rtest15.mac: Add tests for trigreduce(f(x)^n) for f in
	  [sin,cos,sinh,cosh]

2003-10-07 17:16  wjenkner

	* src/suprv1.lisp: TYI* (called only by CONTINUEP): Use N's
	  char-code for numerical comparison, not N itself (from Christophe
	  Rhodes).

	  Use the #+Multics stuff.

	  Rewrite the second COND clause (which, presumably, is completely
	  useless).

	  CONTINUEP (called only by $PLAYBACK with a $SLOW argument): CATCH
	  the RETRY tag just introduced in TYI*.

	  Use the #+Multics stuff.

	  Do CLEAR-INPUT and FINISH-OUTPUT where appropriate.

2003-10-03 20:22  wjenkner

	* src/simp.lisp: ONEP: Comment out the macro definition because it
	  is already defined as a function in commac.lisp.  It is also
	  FUNCALLed (via ANDMAPC in HEXPAND in homog.lisp).  This was
	  observed by Christophe Rhodes.

2003-10-03 19:19  wjenkner

	* src/trgred.lisp: SINH^N: For an exponent = 0 or 1 mod 4 the
	  result would have the wrong sign (reported by Geordie McBain).

2003-10-01 20:37  wjenkner

	* src/mload.lisp: MACSYMA-NAMESTRING-SUB: Don't bind SYSTEM-OBJECT
	  to a symbol since it is not a pathname designator and NAMESTRING
	  expects one.

	  This fixes the following problem (at least in SBCL, or CLISP in
	  strict ANSI mode):

	  (C1) file_search_maxima:["/tmp/###.mac"]; (D1)
		  [/tmp/###.mac] (C2) load("hfdufz.mac"); Bad file spec:
	  "/tmp/###.mac"

2003-10-01 19:59  wjenkner

	* src/mtrace.lisp: Eliminate all references to FEXPR or FSUBR since
	  we don't have them in CL Maxima.

	  In particular, this fixes one of the SBCL compiler complaints (in
	  TRACE-FSHADOW) reported by Christophe Rhodes.

2003-09-28 13:15  vvzhy

	* src/plot.lisp: Fix plot3d postscript output under clisp, sbcl and
	  cmucl

2003-09-25 08:24  amundson

	* doc/implementation/external-interface.txt, src/cl-info.lisp,
	  src/csimp2.lisp, src/displa.lisp, src/gcl-depends.mk,
	  src/init-cl.lisp, src/macsys.lisp, src/mdebug.lisp,
	  src/option.lisp, src/suprv1.lisp: Changes inspired by, but not
	  specific to, TeXmacs interface.

	  1) to_lisp() now works everywhere. Uses private read-eval-print
	  loop.

	  2) (to-maxima) to return to maxima from to_lisp().

	  3) Default settings now avoid ever dumping user into lisp
	  debugger. To	  restore the Lisp debugger, use    (setf
	  *debugger-hook* nil)

	  4) Hooks are now available for customizing prompts and output.
	  The	 hooks are documented in
	  doc/implementation/external-interface.txt.

2003-09-25 08:18  amundson

	* src/Makefile.am: Added convenience targets. clisp, cmucl, gcl,
	  etc.	Type   make cmucl to just make the cmucl image, etc.

2003-09-25 08:16  amundson

	* doc/maximabook/Makefile: Fixes.  (1) Set texinputs to find local
	  version of tex input files.  (2) Only procede to the next step in
	  the tex process if the previous step succeeded.

2003-09-24 22:23  wjenkner

	* src/: mdebug.lisp, trmode.lisp: Remove doublets (FIRST-FORM-LINE
	  in mdebug, IR and UDM-ERR in trmode) as suggested by Christophe
	  Rhodes.

2003-09-07 01:41  vvzhy

	* src/todd-coxeter.lisp: ANSI GCL don't have define-compiler-macro
	  yet

2003-09-07 01:40  vvzhy

	* lisp-utils/defsystem.lisp: ANSI GCL don't have
	  with-compilation-unit yet

2003-09-06 15:50  vvzhy

	* src/maxima-package.lisp: Traditional GCL may have bogus empty CL
	  package.  We remove it.

2003-09-03 16:14  wjenkner

	* share/numeric/bffac.mac: OBZETA: Delete spurious ?DOLIST.

	  AZETB, OBZETA, BZETA, BFZETA (where the functional equation of
	  the Riemann Zeta function is used): Replace the undefined and
	  obsolete BFAC by BFFAC.

	  Note that these functions currently handle only real arguments.

2003-08-23 06:13  wjenkner

	* share/numeric/bffac.mac: Cosmetic change: Put newlines between
	  the function definitions.

2003-08-22 00:14  wjenkner

	* share/numeric/bffac.mac: The file share/numeric/bffac.lisp does
	  not contain lisp function definitions, it just contains maxima
	  code in disguise, viz. the lisp code sets the MEXPR mproperties
	  of various symbols like $BFFAC.  The original maxima code can
	  easily be regenerated from this (except, of course, for the
	  presumably copious comments ;-) and bffac.mac is the result of
	  this automatic reconstruction.

	  The archive also contains bffac.bfz, which gives exactly the same
	  maxima code (the only difference between bffac.bfz and bffac.lisp
	  is that bffac.bfz correctly updates the $FUNCTIONS list, but, of
	  course, the generated mac file does this automatically).

	  See the comment at the beginning of bffac.mac for the details of
	  the conversion.

2003-08-21 22:22  wjenkner

	* src/defopt.lisp: DEFOPT: Fix bogus definition.

2003-08-21 22:20  wjenkner

	* src/transq.lisp: TRD-MSYMEVAL: Comment out its DEFOPT form since
	  it won't work for unbound variables.

2003-08-21 21:54  wjenkner

	* src/transs.lisp: TRANSLATE-FILE: Append the suggestion for
	  DECLARE_TRANSLATED to the UNLISP file, not to the LISP file.

	  INSERT-NECESSARY-FUNCTION-DECLARES: Change messages accordingly.
	  Be a bit less verbose.

2003-08-19 17:11  wjenkner

	* src/transl.lisp: TR-INFAMOUS-NOUN-FORM: The return value was
	  given by a doubly nested backquoted form and the result of the
	  first evaluation written to a *.LISP file but only the second
	  evaluation of this form would give a well-defined result.  The
	  dire consequences of this predicament were observed and reported
	  by David Billinghurst.

	  Expand the innermost backquoted form, which corresponds to the
	  second evaluation, by following the rules given in the CLHS in
	  section 2.4.6, and simplify the result.

2003-08-09 17:47  wjenkner

	* src/macsys.lisp: Fix from Sam Steingold: Ensure that the Maxima
	  banner starts on a fresh line (the Lisp system might follow its
	  own logic for outputting newlines until we see the first prompt).

2003-08-09 10:26  wjenkner

	* src/: compat.lisp, grind.lisp: Fix $GRIND (in grind.lisp).  It
	  used CHARPOS (for generating a fresh line), which works only if
	  :NOCP is not in *FEATURES*.

	  Also define the CHARPOS macro only in this case (in compat.lisp).

	  Note that currently all supported implementations have :NOCP on
	  the *FEATURES* list (see maxima.system).

2003-08-09 08:46  wjenkner

	* src/: grind.lisp, suprv1.lisp: ANSI CL conformance bug (CLHS
	  11.1.2.1.2 point 10) reported by Christophe Rhodes: Don't
	  proclaim STRING special since it's an external symbol of the CL
	  package.

	  Only grind.lisp needs such a variable to be special, so rename it
	  there to *GRIND-CHARLIST* (because it is a list ;-), and just
	  remove it from DECLARE-TOP in suprv1.lisp (because it's not
	  used).

2003-08-08 21:26  wjenkner

	* src/mactex.lisp: Implement an idea contributed by N. Ioakimidis:

	  TEX-DABBREV: New function which generates indicial notation for
	  derivatives.

	  TEX-DERIVATIVE: Dispatch to TEX-DABBREV for derivabbrev:true.

2003-08-08 21:20  wjenkner

	* src/mactex.lisp: Don't use TEX-SETUP for TeXifying %LIMIT since
	  TEX-LIMIT already takes care of it.  This fixes #703754 (Tex is
	  broken for limits) reported by B. Willis.

2003-08-06 02:35  vvzhy

	* lisp-utils/defsystem.lisp: Restore gcl-alt-link build

2003-08-05 16:40  yycamm

	* src/Makefile.am: Restore gcl-alt-link build by extending the
	  existing hack to get a list of loaded files in load order --
	  surely there must be a better way, please someone clean this up

2003-08-04 12:04  rtoy

	* src/bessel.lisp: Make sure all calls to SLATEC routines are done
	  with appropriate arg types that's what they expect.

2003-08-04 12:03  rtoy

	* src/numerical/slatec/xerhlt.lisp: Instead of just silently
	  returning after a fatal SLATEC error, call Maxima's MERROR to
	  signal an error.

2003-08-04 11:20  rtoy

	* src/numth.lisp: Bug [ maxima-Bugs-668718 ] gcfactor gives
	  internal error FIX
	  https://sourceforge.net/tracker/?func=detail&atid=104933&aid=668718&group_id=4933

	  Applied bug fix given in Stavros Macrakis's bug report.

2003-08-04 10:42  rtoy

	* doc/info/: Numerical.texi, maxima.texi: Bug [ 716059 ]
	  load(ellipt) doesn't work.

	  Remove the documentation about the ELLIPT package.  These have
	  been replaced with new functions in the core of maxima.

2003-08-03 12:56  rtoy

	* src/rpart.lisp: Bug [ 713045 ] rectform/polarform of infinity
	  /FIX

	  Apply suggested fix from Stavros Macrakis.

2003-08-03 08:07  rtoy

	* src/comm2.lisp: Bug [ 733003 ] atan2(2,0.3) gives non-float
	  answer /FIX

	  Apply suggested fix from Stavros Macrakis.

2003-08-03 08:03  rtoy

	* src/compar.lisp: Bug [ 769985 ] sign(rat(x)) fatal error/FIX

	  $sign needs to call specrepcheck.  From Stavros Macrakis.

2003-08-03 07:58  rtoy

	* src/plot.lisp: If an output file exists, overwrite it.

2003-08-03 07:21  rtoy

	* share/trigonometry/trigrat.lisp: Bug [ 771301 ] trigrat(sin(1))
	  internal error /FIX

	  Suggested fix from Stavros Mackrakis applied.

2003-08-03 07:18  rtoy

	* src/factor.lisp: Bug [ 686619 ] factor bug / FIX?

	  Remove declaration, as suggested by Barton Willis.

2003-08-02 09:07  rtoy

	* src/float.lisp: Bug 781753: bfloat->float fails for very large
	  and very small

	  Use scale-float to scale the mantissa.

2003-07-24 13:46  rtoy

	* src/numerical/f2cl-lib.lisp: Correct a declaration in amax0.

2003-07-24 13:45  rtoy

	* src/plot.lisp: o Change the default range on the x-axis to be
	  very large so that   parametric plots don't get clipped
	  unexpectedly.  No effect in 2-D   plotting because the X range is
	  explicitly given.  o Fix a few bad declarations:  Use cl:array
	  instead of plain array   (maxima:array), which is an undefined
	  type.  o Fix a minor declaration bug in draw2d.

2003-07-24 13:42  rtoy

	* src/nregex.lisp: Fix a warning that START is sometimes unused by
	  declaring START ignorable.

2003-07-24 13:41  rtoy

	* src/maxima.system: Current CVS versions of CMUCL no longer has
	  the USER package, so create one if we don't have one.

2003-07-24 13:40  rtoy

	* src/commac.lisp: Replace maclisp-typep with something more
	  portable and correct.

2003-07-19 08:56  billingd

	* doc/info/Function.texi: 2003-07-19  David Billinghurst
	  (David.Billinghurst@riotinto.com)

		  Bug #679437
		  * doc/info/Function.texi:  Correct entry for DEFINE

2003-07-19 08:45  billingd

	* doc/info/: Command.texi, Differentiation.texi, Function.texi:
	  2003-07-19  David Billinghurst (David.Billinghurst@riotinto.com)

		  * doc/info/Command.texi: Correct markup of ''
		  * doc/info/Differentiation.texi: Ditto
		  * doc/info/Function.texi: Ditto

2003-07-16 12:25  belanger

	* doc/emaxima/: EMaximaIntro.tex, EMaximaIntro.ps: References to
	  init cells were removed.

2003-07-16 12:24  belanger

	* interfaces/emacs/emaxima/emaxima.el: Initialization cells were
	  removed.

2003-07-16 12:23  belanger

	* interfaces/emacs/emaxima/emaxima.sty: I added support for putting
	  list of maxima examples into documents.

2003-06-28 22:32  belanger

	* interfaces/emacs/emaxima/maxima.el: Fixed a but when the end of
	  the process wasn't detected.

2003-06-27 13:42  belanger

	* interfaces/emacs/emaxima/emaxima.el: Made TeX-auto-untabify
	  buffer-local in EMaxima mode, with value t.

2003-06-13 11:52  rtoy

	* tests/rtest14.mac: Add some numerical tests for bessel_j to catch
	  the problem of swapped args.

2003-06-13 11:52  rtoy

	* src/bessel.lisp: bessel_j(n,x) was numerically evaluating the
	  result as if the order and argument were swapped.  Fix that.
	  (Noted by Keita Kawabe.)

2003-06-02 11:04  rtoy

	* src/bessel.lisp: Use psi[0](x) in the derivative formulas instead
	  of psi(x), because psi(x) can't be differentiated, but psi[0](x)
	  can.	(A bug in psi(x)?)

2003-05-30 12:08  belanger

	* interfaces/emacs/emaxima/emaxima.el: Fixed a minor error.

2003-05-30 11:58  belanger

	* interfaces/emacs/emaxima/emaxima.el: The command
	  `emaxima-replace-cells-by-latex' was added, which comments out
	  the cells, and replaces them by LaTeX equivalents.

2003-05-28 12:04  rtoy

	* src/series.lisp: Bug [ 727542 ] powerseries wrong/fix:

	  Fix from Martin Rubey applied.

2003-05-25 12:43  rtoy

	* src/plot.lisp: o Fix the way initial samples are taken to
	  minimize round-off so we   don't try to plot points outside the
	  region specified.  Do this by   computing x = start + k*step
	  instead of x = x + step.  o Was accidentally deleting the first
	  sample point from the plot.

2003-05-25 10:23  rtoy

	* src/bessel.lisp: Add derivatives of the Bessel functions with
	  respect to order.

2003-05-25 10:05  rtoy

	* tests/rtest14.mac: Added some tests for the bessel functions,
	  especially the expansion of the half-integer order functions.

2003-05-25 10:03  rtoy

	* doc/info/Special.texi: o Change documentation from bessel_j[n](x)
	  to bessel_j(n,x), and   likewise for other Bessel functions.	o
	  Add note that the bessel functions return values in BESSELARRAY
	  too.	o Add documentation for j0, j1, jn, i0, i1, and note these
	  are	deprecated.

2003-05-25 10:00  rtoy

	* src/bessel.lisp: Bug 736540: gradef for bessel functions o Added
	  rule for derivative of J with respect to order.

	  Bug 736535: half integer bessel_y function o Corrected the
	  mistake bessel_y(1/2,x) and friends o The half-integer should no
	  longer be expanded slowly to elementary   functions.

	  Other changes: o Add some doc strings to functions o Add note
	  about deprecated j0, j1, jn, i0, i1 functions.  o Change
	  bessel_j[n](x) to bessel_j(n,x).  Likewise for other Bessel
	  functions.  o New implementation of Bessel functions of
	  half-integer order.  o Added derivative of J[n](x) with respect
	  to order.

2003-05-24 13:34  rtoy

	* src/clmacs.lisp: o Fix bug in haipart.  Noted by Andreas Eder.  o
	  Clean up definitions of zl-assoc, zl-delete, zl-member, zl-remove
	  to   use ANSI CL implementations.

2003-05-20 23:19  rtoy

	* src/plot.lisp: GCL 2.5.1 doesn't have handler-case, so don't use
	  that when plotting.  Too bad.

2003-05-19 21:24  rtoy

	* src/plot.lisp: Catch some Lisp errors that might get thrown that
	  maxima didn't catch, such as bessel_y[0](0).

2003-05-19 21:20  rtoy

	* src/plot.lisp: o Set NTICKS to a smaller, more reasonable value
	  for adaptive	 plotting.  o Add ADAPT_DEPTH plot option to
	  control the depth (number of interval   splits) of the
	  adaptive-plotting routine.

2003-05-19 20:24  rtoy

	* src/plot.lisp: o Catch errors during 2D plotting so we can do
	  adaptive plotting   around singularities and such.  Changed
	  COERCE-FLOAT-FUN,   SLOW-OSCILLATION-P, and SMOOTH-ENOUGH-P.	o
	  Some cleanup of ADAPTIVE-PLOT for unused vars.  o Honor NTICKS
	  when doing adaptive plotting so the user can control	 the
	  behavior somewhat.  bessel_j(0,x) for 0 <= x <= 200 was not
	  being plotted correctly because we assumed NTICKS = 1.  With
	  NTICKS   > 1, the plot is better.  o When a plot point is MOVETO,
	  print a blank line for gnuplot, which   tells gnuplot there's a
	  discontinuity and plot accordingly.  o Try to use ~g format for
	  printing instead of ~f to prevent serious   loss of precision
	  when plotting.

2003-05-15 19:38  rtoy

	* src/nparse.lisp: Bug [ 726420 ] floats with missing exponents /
	  really minor:

	  If no digits follow the exponent marker of a number, signal an
	  error in all cases.

2003-05-14 08:00  rtoy

	* lisp-utils/defsystem.lisp:
	  Previous update broke building with gcl.  Import back some of the
	  gcl changes from 2 versions ago into this.  Should build again
	  with gcl.

2003-05-12 22:46  rtoy

	* src/plot.lisp: Add comments for the adaptive plotting routines

2003-05-12 22:31  rtoy

	* src/bessel.lisp: Bug 736538: bessel_j with floating point
	  argument o Use Barton's suggested fix, which is correct.

	  Bug 736530: bessel_y with negative float arg o Fix 2 typos that
	  caused this o Do a better job of figuring out when to numerically
	  evaluate   bessel_y.	(Do the same thing as bessel_j.)

2003-05-12 22:16  rtoy

	* src/plot.lisp: Use adaptive plotting for 2d plots

2003-05-12 21:13  rtoy

	* src/numerical/slatec/: zbesh.lisp, fortran/zbesh.f: Remove the
	  debugging print statements that inadvertently got left in.  Part
	  of Bug 736530: bessel_y with negative float arg.

2003-05-12 14:14  belanger

	* interfaces/emacs/emaxima/emaxima.lisp: The \mathbin{} was removed
	  from around :=.

2003-05-12 14:07  belanger

	* interfaces/emacs/emaxima/emaxima.el: The assignments := are now
	  written as \mathbin{:=} in TeX output.

2003-05-12 01:35  starseeker

	* doc/maximabook/share/: calculus/pdiff.tex, physics/dimension.tex:
	  Added Barton's package documentation, translated to emaxima style

2003-05-12 01:33  starseeker

	* doc/maximabook/: maxima.tex, install/install.tex: Update to
	  install text and added new structure

2003-05-11 22:05  belanger

	* interfaces/emacs/emaxima/emaxima.sty: A command was inserted in
	  TeX output regions to put in extra space.

2003-05-11 22:04  belanger

	* interfaces/emacs/emaxima/emaxima.el: The TeX output in cells was
	  changed so nothing is inserted if there is no output.  The
	  insertion commands were changed so that a spacing command is
	  inserted before pre-output output (such as the result of a
	  tex(...) command).

2003-05-11 22:00  belanger

	* interfaces/emacs/emaxima/maxima.el: maxima-replace-in-string was
	  fixed to insert literally in Emacs.

2003-05-10 15:00  belanger

	* interfaces/emacs/emaxima/emaxima.el: The Maxima output is no
	  longer in a \p ... \\ environment when it begins with a $$.

2003-05-10 14:58  belanger

	* interfaces/emacs/emaxima/emaxima.sty: The catcode of % was
	  changed in TeX output environments, so it won't be a comment
	  anymore.

2003-05-07 13:47  rtoy

	* lisp-utils/defsystem.lisp: Synchronize to the CLOCC rev 1.59 of
	  defsystem to fix bugs when using post 18e CVS versions of CMUCL.
	  Still compatible with previous versions of CMUCL.

2003-05-05 22:13  belanger

	* interfaces/emacs/emaxima/maxima.el: The customizable variable
	  maxima-use-full-color-in-process-buffer was added.  If non-nil,
	  the Maxima process buffer will be font-locked.

2003-05-05 22:11  belanger

	* interfaces/emacs/emaxima/maxima-font-lock.el: Font-lock support
	  for inferior-maxima-mode was added.

2003-05-03 06:40  starseeker

	* share/contrib/Grobner/: grobner-demo.output, grobner.demo,
	  maxima-grobner.lisp: Updated Grobner package to latest version.

2003-04-24 09:48  belanger

	* interfaces/emacs/emaxima/emaxima.sty: The preview environment was
	  defined for the case when the preview package isn't loaded.

2003-04-24 08:26  belanger

	* doc/emaxima/: EMaximaIntro.tex, EMaximaIntro.ps: The
	  documentation was changed to reflect changes in maxima.el.

2003-04-24 08:25  belanger

	* interfaces/emacs/emaxima/maxima.el: The customizable variable
	  `maxima-fix-double-prompt' (default: nil) was added which, if set
	  to t, will fix a double input prompt problem that I have in
	  XEmacs.

2003-04-23 23:47  belanger

	* doc/emaxima/EMaximaIntro.ps: The documentation was changed to
	  match changes in the program.

2003-04-23 23:45  belanger

	* doc/emaxima/EMaximaIntro.tex: The documentation was changed to
	  match the changes in the program.

2003-04-23 23:44  belanger

	* interfaces/emacs/emaxima/emaxima.sty: Previewing the cells (with
	  preview-latex) was made into an option, it now needs to be called
	  with \usepackage[preview]{emaxima}

2003-04-23 23:43  belanger

	* interfaces/emacs/emaxima/emaxima.el: Emaxima now gives an error
	  when a cell is TeX updated and emaxima.lisp isn't available.

2003-04-22 07:50  billingd

	* tests/: rtestode.mac, rtestode_zp.mac, Makefile.am, tests.lisp:
	  Break out second half of rtestode.mac into new file
	  rtestode_zp.mac.  Update tests.lisp and Makefile.am.

2003-04-07 16:24  belanger

	* interfaces/emacs/emaxima/maxima.el: A line was added to
	  inferior-maxima-mode to make sure that the tab-width would always
	  be set to 8 in the *maxima* buffer.

2003-04-07 12:16  vvzhy

	* archive/share/unknown/asympa.mac, share/Makefile.am,
	  share/calculus/asympa.mac: move asympa.mac from
	  archive/share/unknown to /share/calculus

2003-03-29 20:02  wjenkner

	* share/affine/polya.lisp: Make TAIL-ALPHALESSP accessible as
	  $TAIL_ALPHALESSP.

2003-03-28 13:23  wjenkner

	* share/affine/: sheafa.lisp, dim4-help.lisp, polyb.lisp,
	  polyc.lisp, polysmp.lisp: Replace things like '(lambda ...) by
	  valid function designators.  The remaining expressions of this
	  kind should be OK because they are meant for MFUNCALL etc.

2003-03-27 21:39  wjenkner

	* share/affine/: sheafc.lisp, modsimp.lisp, polya.lisp,
	  polysmp.lisp, sheafb.lisp: Fix some non ANSI CL keyword
	  arguments.

2003-03-27 21:36  wjenkner

	* share/affine/: polyd.lisp, amacros.lisp: Replace `Common-Lisp' by
	  `Lisp' as value of the `Mode' local variable for Emacs.

2003-03-26 19:22  wjenkner

	* share/affine/affine.system: For defsystem.

2003-03-26 19:20  wjenkner

	* share/affine/sys-declaim.lisp: From sys-proclaim.lisp (which was
	  presumably generated by gcl).  Everything except the special
	  declarations is commented out.

2003-03-26 19:18  wjenkner

	* share/affine/compat.lisp: Contains various new definitions.

2003-03-26 19:17  wjenkner

	* share/affine/: sheafb.lisp, sheafc.lisp: ANSI CL has no ~Q format
	  directive (nor has GCL it).  Replace (format ... ~VQ ... 'fsh
	  ...) by (format ... ~/maxima::tilde-q-fsh/ ...).

	  Don't use FSH as parameter since ~VQ isn't used with anything
	  else and parameters to format directives "should" be integers or
	  characters, anyway.

2003-03-26 16:42  billingd

	* tests/rtestode.mac: 2003-03-27  David Billinghurst
	  <David.Billinghurst@riotinto.com>

		  * tests/rtestode.mac:  Enable some tests that failed due
		  to interactions with other tests.

2003-03-26 16:40  billingd

	* tests/: tests.lisp, rtest13.mac: 2003-03-27  David Billinghurst
	  <David.Billinghurst@riotinto.com>

		  * tests/test.lisp:  Reorder test files to reduce
	  interaction.
		  That is, run the ones that cause problems last.
		  * tests/rtest13.mac:	Start with kill(all)

2003-03-26 11:17  wjenkner

	* share/affine/sheafa.lisp: $RITT-SET: Delete bogus `&aux'.

2003-03-26 11:15  wjenkner

	* share/affine/polyb.lisp: *RED: Comment out code for Lisp machine.
	  The feature test #+3600 is  not ANSI CL conform and nobody
	  supports this, anyway.

2003-03-26 11:13  wjenkner

	* share/affine/polya.lisp: Corrected typo.

2003-03-25 23:40  wjenkner

	* share/affine/: sheafc.lisp, amacros.lisp, sheafa.lisp,
	  sheafb.lisp: Replace the macro COPY-STRUCTURE by
	  ZL-COPY-STRUCTURE in order to avoid a name clash with the
	  corresponding CL function.

2003-03-25 21:54  wjenkner

	* share/affine/aquotient.lisp: Corrected typo.

2003-03-25 20:26  wjenkner

	* share/affine/: aquotient.lisp, modsimp.lisp, polysmp.lisp,
	  sheafb.lisp, sheafc.lisp, sparsemat.lisp, sub-proj.lisp: Comment
	  out all occurrences of (declare (values foo ...)).  Apparently,
	  FOO etc. are just descriptive names for the return values.  Even
	  in GCL this seems to be just a sort of comment (some
	  experimenting suggests that the declaration makes no difference
	  in the generated *.o or *.fn files).

2003-03-24 21:58  wjenkner

	* share/affine/dim4-help.lisp: Corrected typo.

2003-03-24 21:34  wjenkner

	* share/affine/: amacros.lisp, aquotient.lisp, dim-3.lisp,
	  dim4-help.lisp, dummy-gc.lisp, modsimp.lisp, ndotsimp.lisp,
	  new-rat.lisp, polya.lisp, polyb.lisp, polybas.lisp, polyc.lisp,
	  polyd.lisp, polysmp.lisp, sheafa.lisp, sheafb.lisp, sheafc.lisp,
	  sparsemat.lisp, sub-proj.lisp: ANSI CL: Replace (in-package
	  'maxima) by (in-package "MAXIMA").

2003-03-23 21:32  wjenkner

	* share/affine/: README, amacros.lisp, aquotient.lisp, dim-3.lisp,
	  dim4-help.lisp, dummy-gc.lisp, macbasic.mac, make.lisp, makefile,
	  modsimp.lisp, ndotsimp.lisp, new-rat.lisp, polya.lisp,
	  polyb.lisp, polybas.lisp, polyc.lisp, polyd.lisp, polysmp.lisp,
	  sheafa.lisp, sheafb.lisp, sheafc.lisp, sparsemat.lisp,
	  sub-proj.lisp, sys-proclaim.lisp, sysdef.lisp, todd-coxeter.lisp:
	  Schelter's affine package as released Apr 4 1996.

2003-03-21 00:30  billingd

	* share/Makefile.am, src/init-cl.lisp: 2003-03-19   David
	  Billinghurst <David.Billinghurst@riotinto.com>

	       * share/Makefile.am:  Add files in contrib/nset
	       and contrib/pdiff
	       * src/init-cl.lisp: Add share/contrib/nset and
	       share/contrib/pdiff to load path

2003-03-19 13:50  belanger

	* doc/emaxima/EMaximaIntro.ps: The documentation was changed to
	  match the program.

2003-03-19 13:50  belanger

	* doc/emaxima/EMaximaIntro.tex: The documentation was updated to
	  match the program.

2003-03-19 13:49  belanger

	* interfaces/emacs/emaxima/maxima.el: maxima-replace-expression was
	  removed, with some of the functionality put in maxima-minibuffer.

2003-03-19 09:53  belanger

	* interfaces/emacs/emaxima/emaxima.lisp: A problem with TeXing ":="
	  was fixed.

2003-03-18 20:35  starseeker

	* doc/maximabook/README: Added a readme file with some information
	  on what is required to build maximabook

2003-03-18 17:43  amundson

	* src/openmcl-depends.mk: From: 	Yannick Versley
	  <yversley@gmx.de>

	  I've attached the openmcl-depends.mk that gets built with the
	  current CVS sources.

	  Regards, Yannick Versley

2003-03-18 17:09  belanger

	* interfaces/emacs/emaxima/emaxima.sty: An option breqn was added,
	  so that if the LaTeX package breqn were available, it would be
	  used to automatically break long equations to use more than one
	  line.  It can be invoked with \usepackage[breqn]{emaxima}

2003-03-18 17:08  belanger

	* interfaces/emacs/emaxima/emaxima.el: The TeX output in cells was
	  changed so that breqn could be used.

2003-03-18 17:04  starseeker

	* doc/maximabook/basics/basics.tex: Coverted one example to tex now
	  that breqn functionality is present

2003-03-18 17:03  starseeker

	* doc/maximabook/maxima.tex: Added call to use new emaxima breqn
	  functionality

2003-03-18 14:49  amundson

	* src/Makefile.am: fixed possible problem creating depends.mk files
	  before corresponding binary- directory created. Updated
	  EXTRA_DIST.

2003-03-18 11:47  amundson

	* src/openmcl-depends.mk: Empty file, which is good enough for
	  bootstrap.

2003-03-17 19:59  rtoy

	* src/mlisp.lisp: o Rename OLD-READ-BASE to *OLD-READ-BASE* to make
	  it clear it's   special.  o Added defvar for *OLD-READ-BASE*.

2003-03-17 19:58  rtoy

	* src/ellipt.lisp: Rename the unused arg Y to UNUSED to get rid of
	  some warnings from Clisp about ignore'ing special vars.

2003-03-17 19:57  rtoy

	* src/commac.lisp: The array type is in the package COMMON-LISP,
	  not MAXIMA package.

2003-03-17 19:56  rtoy

	* src/float.lisp: Make MACHINE-FIXNUM-PRECISION and
	  MACHINE-EXPONENT-PRECISION be defconstant's because they are.
	  (Note MACHINE-EXPONENT-PRECISION doesn't seem to be used
	  anywhere.)

2003-03-17 19:50  rtoy

	* src/plot.lisp: The array type is in the package COMMON-LISP, not
	  MAXIMA package.

2003-03-17 19:48  rtoy

	* src/maxima-package.lisp: For GCL, make "CL" and
	  "COMMON-LISP-USER" be nicknames for "LISP" (if "COMMON-LISP"
	  isn't an already defined.package.

2003-03-17 11:54  belanger

	* interfaces/emacs/emaxima/emaxima.sty: The variable
	  \maximasessionpretexskip and \maximapostpretexskip were added to
	  help with the spacing.

2003-03-16 23:47  belanger

	* interfaces/emacs/emaxima/maxima.el: A bug was fixed in the strip
	  strings commands.  (end-of and beginning-of-buffer were replaced
	  by goto-char's ...)

2003-03-15 19:30  starseeker

	* doc/maximabook/algcal/algcal.tex: Updated to correct fraction
	  rendering

2003-03-15 19:29  starseeker

	* doc/maximabook/examples/examples.tex: Updated TeX rendering to
	  take advantage of improvements in Emaxima

2003-03-15 18:59  belanger

	* interfaces/emacs/emaxima/emaxima.lisp: The definition of qndispla
	  was moved, to prevent an error message.

2003-03-15 18:36  belanger

	* interfaces/emacs/emaxima/emaxima.lisp: The form of the fraction
	  output was changed.

2003-03-15 18:35  belanger

	* interfaces/emacs/emaxima/maxima.el: Some regular expressions were
	  fixed.

2003-03-12 21:49  wjenkner

	* src/suprv1.lisp: KILL1: Ugly kludge to make SBCL recognise the
	  difference between built-in and user-defined rules.  In any case,
	  I regard the use of COMPILED-FUNCTION-P or
	  FUNCTION-LAMBDA-EXPRESSION as temporary solutions.  IMHO, the
	  right thing to do is to give translated rules a non-NIL
	  TRANSLATED property (all built-in elements of $rules really come
	  from trgsmp.lisp, which was more or less translated from
	  trgsmp.mac).

2003-03-12 20:57  rtoy

	* src/plot.lisp: o Change from type long-float to double-float.  o
	  Fix for bug 701645 from Stavros Macrakis.

2003-03-12 20:49  wjenkner

	* src/mtrace.lisp: MACSYMA-TRACE-SUB: Binding TEMP to some tail of
	  FUN's MPROPS property (as possibly returned by MACSYMA-FSYMEVAL)
	  is bad because the call to PUT-TRACE-INFO may modify it.  Just
	  bind TEMP to the CAR of the tail instead (the type of FUN,
	  something like MEXPR).

	  Some cosmetic changes in the comments.

2003-03-12 10:42  belanger

	* interfaces/emacs/emaxima/emaxima.el: The original values of
	  display2d is now preserved when TeX is turned on and off.

2003-03-12 10:28  belanger

	* interfaces/emacs/emaxima/emaxima.lisp: A line was added
	  indicating this is a modified version of imaxima.lisp.

2003-03-12 10:26  belanger

	* interfaces/emacs/emaxima/maxima.el: The commands to strip
	  whitespace off of strings were changed to strip comments, also.
	  The references to # comment lines were removed.

2003-03-12 07:39  starseeker

	* doc/maximabook/algcal/algcal.tex:
	  Updated to show proper output after emaxima fixed.

2003-03-11 23:51  belanger

	* interfaces/emacs/emaxima/emaxima.el: Cell updating was fixed to
	  handle :lisp statements.

2003-03-11 23:25  belanger

	* interfaces/emacs/emaxima/emaxima.el: The code that puts the TeXed
	  output in the EMaxima buffer was cleaned up.

2003-03-11 23:23  belanger

	* interfaces/emacs/emaxima/emaxima.sty: The questions in Maxima
	  TeXed output are now put in maximaoutputcolor.

2003-03-11 23:01  belanger

	* interfaces/emacs/emaxima/emaxima.lisp: display2d is no longer set
	  to true.

2003-03-11 22:52  belanger

	* interfaces/emacs/emaxima/maxima.el: Commands to strip spaces from
	  the ends of strings were fixed.

2003-03-11 22:50  belanger

	* interfaces/emacs/emaxima/emaxima.el: The commands to remove
	  blanks at the ends of strings were put in maxima.el.

2003-03-11 22:38  belanger

	* interfaces/emacs/emaxima/emaxima.sty: Some non-standard commands
	  were added (which were carried over from imaxima).

2003-03-11 15:44  belanger

	* interfaces/emacs/emaxima/emaxima.lisp: latex was changed so that
	  questions would come out not latexed.

2003-03-11 15:18  belanger

	* interfaces/emacs/emaxima/emaxima.lisp: This was synced with
	  imaxima.el.

2003-03-11 15:18  belanger

	* interfaces/emacs/emaxima/emaxima.el: The formatting of TeXed
	  output was fixed.

2003-03-11 12:26  belanger

	* interfaces/emacs/emaxima/maxima.el: A variable was changed to
	  help keep track of the end of the input in the maxima process
	  buffer.

2003-03-10 22:24  rtoy

	* src/nusum.lisp: $NUSUM defined twice.  Remove first definition.

2003-03-10 22:10  rtoy

	* src/displa.lisp: EXPLODEN is defined in commac.lisp.

2003-03-10 22:01  rtoy

	* src/: nparse.lisp, mdebug.lisp: o Moved STREAM-NAME to
	  nparse.lisp.	o Removed definition of INSTREAM struct since it's
	  already defined in   nparse.lisp.

2003-03-09 13:07  starseeker

	* doc/maximabook/algcal/algcal.tex: added the beginnings of the
	  integration discussion

2003-03-09 11:02  rtoy

	* src/acall.lisp: Fix duplicate CASE label T in MARRAYREF and
	  MARRAYSET.

2003-03-09 10:00  rtoy

	* src/mload.lisp: $MKEY is already defined in commac.lisp.

2003-03-09 09:50  rtoy

	* src/comm.lisp: Manually inline this dollarify since it's only
	  needed here and since it's defined in suprv1.lisp.

2003-03-09 09:48  rtoy

	* src/clmacs.lisp: Remove duplicated HAIRPART function.

2003-03-07 19:57  starseeker

	* share/contrib/README:
	  Added more packages that have been included

2003-03-07 19:55  starseeker

	* share/contrib/format/: README, autoload-m.macsyma,
	  autoload-mp.macsyma, coeflist.demo, coeflist.lisp,
	  coeflistp.lisp, format.announce, format.demo, format.lisp,
	  format.ps, pois2.demo, pois2m.ps:
	  Upload of Bruce Miller's Format package (currently not
	  functional)

2003-03-07 19:35  starseeker

	* share/contrib/pdiff/: battex.sty, history.txt, pdiff-doc.pdf,
	  pdiff-doc.tex, pdiff.lisp: Initial import of Barton Willis's
	  pdiff package

2003-03-07 19:31  starseeker

	* share/contrib/nset/: README, nset-init.lisp, nset.html,
	  nset.lisp, nset.texi, test-nset.mac:
	  Initial import of nset, written by Barton Willis and Stavros
	  Macrakis

2003-03-07 12:37  rtoy

	* src/cl-info.lisp: Get rid of duplicated GET-MATCH function.

2003-03-07 12:36  rtoy

	* configure.in: Use elif to keep the nested ifs from running off
	  the right side.

2003-03-07 12:35  rtoy

	* src/mdebug.lisp: Clean up DBM-READ to remove the non-ANSI
	  unread-char behavior.  This also fixes the problem where ACL
	  couldn't read multi-line input.  However, there's still a bug
	  with reading "?<lisp-stuff>".  (I think this is a bug in ACL6.)

2003-03-07 11:46  belanger

	* doc/emaxima/: EMaximaIntro.tex, EMaximaIntro.ps: The
	  documentation was updated to reflect the changes in EMaxima.

2003-03-07 11:18  belanger

	* interfaces/emacs/emaxima/maxima.el: The indentation engine was
	  redone.  Commands for getting Maxima output were moved from
	  emaxima.el to here.  The commands maxima-minibuffer and
	  maxima-replace-expression were added.

2003-03-07 11:17  belanger

	* interfaces/emacs/emaxima/emaxima.sty: Support for preview-latex
	  was added.

2003-03-07 11:17  belanger

	* interfaces/emacs/emaxima/emaxima.el: The functions to get maxima
	  output were moved to maxima.el, so they can be used outside of
	  emaxima.

2003-03-06 23:41  starseeker

	* share/contrib/gentran/: Makefile, convmac.lisp, fdata.lisp,
	  global.lisp, gtfix.lisp, init.lisp, intrfc.lisp,
	  local.gtload.lisp, lspc.lisp, lspfor.lisp, lsprat.lisp, opt.lisp,
	  output.lisp, parser.lisp, pre.lisp, read.lisp, segmnt.lisp,
	  templt.lisp, vaxinit.lisp, vaxlsp.lisp, man/MANUAL.ms,
	  man/appA.ms, man/appA1.ms, man/appB.ms, man/contents.ms,
	  man/doc.add, man/ref.ms, man/sect1.ms, man/sect2.ms,
	  man/sect3.ms, man/sect4.ms, man/sect5.ms, man/sect6.ms,
	  man/title.ms, man/tmp1.ms, man/tmp2.ms, man/tmp3.ms, test/README,
	  test/array.mac, test/array.output, test/datatest.mac,
	  test/datatest.out, test/for.mac, test/graeffe.f,
	  test/graeffe.mac, test/graeffe.output, test/ham.in,
	  test/loop.mac, test/matrix.f, test/matrix.mac,
	  test/matrix.output, test/mcond.lisp, test/mdo.lisp, test/rk.in,
	  test/runge.mac, test/runge.output, test/runge.template,
	  test/t.mac, test/type.mac, test/type.output: Initial import of
	  gentran

2003-03-06 23:37  starseeker

	* share/contrib/README: Added gentran and some cleanup

2003-03-06 23:18  starseeker

	* share/contrib/maximaMathML/CtMathML.lisp: Added minor update from
	  current version on IAMC site

2003-03-06 21:58  starseeker

	* doc/misc/: completescanoffunctionssortedbybytecodelength.txt,
	  grepforvariables.sh, maximafunctions.txt,
	  maximafunctionsundocumented.txt,
	  maximaitemspresentinbothfunctionandvariablescans.txt,
	  maximavariables.txt, maximavariablesundocumented.txt,
	  processlisfiles.sh, weirdvariables.txt, workingvariables.txt,
	  x.awk: Added what we currently have for lists of variables and
	  functions.  Anything useful is Dan's doing.

2003-03-06 21:20  starseeker

	* share/contrib/Grobner/: README, grobner.demo,
	  maxima-grobner.lisp: Add Marek Rychlik's Grobner package

2003-03-06 21:19  starseeker

	* share/contrib/README: Added Grobner package to list

2003-03-06 21:01  starseeker

	* share/contrib/maximaMathML/: CtMathML.lisp, PrMathML.lisp,
	  load-mathml.lisp, mathml-maxima.lisp, mathmldisplay.lisp: Added
	  files with correct .lisp endings

2003-03-06 20:59  starseeker

	* share/contrib/maximaMathML/: CtMathML.lsp, PrMathML.lsp,
	  load-mathml.lsp, mathml-maxima.lsp, mathmldisplay.lsp: removed
	  files with .lsp ending

2003-03-06 20:37  starseeker

	* share/contrib/maximaMathML/: CtMathML.lsp, PrMathML.lsp,
	  load-mathml.lsp, mathml-maxima.lsp, mathml.readme,
	  mathmldisplay.lsp: Added Paul S. Wang's MathML package to contrib
	  section.

2003-03-06 20:34  starseeker

	* share/contrib/README: Add Readme file to contrib directory

2003-03-06 12:22  belanger

	* interfaces/emacs/emaxima/maxima.el: maxima-send-block was fixed
	  to be able to handle comments.

2003-03-05 08:44  belanger

	* interfaces/emacs/emaxima/maxima.el: A problem where emacs would
	  skip over brackets (while looking for the end of an expression)
	  was fixed.

2003-03-04 19:36  rtoy

	* configure.in, lisp-utils/defsystem.lisp,
	  lisp-utils/maxima-run-lisp, src/Makefile.am, src/bessel.lisp,
	  src/clmacs.lisp, src/compat.lisp, src/generr.lisp,
	  src/init-cl.lisp, src/macsys.lisp, src/maxima-package.lisp,
	  src/maxima.in, src/maxima.system, src/mdebug.lisp,
	  src/mformt.lisp, src/mhayat.lisp, src/plot.lisp, src/simp.lisp,
	  src/suprv1.lisp, src/todd-coxeter.lisp, src/transs.lisp,
	  tests/Makefile.am: Apply Yannick Versley's port of maxima to
	  openmcl.

2003-02-23 12:20  rtoy

	* src/acl6-depends.mk: Add support for ACL6.  All tests pass,
	  except for the one expected error.

2003-02-23 12:04  rtoy

	* configure.in, lisp-utils/make-depends.lisp,
	  lisp-utils/maxima-run-lisp, src/Makefile.am, src/factor.lisp,
	  src/generr.lisp, src/init-cl.lisp, src/macsys.lisp,
	  src/maxima.in, src/maxima.system, src/mdebug.lisp,
	  src/nparse.lisp, src/plot.lisp, src/spgcd.lisp, src/transs.lisp,
	  tests/Makefile.am: Add support for ACL6.  All tests pass, except
	  for the one expected error.

2003-02-22 17:27  wjenkner

	* src/sbcl-depends.mk: Generated file.

2003-02-22 05:07  wjenkner

	* src/clmacs.lisp: DELQ, ZL-REMOVE: Treat SBCL like CMUCL (this
	  seems to be safe, but perhaps it's not necessary).

	  *ACURSOR*, SET-UP-CURSOR, ASET-BY-CURSOR: Bind *ACURSOR*
	  (globally) to a SIMPLE-ARRAY.  This makes SBCL happy and it
	  should be a good thing for the other guys too.

2003-02-22 04:38  wjenkner

	* src/: mdebug.lisp, mformt.lisp: Fix some stream buffering
	  glitches with SBCL.

2003-02-22 04:32  wjenkner

	* src/transs.lisp: SBCL has an ANSI CL compliant COMPILE-FILE. Use
	  it.

2003-02-22 04:22  wjenkner

	* src/generr.lisp: SBCL has an ANSI CL condition system. Use it.

2003-02-22 04:01  wjenkner

	* src/: cl-info.lisp, init-cl.lisp, macsys.lisp,
	  maxima-package.lisp, maxima.system: Mostly implementation
	  dependent stuff for SBCL.

2003-02-22 03:23  wjenkner

	* src/maxima.in, lisp-utils/maxima-run-lisp: Add SBCL to the
	  run-time wrapper scripts.

2003-02-22 02:41  wjenkner

	* configure.in, maxima.spec.in, src/Makefile.am, tests/Makefile.am:
	  Add SBCL to the configure and build system.

2003-02-19 18:48  rtoy

	* src/: cl-info.lisp, init-cl.lisp, macdes.lisp,
	  maxima-package.lisp: Rename the package "SI" to "CL-INFO" to
	  prevent collisions with Allegro's "SI" package.

2003-02-16 23:05  wjenkner

	* share/vector/vect.dem: LOAD "vect" instead of "VECT".

2003-02-16 22:55  wjenkner

	* share/vector/vect.mac: Delete code which duplicates part of
	  trgsmp (and adds at least one bug, viz., in the function UPDATE,
	  COMPLEMENT shouldn't be quoted).

	  Normally, trgsmp is part of the Maxima image, but check its
	  presence anyway by GETting the COMPLEMENT_FUNCTION property of
	  SIN.

	  Convert all occurrences of SF and SFPROD to uppercase.

2003-02-13 13:22  belanger

	* interfaces/emacs/emaxima/maxima.el: A loop that was used to wait
	  for Maxima output was changed, to fix a problem people were
	  having with the previous method.

2003-02-11 05:17  billingd

	* doc/intromax/: intromax.html, intromax.ltx: Correct author's name

2003-02-10 18:45  amundson

	* configure.in: Change version for post-5.9.0 work.

2003-02-09 21:02  amundson

	* ChangeLog: ChangeLog updated by cvs2cl.pl.

2003-02-09 20:57  amundson

	* NEWS: Updated for release

2003-02-09 17:40  amundson

	* ChangeLog: ChangeLog updated by cvs2cl.pl.

2003-02-09 17:36  amundson

	* configure.in: Update version to 5.9.0. (Gulp...)

2003-02-09 17:06  amundson

	* interfaces/xmaxima/Tkmaxima/Paths.tcl: Set default MAXIMA_USERDIR
	  under Windows 98 to $maxima_priv(maxima_prefix)/user. This should
	  solve extremely long startup time problems under Windows 98.
	  Thanks to paricaud@club-internet.fr. A better understanding of
	  the USERDIR/startup time issue is still desirable.

	  Modify exact capitalization/path separator in PATH addition for
	  Windows 98. This fixes one problem which prevented maxima compile
	  function from working with GCL.

2003-02-09 16:59  amundson

	* Makefile.am: Include INSTALL.win32 in release tarball.

	  gcccopy now includes several more files, as suggested by David
	  Billinghurst.

2003-02-09 16:56  amundson

	* INSTALL.win32: Clarified several points in response to questions
	  by Michel Lavaud.

2003-02-06 13:29  amundson

	* INSTALL.win32: fix typo

2003-02-06 13:11  amundson

	* INSTALL.win32: first attempt at an official description of how to
	  generate a windows installer.

2003-02-04 02:14  mikeclarkson

	* interfaces/xmaxima/Tkmaxima/Menu.tcl: Fix for Win98 - finally?

2003-02-03 05:41  billingd

	* doc/maximabook/programming/prog.tex: Fix trivial typo

2003-02-03 05:37  billingd

	* doc/: man/maxima.1.in, maximabook/maxima.tex: Fix trivial typo

2003-02-03 05:27  billingd

	* doc/info/Expressions.texi: Fix typos in report [ 614390 ] trivial
	  typos

2003-01-30 11:02  amundson

	* ChangeLog: ChangeLog updated by cvs2cl.pl.

2003-01-29 15:06  vvzhy

	* share/tensor/itensor.lisp: Fix to wrong KDELTA([1],[A]) by V.
	  Pipin.

2003-01-27 20:38  amundson

	* ChangeLog: ChangeLog updated by cvs2cl.pl.

2003-01-27 02:02  mikeclarkson

	* interfaces/xmaxima/Tkmaxima/RunMaxima.tcl: Increased timeout for
	  starting maxima

2003-01-27 01:55  mikeclarkson

	* interfaces/xmaxima/Tkmaxima/Menu.tcl: Fix for Win98 -
	  env(COMSPEC)

2003-01-26 15:54  amundson

	* ChangeLog: ChangeLog updated by cvs2cl.pl.

2003-01-26 15:48  amundson

	* src/powers.lisp: Updates and translation to unix line endings.

2003-01-26 15:47  amundson

	* src/maxima.in: Workaround for a bug in texmacs -- unset
	  MAXIMA_DIRECTORY if it exists, but is empty.

2003-01-26 15:45  amundson

	* share/algebra/solver/: solver1-en.html, solver1.pdf:
	  Documentation for solver package in German and
	  (machine-translated) English.

2003-01-26 15:44  amundson

	* share/Makefile.am: Install charsets and solver packages.

2003-01-26 15:43  amundson

	* interfaces/xmaxima/Tkmaxima/Paths.tcl: Added maxima's bin
	  directory to path under Windows so that the local copy of gcc can
	  be seen by gcl.

2003-01-26 15:41  amundson

	* interfaces/xmaxima/: Makefile.am, win32/Makefile.in,
	  win32/maxima.bat: Added simple maxima.bat script for Windows.

2003-01-26 15:40  amundson

	* Makefile.am: Added gcccopy target to copy minimal subset of gcc
	  into Windows package.

2003-01-21 20:59  mikeclarkson

	* interfaces/xmaxima/Tkmaxima/Push.tcl: Avoid overuse of catch

2003-01-21 20:57  mikeclarkson

	* interfaces/xmaxima/Tkmaxima/Bindings.tcl: Try to fix OpenMathYank

2003-01-21 20:55  mikeclarkson

	* interfaces/xmaxima/Tkmaxima/Menu.tcl: Fix Save Expressions to
	  File

2003-01-20 10:22  mikeclarkson

	* interfaces/xmaxima/Tkmaxima/Menu.tcl: Fix UI Help Reference
	  Manual for Windows NT - untested

2003-01-20 09:08  mikeclarkson

	* maxima.iss.in: Allow user to select target directory

2003-01-08 06:36  amundson

	* ChangeLog: updates

2003-01-08 06:34  amundson

	* tests/Makefile.am: Add rtestflatten.mac to tarball.

2003-01-08 06:33  amundson

	* interfaces/xmaxima/Tkmaxima/.cvsignore: Header.tcl is now a
	  generated file.

2003-01-08 06:32  amundson

	* interfaces/xmaxima/Tkmaxima/Menu.tcl: Make tests runnable under
	  all three lisps.

2003-01-08 06:28  amundson

	* doc/intromax/Makefile.am: Include latex file in tarball.

2003-01-08 06:27  amundson

	* doc/emaxima/: .cvsignore, Makefile.am: Install emaxima doc.

2003-01-08 06:26  amundson

	* doc/Makefile.am: Added emaxima doc directory. Added maximabook to
	  tarball.

2003-01-08 06:26  amundson

	* configure.in: Added emaxima doc Makefile.

2003-01-08 06:25  amundson

	* README.rpms: Updated for new package names. Added blurb about
	  circular dependency.

2003-01-08 06:24  amundson

	* README.lisps: Corrected GCL information.

2003-01-06 13:43  vvzhy

	* share/: Makefile.am, tensor/ademo.dem, tensor/canten.lisp,
	  tensor/itensor.dem, tensor/itensor.lisp, tensor/itensor.usg,
	  tensor/swartz.dem, tensor/symtry.lisp: Fixes and additions to
	  ctensor/itensor by Valerij Pipin

2003-01-06 13:03  belanger

	* interfaces/emacs/emaxima/emaxima.lisp: Jesper Harder's patch was
	  applied.

2003-01-05 13:46  amundson

	* src/: clisp-depends.mk, cmucl-depends.mk, gcl-depends.mk:
	  Automatically generated updates.

2003-01-05 13:46  amundson

	* interfaces/xmaxima/Tkmaxima/Header.tcl: Header.tcl is now
	  generated from Header.tcl.in.

2003-01-05 13:44  amundson

	* src/Makefile.am: Fixes to support pathnames with spaces. Not
	  necessarily complete.

	  The big problem is that automake (1.4-p5, at least) is
	  incompatible with path names that contain spaces. Oi.

2003-01-05 13:05  amundson

	* interfaces/xmaxima/win32/Makefile.in: Switch to StarKits for
	  windows TCL/TK wrapper.  New install target.

2003-01-05 13:03  amundson

	* interfaces/xmaxima/Tkmaxima/Tkmaxima.tcl:  We don't need to ask
	  about saving preferences every single
	  time. Doing so was giving me a monumental headache during
	  testing.

2003-01-05 13:01  amundson

	* interfaces/xmaxima/Tkmaxima/RunMaxima.tcl: Use maxima's own
	  winkill under windows.

2003-01-05 13:00  amundson

	* interfaces/xmaxima/Tkmaxima/Paths.tcl: Changes for windows:
	  Automatically set MAXIMA_PREFIX to installed location (under
	  windows only.) Automatically bypass maxima script on windows.

	  There are some path-related issues to clean up in later releases.

2003-01-05 12:58  amundson

	* interfaces/xmaxima/maxima-icon.ico: This should now be a real
	  windows icon. There are still some issues with transparency that
	  I do not understand.

2003-01-05 12:57  amundson

	* interfaces/xmaxima/: Makefile.am, Tkmaxima/Header.tcl.in: Include
	  icons.  Header.tcl is now generated from Header.tcl.in by
	  autoconf in order to get wish executable name.

2003-01-05 12:55  amundson

	* interfaces/emacs/emaxima/Makefile.am: Include emaxima.lisp.

2003-01-05 12:53  amundson

	* maxima.spec.in: Added doc files Added explicit clisp version
	  Added conditional to postun Renamed exec_* packages to exec-* Use
	  rpm macros instead of hard-coded paths Thanks to Rex Dieter for
	  helpful suggestions

2003-01-05 12:52  amundson

	* configure.in: Updates for new generated files.  Bumped up version
	  number for next release candidate. Note subtle change in number
	  scheme (5.9.0rc3 -> 5.9.0.rc4). The new scheme is more likely to
	  be automatically recognized by, e.g., rpm.

2003-01-05 12:49  amundson

	* README.rpms: README file to accompany RPM packaging.

2003-01-05 12:49  amundson

	* Makefile.am: Added files to distribution tarball.  Added/updated
	  maintainer rules for packaging.

2003-01-05 12:47  amundson

	* .cvsignore, maxima.iss.in: Added Inno Setup script for Windows
	  packaging.

2002-12-23 22:31  dstang

	* share/algebra/charsets/README: Added Dr. Wang's homepage to
	  README.

2002-12-23 14:43  dstang

	* src/maxima.system: Added the file set.lisp.

2002-12-22 23:30  dstang

	* share/algebra/solver/: readme, linsolve.mac, misc.mac,
	  slvrmsgs.mac, slvrtbox.mac, solver.mac, test.mac: Initial
	  checkin.

2002-12-22 22:06  dstang

	* src/set.lisp: Corrected problem with Disjointp which failed if
	  sets were disjoint.  Declared Intersection and Union defmfun
	  instead of defmspec.

2002-12-19 22:18  dstang

	* share/algebra/charsets/: charsets.mac, test1.mac: Initial checkin
	  of translated Dr. Wangs code.

2002-12-19 10:38  dstang

	* doc/info/Expressions.texi, src/nrat4.lisp, tests/rtest11.mac:
	  Added initial version of LFREEOF.

2002-12-08 10:10  dstang

	* doc/info/Expressions.texi, src/comm.lisp, tests/rtest6a.mac:
	  Added OP and OPERATORP.

2002-12-06 10:37  dstang

	* src/mutils.lisp: Added every function.

2002-12-06 10:36  dstang

	* doc/info/Lists.texi: Added documentation for every.

2002-12-06 10:35  dstang

	* tests/rtest15.mac: Added tests for every

2002-12-05 16:45  yycamm

	* src/Makefile.am: GCL alt-link syntax update

2002-12-05 13:41  yycamm

	* lisp-utils/defsystem.lisp: Enable build with ansi GCL image

2002-12-01 08:36  dstang

	* tests/rtest15.mac: Added ASSOC tests.

2002-12-01 08:33  dstang

	* src/mutils.lisp: Added ASSOC function.

2002-11-28 21:21  dstang

	* tests/rtestflatten.mac:
	  Test for flatten.

2002-11-28 19:54  dstang

	* tests/tests.lisp:
	  Added rtestflatten.

2002-11-28 19:48  dstang

	* doc/info/Lists.texi:
	  Added link for flatten.

2002-11-28 19:43  dstang

	* src/: flatten.lisp, powers.lisp, set.lisp:
	  Initial checkin of Dr. Willis's code.

2002-11-28 19:38  dstang

	* src/Makefile.am:
	  Added flatten.lisp, powers.lisp and set.lisp

2002-11-28 10:40  dstang

	* share/algebra/charsets/README: [no log message]

2002-10-29 14:28  amundson

	* ChangeLog: Updated for 5.9.0rc3 by cvs2cl.pl.

2002-10-29 12:47  amundson

	* doc/info/Makefile.am: Automake can cause trouble if generated
	  make files are not included in tarball. Include maximahtml.mk in
	  tarball.

2002-10-29 12:46  amundson

	* maxima.spec.in: Previous version had an ugly hack to create
	  uncompressed info files. The hack caused info files to be deleted
	  when upgrading the RPMS.

	  We now have a new ugly (but less ugly!) hack to avoid compressing
	  the info files.

2002-10-29 12:43  amundson

	* configure.in: Update for rc3.

2002-10-28 15:28  amundson

	* ChangeLog: ChangeLog updated by cvs2cl.pl.

2002-10-28 12:22  amundson

	* doc/info/Makefile.am: Last minute packaging problem discovered
	  and fixed: Elliptic.texi was not included in the distribution
	  tarball. Now it is.

2002-10-27 20:53  amundson

	* configure.in: Increment version to 5.9.0rc2.

2002-10-27 20:50  amundson

	* src/init-cl.lisp: Fix courtesy Sam Steingold:

		  * init-cl.lisp (user::run): use `with-simple-restart' for
		  CLISP, just like for CMUCL.
		  (sys::commands) [CLISP]: do not redefine the internal
	  function

2002-10-27 20:47  amundson

	* src/hyp.lisp: Fix courtesy Sam Steingold:

	  (step7): call `hyp-algv' with a correct number of arguments

2002-10-27 20:43  amundson

	* src/clmacs.lisp: Make double precision numbers default under
	  clisp. This change was suggested by Sam Steingold.

	  Precision in Maxima needs revisiting.

2002-10-27 20:41  amundson

	* src/Makefile.am: Make sure binary-cmucl directories exist before
	  invoking cmucl. This change is necessary since maxima.system
	  started calling truename for binary-cmucl.

2002-10-27 20:39  amundson

	* lisp-utils/defsystem.lisp: Update package handling for gcl.

2002-10-27 20:33  amundson

	* interfaces/xmaxima/Makefile.am: Add contents of win32 directory
	  to distribution tarball.

2002-10-27 20:31  amundson

	* xmaxima-local.in, interfaces/xmaxima/Tkmaxima/Paths.tcl: Fixes to
	  restore the functionality of xmaxima-local, at least under Unix.

2002-10-27 20:29  amundson

	* README.lisps: Small update on GCL versions.

2002-10-26 21:20  wjenkner

	* src/mdebug.lisp: ITERATE-OVER-BKPTS: Deleting disabled
	  breakpoints didn't work and enabling already enabled breakpoints
	  effectively deleted them.

2002-10-25 12:03  amundson

	* interfaces/xmaxima/Tkmaxima/RunMaxima.tcl: Very important bug
	  fix. The old default version of pid was -1. This was explosively
	  dangerous -- if the maxima subprocess failed to start, xmaxima
	  will call "kill -1", which results in killing *all* user process
	  on (at least) Linux.

	  The new default version for pid is "none".

2002-10-23 19:03  billingd

	* tests/rtestode.mac: Fix typo in disabled test, then enable it.

2002-10-23 18:57  billingd

	* tests/rtestode.mac: Add tests for ode2() with
	  method:xformtoconstcoeff

2002-10-17 17:32  rtoy

	* src/maxima.system: Recent versions of CMUCL need truename to get
	  the right location of binary-cmucl.  Don't know if this is a bug
	  in CMUCL or defsystem.

2002-10-17 16:32  rtoy

	* src/cl-info.lisp: Fix typo in loop expression.

2002-10-17 16:08  amundson

	* lisp-utils/maxima-run-lisp: Restore large clisp banner at
	  startup.

2002-10-16 10:39  belanger

	* interfaces/emacs/emaxima/maxima.el: A "$" was added to a
	  skip-chars-backwards command, to deal with commands ending in
	  "$".

2002-10-15 12:34  rtoy

	* src/float.lisp: Bug 623620: -log(-1.0b0) unnormalized

	  Fixed as suggested by Stavros Macrakis (with minor editing).

2002-10-15 12:11  rtoy

	* src/trigi.lisp: Bug 623384: acoth(-2.0) was computing the wrong
	  thing because the formula was wrong.	Fix from Stavros Macrakis.

2002-10-14 11:44  rtoy

	* src/float.lisp: Rev 1.4 incorrectly lifted the multiplication by
	  2 outside the loop.  Make it right.

2002-10-10 09:06  amundson

	* src/macsys.lisp: This change fixes the "socket bug." Error
	  conditions often result in a (throw 'maxima-quit) which results
	  in macsyma-top-level being restarted. The way the batch mode
	  worked, restarting macsyma-top-level caused the input to revert
	  to the batch string (used to start the server) which had now
	  reached its end. Since there was an eof on the input stream,
	  maxima would simply exit. Now, if we are using a socket
	  connection and if the input is not standard input, we switch the
	  input to standard input. (The socket connection points standard
	  input to the socket.)

	  The very fact that this commit message is terribly confusing
	  means that the entire input-stream/socket/batch-mode scheme needs
	  to be rethought.

2002-10-08 12:06  rtoy

	* src/float.lisp: o Fix bug in fpshift wherein right shifts of
	  negative numbers were not   truncated properly o Add some
	  comments on the algorithm used by fplog.  o Move the
	  multiplication by 2 that was inside the loop to outside the
	  loop.

2002-10-07 09:15  amundson

	* NEWS, README: Documentation updates in preparation for release.

2002-10-06 21:30  amundson

	* .cvsignore, interfaces/xmaxima/win32/.cvsignore: Ignore more
	  generated files.

2002-10-06 21:16  amundson

	* maxima.spec.in: 1) Enable all three lisps.

	  2) Build maxima-xmaxima package.

2002-10-06 21:07  amundson

	* share/trigonometry/trgsmp.mac: This file was inadvertently left
	  out of the new version of the Maxima source tree.

2002-10-06 17:00  amundson

	* README.lisps: Updated information for Clisp 2.30. Pointer to
	  ledit.

2002-10-06 06:29  vvzhy

	* share/Makefile.am: Install diag.dem and battex.sty

2002-10-06 06:26  vvzhy

	* share/contrib/diag.dem: demo file to diag.mac

2002-10-06 06:21  vvzhy

	* share/physics/battex.sty: battex.sty is required by dimension.tex

2002-10-05 20:27  wjenkner

	* src/autol.lisp: $aload_mac: Substitute $load for $batchload,
	  which can't load translated/compiled files.  This makes no
	  difference unless the user changes the default
	  $FILE_SEARCH_MAXIMA accordingly, too.

2002-09-29 02:27  vvzhy

	* interfaces/emacs/emaxima/Makefile.am: remove maxima-symbols.el
	  from Makefile.am since it is no longer in the repository

2002-09-28 02:06  billingd

	* tests/rtest15.mac: Rework compile test to ensure f is killed

2002-09-27 15:47  belanger

	* interfaces/emacs/emaxima/maxima.el: A problem with indentation in
	  perhaps-smart indentation was fixed.

2002-09-27 15:08  belanger

	* interfaces/emacs/emaxima/maxima.el: Some problems with
	  indentation were fixed (I hope).

2002-09-27 11:07  belanger

	* doc/maximabook/interfaces/interfaces.tex: An update to
	  indentation information was made.

2002-09-27 11:06  belanger

	* doc/emaxima/: EMaximaIntro.tex, EMaximaIntro.ps: A correction to
	  indentation information was made.

2002-09-27 10:54  belanger

	* interfaces/emacs/emaxima/maxima.el: A problem was fixed where the
	  maxima process in xemacs would be killed.  Newlines and indents
	  were changed to be standard emacs	   (RET is newline,
	  C-j is newline-and-indent)

2002-09-27 10:52  belanger

	* interfaces/emacs/emaxima/maxima-font-lock.el: A problem was fixed
	  where keywords within strings and comments were highlighted.

2002-09-26 21:49  wjenkner

	* src/rat3e.lisp: Fix CONTENT of constant polynomials: content(a,x)
	  should give [a, 1] (or [-a, -1]) and not [1, a].  Note that `a'
	  is here regarded as (constant) polynomial in x with coefficients
	  in Z[a].

2002-09-26 19:33  wjenkner

	* share/simplification/facexp.mac: COLLECTTERMS0: Get rid of FDUM.
	  This permits to remove the quote from the lambda expression near
	  the end (by avoiding case II A in trans3.lisp, which the
	  translator can't handle yet).  Alternatively, FDUM could be bound
	  inside the lambda expression, but calling FIRST twice won't
	  introduce that much overhead.

	  Merge facex1.mac into facexp.mac.  This implies only cosmetic
	  changes:

	  Replace APPLY('COLLECTTERMS,CONS(?,??)) by COLLECTTERMSL(?,??),
	  which is equivalent and more concise.

	  Do NOT replace ORPARTITION(?,??,???) by ORPARTITIONL(?,??,[???]).
	   These two expressions are equivalent (provided that my
	  definition in genut.mac is correct).

	  Do NOT replace LOPPLUSP by its definition (which is in
	  facexp.mac, anyway).

2002-09-26 16:22  belanger

	* interfaces/emacs/emaxima/maxima-font-lock.el: A line was added
	  for xemacs compatibility.

2002-09-26 15:40  belanger

	* doc/emaxima/EMaximaIntro.ps: The requirement of maxima-symbols.el
	  was removed.

2002-09-26 15:40  belanger

	* doc/emaxima/EMaximaIntro.tex: A mention of maxima-symbols was
	  removed.

2002-09-26 15:38  belanger

	* doc/maximabook/interfaces/interfaces.tex: Some of the keystrokes
	  for maxima-mode were updated.

2002-09-26 15:34  belanger

	* doc/emaxima/EMaximaIntro.ps: Some keystrokes for commands were
	  updated.

2002-09-26 15:33  belanger

	* doc/emaxima/EMaximaIntro.tex: Some keystrokes for old commands
	  were updated.

2002-09-26 15:26  belanger

	* interfaces/emacs/emaxima/maxima.el: The function maxima-mark-form
	  was rebound to M-h.  Either maxima-complete or
	  maxima-dynamic-complete is now bound to M-TAB, depending on the
	  value of maxima-use-dynamic-complete.

2002-09-26 15:24  belanger

	* interfaces/emacs/emaxima/maxima-symbols.el: The variable
	  maxima-symbols was defined in maxima-font-lock.el, making this
	  file unnecessary.

2002-09-26 15:17  belanger

	* interfaces/emacs/emaxima/maxima-font-lock.el: The faces used in
	  font-locking were changed to default font-lock faces.  Different
	  levels of highlighting were introduced.  The variable
	  maxima-symbols was put into this file.

2002-09-25 20:14  billingd

	* tests/rtestode.mac: Update reference for Postel and Zimmermann

2002-09-25 08:48  billingd

	* tests/rtestode.mac: Comment out a number of tests that fail when
	  this test is run last.  There is some interaction with tests in
	  other files.

	  Add some tests from Postel and Zimmerman ODE testsuite.

2002-09-25 08:47  billingd

	* tests/rtest15.mac: Rename function in compile test from f to
	  ffffcompile.	The name f is not killed, and breaks a test in
	  rtestode.

2002-09-24 21:17  amundson

	* tests/tests.lisp: Run rtestode last. Otherwise, it interferes
	  with two other tests.

	  This, in itself, deserves investigation, but it will have to be
	  investigated after 5.9.0.

2002-09-24 21:10  amundson

	* src/Makefile.am: Fixed gcl alt link so that it actually compiles
	  before it tries to link. Duh.

2002-09-24 21:07  amundson

	* interfaces/xmaxima/Makefile.am: Automatically create
	  Tkmaxima/tclIndex if tclsh is available. If tclsh is not
	  available, create an empty file. In this way we avoid requiring
	  tclsh for the build.

2002-09-24 21:04  amundson

	* configure.in: Minor updates. If gcl alt link is enabled, say so.
	  Quote the names of lisp and wish executables so that it is more
	  obvious is they are left empty.

2002-09-24 21:02  amundson

	* Makefile.am: Make the "dist" dependency optional.

2002-09-24 15:09  belanger

	* interfaces/emacs/emaxima/maxima.el: The help buffer was changed
	  to be read only.

2002-09-24 14:53  belanger

	* interfaces/emacs/emaxima/maxima.el: maxima-help was fixed so that
	  it now works with xemacs.

2002-09-24 11:56  amundson

	* src/maxima.in: If the default lisp image, as defined at configure
	  time, is not present, the maxima script will now make the first
	  lisp image it finds the default lisp.

2002-09-23 21:38  mikeclarkson

	* interfaces/bin/xmaxima.iss: Untested improvements to Inno script

2002-09-23 19:46  mikeclarkson

	* interfaces/tex/EMaxima/: EMIntro.ps, EMIntro.tex, Makefile,
	  Readme.txt, emaxima.sty, pdfcolmk.sty: Added Readme.txt

2002-09-23 19:32  mikeclarkson

	* interfaces/tex/Xmaxima/: .cvsignore, Makefile, Xmaxima.tex,
	  maxima.perl, maxima.sty: Added shell for an Xmaxima users guide

2002-09-23 14:31  belanger

	* interfaces/emacs/emaxima/maxima.el: I updated `maxima-info-dir'.

2002-09-21 22:20  mikeclarkson

	* interfaces/lib/tcllib-1.2/modules/: dns/dns.man, dns/dns.tcl,
	  log/log.n, log/log.tcl, log/log.test, log/pkgIndex.tcl,
	  uri/pkgIndex.tcl, uri/uri.n, uri/uri.tcl, uri/uri.test,
	  uri/urn-scheme.tcl, uri/urn.test: Added tcllib files for asnyc
	  DNS in lib

2002-09-21 22:16  mikeclarkson

	* interfaces/: Readme.txt, tex/EMaxima/EMIntro.ps,
	  tex/EMaxima/EMIntro.tex, tex/EMaxima/Makefile,
	  tex/EMaxima/emaxima.sty, tex/EMaxima/pdfcolmk.sty: Added EMaxima
	  documentation in tex

2002-09-20 22:03  wjenkner

	* doc/info/Expressions.texi: Update documentation for DISOLATE.

2002-09-20 22:00  wjenkner

	* doc/info/Simplification.texi: Update documentation for functions
	  from facsum and stopex.

	  Replace the Fortran-like notation `**' by '^'.

2002-09-20 21:38  wjenkner

	* src/max_ext.lisp: Enable autoloading for some functions from
	  stopex, facexp, disol, declin and genut (most of which are
	  referenced in the manual).

	  Also intern here some user-level variables defined in these files
	  in order to avoid case sensitivity problems (e.g.,
	  nextlayerfactor:true$ should bind $nextlayerfactor and not
	  |$nextlayerfactor|).	Declaiming them special is more useful than
	  just interning them.

2002-09-20 21:24  wjenkner

	* share/simplification/genut.mac: IFLOPMAP: Treat factors of EXP
	  which are integer powers in exactly the same way as other
	  products.  This is relevant for the NEXTLAYERFACTOR switch.  For
	  example, facsum(x^2+2*x+1,'nextlayerfactor,[x]) gave the same
	  result as facsum(x^2+2*x+1,[x]).  Compare this with
	  facsum(x^2+x,'nextlayerfactor,[x]).  Added genut_prodmap in order
	  to deal with this issue.

2002-09-20 07:48  billingd

	* tests/rtestode.mac: Activate additional tests.  For some reason
	  they failed if this test is run after rtest3.mac

	  Add desolve tests.

2002-09-20 07:47  billingd

	* tests/tests.lisp: Run rtestode first.  If it is run after rtest3
	  then it breaks.

2002-09-19 23:40  billingd

	* tests/: rtestode.mac, Makefile.am, tests.lisp: Add ODE tests in
	  rtestode.mac

2002-09-19 16:42  mikeclarkson

	* interfaces/xmaxima/Tkmaxima/: Browser.tcl, Myhtml.tcl,
	  OpenMath.tcl, Wmenu.tcl: Buttetproff the font code a little

2002-09-19 12:28  mikeclarkson

	* interfaces/bin/xmaxima.iss: Change bat to exe and andd manual
	  link

2002-09-19 11:26  mikeclarkson

	* interfaces/xmaxima/: maxima-icon.ico, xmaxima.tcl,
	  Tkmaxima/Getdata1.tcl, Tkmaxima/Myhtml.tcl,
	  Tkmaxima/Plotconf.tcl, Tkmaxima/Plotdf.tcl,
	  Tkmaxima/Printops.tcl, Tkmaxima/RunMaxima.tcl,
	  Tkmaxima/Send-some.tcl: code cleanups

2002-09-19 11:25  mikeclarkson

	* interfaces/xmaxima/Tkmaxima/OpenMath.tcl: Dlate history windo for
	  demolition - replace with menu

2002-09-19 11:24  mikeclarkson

	* interfaces/xmaxima/Tkmaxima/: Constants.tcl, NConsole.tcl: Move
	  Constants

2002-09-19 11:20  mikeclarkson

	* interfaces/xmaxima/Tkmaxima/Cygwin.tcl: Try to fix env(PATH)
	  under CYGWIN and MSYS - Im a little unsure here

2002-09-19 11:19  mikeclarkson

	* interfaces/xmaxima/Tkmaxima/RunMaxima.tcl: Fix interrupt bug

2002-09-19 11:18  mikeclarkson

	* interfaces/xmaxima/Tkmaxima/Paths.tcl: Set up for auto_loading

2002-09-19 11:15  mikeclarkson

	* interfaces/xmaxima/Tkmaxima/: Bindings.tcl, Browser.tcl,
	  Wmenu.tcl, Menu.tcl, CMMenu.tcl: Break out bindings and make them
	  more consistent with Windows

2002-09-19 11:13  mikeclarkson

	* interfaces/xmaxima/: Makefile.am, xmaxima-trailer.tcl,
	  Tkmaxima/Gui.tcl, Tkmaxima/Makefile, Tkmaxima/Tkmaxima.tcl,
	  ObjTcl/Feedback.tcl, ObjTcl/Object.tcl: Break xmaxima.tcl up and
	  introduce OO style

2002-09-19 11:09  mikeclarkson

	* interfaces/xmaxima/autoconf-variables.tcl.in: Add defaultlisp

2002-09-18 12:07  mikeclarkson

	* interfaces/xmaxima/Tkmaxima/RunMaxima.tcl: Fix bug reporting
	  startup failures

2002-09-17 17:35  mikeclarkson

	* interfaces/xmaxima/: Makefile.am, xmaxima-trailer.tcl,
	  Tkmaxima/Makefile, Tkmaxima/Paths.tcl: Move xmaxima-paths.tcl to
	  Tkmaxima/Paths.tcl

2002-09-16 12:55  mikeclarkson

	* interfaces/xmaxima/Tkmaxima/RunMaxima.tcl: Bug fix - thanks Mike
	  Thomas

2002-09-14 19:33  amundson

	* maxima.spec.in: Improvements: dependencies improved, packages
	  renamed. Info files not compressed through an ugly hack in post
	  scripts. Which lisp(s) to use controlled by the variables at the
	  head.

	  Todo: split out xmaxima.

2002-09-14 12:25  mikeclarkson

	* interfaces/xmaxima/: demos.html, examples.html,
	  xmaxima-paths.tcl, Tkmaxima/Base64.tcl, Tkmaxima/Browser.tcl,
	  Tkmaxima/CMMenu.tcl, Tkmaxima/Constants.tcl,
	  Tkmaxima/EOpenplot.tcl, Tkmaxima/Fonts.tcl,
	  Tkmaxima/Getdata1.tcl, Tkmaxima/Getopt.tcl, Tkmaxima/Macros.tcl,
	  Tkmaxima/Menu.tcl, Tkmaxima/Myhtml.tcl, Tkmaxima/Myhtml1.tcl,
	  Tkmaxima/NConsole.tcl, Tkmaxima/NPlot3d.tcl,
	  Tkmaxima/OpenMath.tcl, Tkmaxima/Parse.tcl, Tkmaxima/Plot2d.tcl,
	  Tkmaxima/Plot3d.tcl, Tkmaxima/Plotconf.tcl, Tkmaxima/Plotdf.tcl,
	  Tkmaxima/Printops.tcl, Tkmaxima/Push.tcl, Tkmaxima/RunMaxima.tcl,
	  Tkmaxima/Send-some.tcl, Tkmaxima/Tryembed.tcl,
	  Tkmaxima/Wmenu.tcl: Code cleanup - remove tariling spaces

2002-09-14 12:25  mikeclarkson

	* interfaces/xmaxima/xmaxima.tcl: Back out height/width change - it
	  breaks plotting

2002-09-13 20:07  amundson

	* lisp-utils/defsystem.lisp: Ooops. Previous commit broke non-gcl
	  builds. This is the fix.

2002-09-13 12:42  mikeclarkson

	* interfaces/xmaxima/Tkmaxima/: Plot2d.tcl, Plot3d.tcl, Prefs.tcl:
	  Gather constants into maxima_priv and maxima_default

2002-09-13 12:40  mikeclarkson

	* interfaces/xmaxima/Tkmaxima/Wmenu.tcl: Bulletproofing - ballons
	  are still being called even if show_balloons is 0

2002-09-13 12:39  mikeclarkson

	* interfaces/xmaxima/Tkmaxima/: OpenMath.tcl, RunMaxima.tcl: Signal
	  socket failures to the user - maxima has died

2002-09-13 12:38  mikeclarkson

	* interfaces/xmaxima/xmaxima-paths.tcl: Try to get xmaxima to
	  handle spaces in directory names - only part of the problem

2002-09-13 12:35  mikeclarkson

	* interfaces/xmaxima/Tkmaxima/Makefile: Added Voodo for Cygwin -
	  fix PATH

2002-09-13 12:34  mikeclarkson

	* interfaces/xmaxima/: xmaxima.tcl, Tkmaxima/Browser.tcl,
	  Tkmaxima/Constants.tcl: Breakup initial constants for before and
	  after netmath.ini

2002-09-13 12:28  mikeclarkson

	* interfaces/xmaxima/Tkmaxima/Menu.tcl: Add Save items to Menu

2002-09-13 12:26  mikeclarkson

	* interfaces/xmaxima/: Makefile.am, Tkmaxima/Cygwin.tcl,
	  Tkmaxima/Header.tcl: Added Voodo for Cygwin - fix PATH

2002-09-13 09:41  amundson

	* src/Makefile.am: First attempt at gcl-alt-link from Camm. There
	  is still probably work to be done with this linking step. The $()
	  syntax should be changed to `` at the very least.

2002-09-13 09:40  amundson

	* lisp-utils/defsystem.lisp: Addition from Camm. Needed by
	  gcl-alt-link, but usable without it.

2002-09-13 09:39  amundson

	* .cvsignore, xmaxima-local, xmaxima-local.in: xmaxima-local is now
	  a generated file. It uses wish as defined by configure.

2002-09-13 09:35  amundson

	* configure.in: 1) misfeature fix: --with-clisp will now enable
	  clisp with the standard executable. Formerly, it would have set
	  the clisp executable to the empty string. (The intended form is
	  --with-clisp=myclisp.) Ditto for CMUCL, GCL.

	  2) Add wish option.

	  3) Add gcl-alt-link option.

2002-09-12 02:59  mikeclarkson

	* interfaces/xmaxima/Tkmaxima/: Browser.tcl, Fonts.tcl: Move font
	  constants from Browser.tcl

2002-09-12 02:56  mikeclarkson

	* interfaces/xmaxima/Tkmaxima/Browser.tcl: Clean and reindent code

2002-09-12 02:11  mikeclarkson

	* interfaces/bin/xmaxima.iss: Checked in xmaxima.iss from CY -
	  needs work to make relocatable

2002-09-12 01:58  mikeclarkson

	* interfaces/xmaxima/xmaxima-paths.tcl: Look for maxima.exe on
	  windows in lib/ - need autoconf(lisp) so we dont need to use glob

2002-09-11 09:38  amundson

	* interfaces/xmaxima/Makefile.am: Tkmaxima directory is now
	  installed into verpkglibdir.

2002-09-10 20:19  mikeclarkson

	* interfaces/xmaxima/xmaxima-paths.tcl: Dont set MAXIMA_DIRECTORY
	  by default - only 5.5 layout

2002-09-10 20:09  mikeclarkson

	* interfaces/xmaxima/: xmaxima-trailer.tcl, xmaxima.tcl,
	  Tkmaxima/RunMaxima.tcl: Fix closeMaxima / winkill for Windows

2002-09-10 20:09  mikeclarkson

	* interfaces/xmaxima/xmaxima-paths.tcl: Assume maxima.exe is on the
	  PATH under windows - is this right?

2002-09-10 12:00  mikeclarkson

	* interfaces/xmaxima/xmaxima-paths.tcl: Fix maxima executable name

2002-09-10 11:16  mikeclarkson

	* interfaces/xmaxima/xmaxima-paths.tcl: Fix typo for MSYS and
	  CYGWIN

2002-09-10 11:11  mikeclarkson

	* interfaces/xmaxima/xmaxima-paths.tcl: Fix typo for MSYS and
	  CYGWIN

2002-09-10 10:48  mikeclarkson

	* interfaces/xmaxima/xmaxima-paths.tcl: Fix typo for MSYS and
	  CYGWIN

2002-09-10 04:19  mikeclarkson

	* interfaces/xmaxima/: xmaxima-paths.tcl, xmaxima-trailer.tcl,
	  Tkmaxima/RunMaxima.tcl: Bring in line to handle David
	  Billinghurst 5.9 windows release

2002-09-10 04:17  mikeclarkson

	* interfaces/xmaxima/Tkmaxima/: Fonts.tcl, Myhtml.tcl: Default
	  fontadjust to 0

2002-09-10 04:16  mikeclarkson

	* interfaces/xmaxima/xmaxima.tcl: Make sure closeMaxima is called
	  on exit

2002-09-10 01:59  mikeclarkson

	* interfaces/xmaxima/: xmaxima-paths.tcl, xmaxima-trailer.tcl,
	  xmaxima.tcl, Tkmaxima/Browser.tcl, Tkmaxima/CMMenu.tcl,
	  Tkmaxima/Constants.tcl, Tkmaxima/EOpenplot.tcl,
	  Tkmaxima/Fonts.tcl, Tkmaxima/Getdata1.tcl, Tkmaxima/Makefile,
	  Tkmaxima/Menu.tcl, Tkmaxima/Myhtml.tcl, Tkmaxima/Myhtml1.tcl,
	  Tkmaxima/NConsole.tcl, Tkmaxima/OpenMath.tcl,
	  Tkmaxima/Plot2d.tcl, Tkmaxima/Plot3d.tcl, Tkmaxima/Plotconf.tcl,
	  Tkmaxima/Preamble.tcl, Tkmaxima/Proxy.tcl,
	  Tkmaxima/RunMaxima.tcl, Tkmaxima/Send-some.tcl,
	  Tkmaxima/Tryembed.tcl: Renamed xmPreferences and ws_openMath to
	  maxima_default and maxima_priv

2002-09-10 01:09  mikeclarkson

	* interfaces/xmaxima/: .cvsignore, Tkmaxima/.cvsignore: Added
	  Tkmaxima/.cvsignore

2002-09-10 01:03  mikeclarkson

	* interfaces/xmaxima/Tkmaxima/: Browser.tcl, CMMenu.tcl,
	  Constants.tcl, Fonts.tcl, Menu.tcl, Myhtml.tcl, OpenMath.tcl,
	  Plotconf.tcl, Prefs.tcl, Textinsert.tcl, Tryembed.tcl, Wmenu.tcl:
	  Remove useless and ugly xmaximaPreferences

2002-09-10 01:01  mikeclarkson

	* interfaces/xmaxima/: xmaxima-paths.tcl, xmaxima-trailer.tcl,
	  xmaxima.tcl: Overhaul startup procedures and setting of initial
	  variables

2002-09-09 17:30  amundson

	* Makefile.am, configure.in, maxima.spec.in: First pass at a spec
	  file (used to create RPM packages) for Maxima. There is a base
	  package and a separate package for each supported Lisp.

	  The spec file could still use some polishing.

2002-09-09 08:42  billingd

	* src/init-cl.lisp: Fix path for maxima-infodir

2002-09-09 01:46  billingd

	* interfaces/xmaxima/win32/: ChangeLog, Makefile.in: Remove
	  reference to tclpip83.dll

2002-09-08 17:51  amundson

	* configure.in: make maxima-local executable

2002-09-08 07:46  billingd

	* configure.in: Generate interfaces/xmaxima/win32/Makefile

2002-09-08 07:45  billingd

	* interfaces/xmaxima/win32/: Makefile.in, ChangeLog: Makefile.in is
	  work in progress.  It will be replaced by a Makefile.am once a
	  few problems are sorted out.

2002-09-08 07:19  billingd

	* interfaces/xmaxima/win32/: ChangeLog, tclwinkill.c, winkill.c:
	  Remove references to gcl config.h

2002-09-08 07:15  billingd

	* interfaces/xmaxima/win32/ChangeLog: New file

2002-09-08 07:10  billingd

	* interfaces/xmaxima/win32/: winkill.c, tclwinkill.c: Copied file
	  from gcl tree

2002-09-08 07:07  billingd

	* configure.in, maxima-local, maxima-local.in: Generate
	  maxima-local with configure

2002-09-07 20:48  mikeclarkson

	* interfaces/xmaxima/Tkmaxima/: Browser.tcl, CMMenu.tcl,
	  Getdata1.tcl, Matrix.tcl, Menu.tcl, Myhtml.tcl, Myhtml1.tcl,
	  NPlot3d.tcl, OpenMath.tcl, Plot2d.tcl, Plot3d.tcl, Plotconf.tcl,
	  Plotdf.tcl, Tryembed.tcl: Reindent and reformat

2002-09-07 20:45  mikeclarkson

	* interfaces/xmaxima/: xmaxima-paths.tcl, xmaxima.tcl: Could
	  someone document all of these environment variables?

2002-09-07 18:20  mikeclarkson

	* interfaces/xmaxima/Tkmaxima/: CMMenu.tcl, OpenMath.tcl,
	  Plotting.tcl: Start removing old Unix only fonts

2002-09-07 18:17  mikeclarkson

	* interfaces/xmaxima/xmaxima-paths.tcl: Bring constants derived
	  from enviroment variables up to setMaxDir

2002-09-07 09:43  billingd

	* interfaces/xmaxima/intro.html: Correct paths for examples.html
	  and plotmaxima.html

2002-09-07 05:33  mikeclarkson

	* interfaces/xmaxima/xmaxima-paths.tcl: Try to rationalize paths
	  for Windows and Unix

2002-09-07 05:31  mikeclarkson

	* interfaces/xmaxima/: Makefile.am, xmaxima.tcl, ObjTcl/Object.tcl,
	  Tkmaxima/Makefile: Add tclIndex target to Makefiles ready for
	  autoloading

2002-09-07 05:31  mikeclarkson

	* interfaces/xmaxima/Tkmaxima/RunMaxima.tcl: Bulletproof linkLocal
	  - the variable may not exist

2002-09-07 05:05  mikeclarkson

	* interfaces/xmaxima/Tkmaxima/: Browser.tcl, Myhtml.tcl,
	  Myhtml1.tcl, NPlot3d.tcl, OpenMath.tcl, RunMaxima.tcl,
	  Send-some.tcl: Reindent Tcl code

2002-09-07 03:48  mikeclarkson

	* interfaces/xmaxima/: Makefile.am, xmaxima.tcl,
	  Tkmaxima/Constants.tcl, Tkmaxima/Makefile, Tkmaxima/Menu.tcl,
	  Utils/FileDlg.tcl, Utils/Makefile, Utils/Messages.tcl,
	  Utils/Misc.tcl: Add System Menu ready for testing

2002-09-07 03:47  mikeclarkson

	* interfaces/xmaxima/Tkmaxima/OpenMath.tcl: Reindent Tcl code

2002-09-07 03:01  mikeclarkson

	* interfaces/xmaxima/Tkmaxima/RunMaxima.tcl: openMaxima must return
	  an error to stop runOneMaxima from continuing

2002-09-07 00:38  mikeclarkson

	* interfaces/xmaxima/: Makefile.am, xmaxima.tcl,
	  Tkmaxima/Fonts.tcl, Tkmaxima/Makefile: Broke out Font code to
	  Tkmaxima/Fonts.tcl

2002-09-07 00:38  mikeclarkson

	* interfaces/xmaxima/ChangeLog.txt: Added ChangeLog.txt

2002-09-07 00:34  mikeclarkson

	* interfaces/xmaxima/Tkmaxima/OpenMath.tcl: Reindented Tcl code

2002-09-07 00:24  mikeclarkson

	* interfaces/xmaxima/Tkmaxima/OpenMath.tcl: Turned off ballons by
	  default

2002-09-07 00:21  mikeclarkson

	* interfaces/xmaxima/Tkmaxima/: Adams.tcl, Base64.tcl, Bitmaps.tcl,
	  Browser.tcl, CMMenu.tcl, Constants.tcl, EHref.tcl, EMaxima.tcl,
	  EOctave.tcl, EOpenplot.tcl, Getdata1.tcl, Getopt.tcl, Header.tcl,
	  Macros.tcl, Matrix.tcl, Myhtml.tcl, Myhtml1.tcl, NConsole.tcl,
	  NPlot3d.tcl, OpenMath.tcl, Parse.tcl, Plot2d.tcl, Plot3d.tcl,
	  Plotconf.tcl, Plotdf.tcl, Plotting.tcl, Preamble.tcl, Prefs.tcl,
	  Printops.tcl, Private.tcl, Proxy.tcl, Push.tcl, Readdata.tcl,
	  Rk.tcl, RunMaxima.tcl, Send-some.tcl, Startup.tcl, String.tcl,
	  Textinsert.tcl, Tryembed.tcl, Tryftp2.tcl, Wmenu.tcl,
	  maxima-local.tcl, patchold.tcl: Reindented Tcl code

2002-09-06 14:39  mikeclarkson

	* ChangeLog: ChangeLog entry for breakup of xmaxima.tcl

2002-09-06 11:55  belanger

	* interfaces/emacs/emaxima/emaxima.el: An ugly and hopefully
	  temporary fix was put in to get the "update-all" functions to
	  work from the Emacs menu.

2002-09-06 04:08  mikeclarkson

	* interfaces/xmaxima/: xmaxima-paths.tcl, xmaxima.tcl: setMaxDir is
	  used by xmaxima-trailer.tcl

2002-09-06 02:35  mikeclarkson

	* interfaces/xmaxima/Tkmaxima/Makefile: Add TAGS target, to replace
	  the one in ..

2002-09-06 01:53  mikeclarkson

	* interfaces/xmaxima/: Makefile.am, getdata1.tcl, nconsole.tcl,
	  string.tcl, xmaxima.tcl, Tkmaxima/CMMenu.tcl,
	  Tkmaxima/Constants.tcl, Tkmaxima/NConsole.tcl,
	  Tkmaxima/OpenMath.tcl, Tkmaxima/Preamble.tcl, Tkmaxima/Prefs.tcl,
	  Tkmaxima/RunMaxima.tcl, Tkmaxima/String.tcl: Broke out rest of
	  xmaxima.tcl

2002-09-06 01:21  mikeclarkson

	* interfaces/xmaxima/: Makefile.am, base64.tcl, bitmaps.tcl,
	  browser.tcl, myhtml.tcl, tryembed.tcl, tryftp2.tcl, wmenu.tcl,
	  xmaxima.tcl, Tkmaxima/Base64.tcl, Tkmaxima/Bitmaps.tcl,
	  Tkmaxima/Browser.tcl, Tkmaxima/Constants.tcl,
	  Tkmaxima/Myhtml.tcl, Tkmaxima/Myhtml1.tcl, Tkmaxima/Tryembed.tcl,
	  Tkmaxima/Tryftp2.tcl, Tkmaxima/Wmenu.tcl: Broke out Browser Wmenu
	  Tryftp2 Myhtml Myhtml1 Base64 Bitmaps Tryembed

2002-09-05 22:27  mikeclarkson

	* interfaces/xmaxima/: Makefile.am, emaxima.tcl, eoctave.tcl,
	  eopenplot.tcl, patchold.tcl, xmaxima.tcl, Tkmaxima/Constants.tcl,
	  Tkmaxima/EHref.tcl, Tkmaxima/EMaxima.tcl, Tkmaxima/EOctave.tcl,
	  Tkmaxima/EOpenplot.tcl, Tkmaxima/patchold.tcl: Broke out EOctave
	  EOpenplot EMaxima EHref

2002-09-05 21:21  mikeclarkson

	* interfaces/xmaxima/: Makefile.am, adams.tcl, nplot3d.tcl,
	  plot2d.tcl, plot3d.tcl, plotdf.tcl, rk.tcl, xmaxima.tcl,
	  Tkmaxima/Adams.tcl, Tkmaxima/Constants.tcl, Tkmaxima/Matrix.tcl,
	  Tkmaxima/NPlot3d.tcl, Tkmaxima/Plot2d.tcl, Tkmaxima/Plot3d.tcl,
	  Tkmaxima/Plotdf.tcl, Tkmaxima/Plotting.tcl, Tkmaxima/Rk.tcl:
	  Broke out Plotting Adams Rk Plotdf Plot2d Matrix Plot3d NPlot3d

2002-09-05 20:51  mikeclarkson

	* interfaces/xmaxima/: Makefile.am, plotconf.tcl, xmaxima.tcl,
	  Tkmaxima/Plotconf.tcl, Tkmaxima/Push.tcl: Broke out Push and
	  Plotconf

2002-09-05 20:49  mikeclarkson

	* interfaces/xmaxima/Tkmaxima/: Printops.tcl, Textinsert.tcl: Broke
	  out Textinsert and Printops

2002-09-05 20:38  mikeclarkson

	* interfaces/xmaxima/: Makefile.am, getopt.tcl, parse.tcl,
	  printopts.tcl, textinsert.tcl, xmaxima.tcl: Broke out Textinsert
	  and Printops

2002-09-05 20:23  mikeclarkson

	* interfaces/xmaxima/: Makefile.am, xmaxima.tcl,
	  Tkmaxima/Getopt.tcl, Tkmaxima/Parse.tcl, Tkmaxima/Private.tcl:
	  Broke out Getopt.tcl Private.tcl Parse.tcl

2002-09-05 20:10  mikeclarkson

	* interfaces/xmaxima/: Makefile.am, send-some.tcl, xmaxima.tcl,
	  Tkmaxima/Constants.tcl, Tkmaxima/Send-some.tcl: Broke out
	  Send-some.tcl

2002-09-05 19:40  mikeclarkson

	* interfaces/xmaxima/: proxy.tcl, xmaxima.tcl,
	  Tkmaxima/Constants.tcl: Identify all global variables for moving
	  to Constants.tcl or encapsulation

2002-09-05 19:38  mikeclarkson

	* interfaces/xmaxima/Tkmaxima/Makefile: Developers convenience
	  targets (not part of the normal make/install

2002-09-05 19:18  mikeclarkson

	* interfaces/xmaxima/: xmaxima.tcl, Tkmaxima/Constants.tcl,
	  Tkmaxima/Getdata1.tcl, Tkmaxima/Macros.tcl, Tkmaxima/Proxy.tcl,
	  Tkmaxima/Readdata.tcl, Tkmaxima/Startup.tcl,
	  Tkmaxima/maxima-local.tcl, Makefile.am: Broke out readdata
	  getdata1 macros and proxy.tcl

2002-09-05 19:17  mikeclarkson

	* interfaces/xmaxima/xmaxima-paths.tcl: Is autoconf defined for
	  Windows binary releases?

2002-09-05 17:05  mikeclarkson

	* interfaces/xmaxima/Makefile.am: Make TAGS a single-colon target

2002-09-05 17:02  mikeclarkson

	* interfaces/xmaxima/: Makefile.am, Readme.txt,
	  Tkmaxima/Header.tcl: Restored Unix /bin/sh header because
	  xmaxima-local depends on it (a bad idea ?)

2002-09-05 15:37  mikeclarkson

	* interfaces/xmaxima/Readme.txt: Added a Readme.txt mainly for
	  developers

2002-09-05 15:00  mikeclarkson

	* interfaces/xmaxima/Makefile.am: Restored Unix /bin/sh header
	  because xmaxima-local depends on it (a bad idea)

2002-09-05 14:55  mikeclarkson

	* interfaces/xmaxima/Tkmaxima/Constants.tcl: Begin to break up
	  xmaxima.tcl and gather global constants in one place

2002-09-05 04:33  mikeclarkson

	* interfaces/xmaxima/xmaxima.tcl: Fix some of the socaket timeouts,
	  but WFSs use of after cancel is still wrong in places

2002-09-05 03:57  mikeclarkson

	* interfaces/xmaxima/xmaxima.tcl: Move setMaxDir into doit, and
	  defer runOneMaxima until the UI is built

2002-09-05 03:28  mikeclarkson

	* interfaces/xmaxima/xmaxima-trailer.tcl: Fix type in windows code
	  and cleanup

2002-09-04 21:54  mikeclarkson

	* interfaces/xmaxima/: Makefile.am, Utils/etags.tcl: Added TAGS
	  target for the convenience of developers

2002-09-04 21:34  mikeclarkson

	* interfaces/xmaxima/xmaxima.tcl: Removed obsolete Tcl unsupported0
	  code

2002-09-04 21:07  mikeclarkson

	* interfaces/xmaxima/: Makefile.am, xmaxima.tcl: turn off the
	  horrible show_balloons by default

2002-09-04 20:48  mikeclarkson

	* interfaces/xmaxima/xmaxima.tcl: Fixed bug 604832 - xmaxima can
	  kill Xwindows

2002-09-04 18:00  mikeclarkson

	* interfaces/xmaxima/: xmaxima.tcl, Makefile.am: Started breaking
	  up xmaxima.tcl to tkmaxima/*.tcl

2002-09-03 21:07  amundson

	* interfaces/xmaxima/: xmaxima-trailer.tcl, xmaxima.tcl: Updates
	  for windows from Mike Thomas.

2002-09-03 20:22  amundson

	* interfaces/emacs/emaxima/Makefile.am: Install emaxima.lisp and
	  include it in the tarball.

2002-09-01 07:21  wjenkner

	* src/hyp.lisp: Patch from Thomas Fischbacher: Rename INTERSECTION
	  since it is also in the CL package.

2002-08-30 17:24  amundson

	* src/Makefile.am: Include (cmucl,clisp,gcl)-depends.mk in tarball
	  distribution.

2002-08-30 15:11  amundson

	* Makefile.am: Put README.lisps in the tarball.

2002-08-30 08:40  amundson

	* doc/man/.cvsignore: maxima.1 is now a generated file.

2002-08-30 08:37  amundson

	* configure.in: Upgrade version to 5.9.0rc1.

2002-08-30 08:36  amundson

	* tests/Makefile.am: Put known-bugs in the tarball distribution.

2002-08-27 17:35  wjenkner

	* share/simplification/genut.mac: Changed all occurrences of the
	  keyword `IN' to `in'.  Made some small changes in the comments.

2002-08-27 17:29  wjenkner

	* src/mactex.lisp: Replaced $|in| in TEXMDOIN.	This fixes the
	  case-sensitivity problem for keywords (due to $|in| being
	  interned here).

2002-08-25 10:45  amundson

	* tests/: known-bugs, summarize-log: Test summary now lists the
	  tests that were expected to fail. The expected failures are
	  listed in the file known-bugs.

2002-08-25 10:43  amundson

	* configure.in: Configure no longer complains about not finding
	  <lisp> when an absolute path is specified for <lisp>.

2002-08-25 10:41  amundson

	* bootstrap: Make bootstrap less needlessly verbose.

2002-08-25 10:40  amundson

	* README.lisps: Minor updates including URL's.

2002-08-25 10:39  amundson

	* INSTALL: Generic INSTALL instructions plus a brief prelude.

2002-08-25 10:38  amundson

	* AUTHORS: My first attempt at a reasonable AUTHORS file.

2002-08-23 12:26  amundson

	* doc/man/Makefile.am: Update because maxima.1 is now a generated
	  file.

2002-08-23 10:05  amundson

	* configure.in, doc/man/maxima.1, doc/man/maxima.1.in: Use autoconf
	  to insert proper pathnames into the man page.  maxima.1 was
	  slightly modified to become maxima.1.in.

2002-08-23 09:52  amundson

	* doc/man/maxima.1: Remainder updated for new Maxima interface,
	  etc.

2002-08-21 10:43  amundson

	* src/init-cl.lisp: clean up warnings from cmucl

2002-08-20 17:33  amundson

	* ChangeLog: ChangeLog now generated with cvs2cl

2002-08-20 14:24  amundson

	* doc/man/maxima.1: Partial update. All text up to the section on
	  plotting commands should be OK.

2002-08-20 12:38  amundson

	* maxima-local, src/maxima.in: Update maxima wrapper script to
	  include --list-avail and --version options. Use maximarc from
	  MAXIMA_USERDIR if variable set.

2002-08-20 10:12  amundson

	* src/init-cl.lisp: minor bug fix: autoload eigen.mac, not eigen.mc

2002-08-19 12:49  amundson

	* .cvsignore: Add a few more autotools generated files.

2002-08-19 12:44  amundson

	* interfaces/xmaxima/Makefile.am: Bug fix: Order matters. xmaxima
	  was being constructed in the wrong order.

2002-08-16 16:56  amundson

	* lisp-utils/defsystem.lisp: Update to clocc's current
	  defsytem.lisp

2002-08-16 13:28  amundson

	* configure.in, src/autoconf-variables.lisp.in, src/macsys.lisp,
	  src/maxima.system: 1) New startup message including pointer to
	  bug_report().  2) New function bug_report().	3) New function
	  build_info().

2002-08-16 13:24  amundson

	* Makefile.am, demo/Makefile.am, doc/info/Makefile.am,
	  doc/intromax/Makefile.am, doc/man/Makefile.am,
	  doc/share/Makefile.am, interfaces/emacs/emaxima/Makefile.am,
	  interfaces/emacs/misc/Makefile.am,
	  interfaces/xmaxima/Makefile.am, lisp-utils/Makefile.am,
	  plotting/Makefile.am, share/Makefile.am, src/Makefile.am,
	  tests/Makefile.am: Updates to Makefile.am's so that "make dist"
	  includes all necessary files.

2002-08-14 16:32  amundson

	* interfaces/xmaxima/autoconf-variables.tcl: autoconf-variables.tcl
	  is now a derived file.

2002-08-14 13:49  amundson

	* tests/summarize-log: summarize-log now also prints timing
	  information.

2002-08-14 13:48  amundson

	* tests/Makefile.am: Tests are now run using maxima-local instead
	  of what amounts to a rewrite of maxima-local in Makefile.am. I
	  should have made this change a long time ago.

2002-08-14 13:46  amundson

	* src/sin.lisp: Bug fix from Juan Pablo Hierro Álvarez. His mail
	  message follows:

	  El Sáb 20 Abr 2002 00:25, escribió:
	  > when you enter integrate(diff(f(x,y),x,1,y,1),y) into maxima
	  you get f(x,y)
	  > - a fix for this had been worked out for commercial macsyma but
	  I do not
	  > have it - can someone help out?
	  >
	  > note that integrate(diff(f(x,y),x,1,y,1),x) returns the correct
	  result
	  >
	  > thanks
	  > Peter Vafeades

	  More on the problem. Although the previous patch I send solves
	  this problem.  There are deeper problems in the algorithm which
	  appear if one tries h(x,y):=x*y*diff(f(x,y),x,1,y,1);
	  integrate(h(x,y),x); integrate(h(x,y),y);

	  One gets:					     /	     2
			       [     d (D2)			(I x (-----
	  (f(x, y))) dx) y			     ]	  dx dy
			/ and						2
					  x f(x, y ) (D3)
		     ---------- 				      2
	  respectively.

	  After applying my previous patch the second result looks better
	  but it is still wrong.				     d
	     2				       x (-- (f(x, y   )))
				    dx	(D3)
	  -----------------				      2

	  This time the problem does not lie in checkderive1 but in rat10.
	  To realize it, it is a good idea to simultaneously trace:
	  integrator, powerlist and rat10. There is a call to powerlist
	  close to the end of integrator which returns nil when one
	  integrates over x and a different expresion where the ((RAT SIMP)
	  1 2) has already appeared when the integration is performed over
	  y. In the end, that difference arises from a call to rat10 which
	  returns nil in the first situation and t in the other one.

	  My proposal to solve this last problem is the following patch:
	  __________________ 475c478,485 <	 (T (RAT10 (CAR (MARGS
	  EX)))))) - ---
	  >	  (T
	  >	       (let ((examine (margs ex)))
	  >		 (if (atom (first examine))
	  >		   (do* ((element examine (rest element))
	  >			   (result (rat10 (first examine))
	  >				     (and result (rat10 (first
	  element)))))
	  >			  ((or (null result) (null element))
	  result))
	  >		   (rat10 (first examine)))))))
	  ___________________ which affects the last condition considered
	  in rat10. The present version recursively searchs in the car of
	  the list of arguments which is good if such list is nested but
	  not if the list is flat. The different behaviour is appreciated
	  when a recursive call to rat10 with arguments (|$x| |$y|) is
	  made.  With the present code, only |$x| is compared with the
	  variable of integration. My patch forces to compare all
	  arguments, when the first of them is an atom, and stops if there
	  is someone which returns nil, passing up that nil whose meaning
	  is that there is some argument "alike1" the variable the
	  integration.	- -- Juan Pablo Hierro Álvarez hierro en ideafix
	  punto litec punto csic punto es Clave pública: 0xA8707ADF en
	  pgp.rediris.es

				  This message is digitally signed. Click
	  the lock icon for more information.

	  _______________________________________________ Maxima mailing
	  list Maxima@www.math.utexas.edu
	  http://www.math.utexas.edu/mailman/listinfo/maxima

		  From:   Juan Hierro <BUSCAIDEAS@terra.es>
	  To:	  maxima@mail.ma.utexas.edu Subject:	  Fwd: Re: [Maxima]
	  Maxima integration bug Date:	24 Apr 2002 00:47:09 +0200 I forgot
	  to send this mail to the list.  ----------  Mensaje reenviado
	  ----------

	  Subject: Re: [Maxima] Maxima integration bug Date: Sat, 20 Apr
	  2002 06:01:39 +0200 From: Juan Pablo Hierro Álvarez
	  <BUSCAIDEAS@terra.es> To: Phroexus@aol.com

	  El Sáb 20 Abr 2002 00:25, escribió:
	  > when you enter integrate(diff(f(x,y),x,1,y,1),y) into maxima
	  you get f(x,y)
	  > - a fix for this had been worked out for commercial macsyma but
	  I do not
	  > have it - can someone help out?
	  >
	  > note that integrate(diff(f(x,y),x,1,y,1),x) returns the correct
	  result

	  Try the following patch ___________________ 371c371,374 <
		 expr				;single ---

	  >		     (if (null old-wrt)
	  >			 expr			  ;single
	  >			 `((%derivative), expr	  ;partial in
	  old-wrt
	  >			   ,.(nreverse old-wrt)))

	  _____________________ in file sin.lisp

	  The line numbers may be changed in your file as I have already
	  applied Jenkner's patch. Anyway, the problem lies in the function
	  checkderiv1 and the patch begins in its sixth line.

	  It is very instructive to make to_lisp(); (trace sinint
	  checkderiv1) and look at what is happening with maxima compiled
	  with cmucl18d because gcl hides a recursive call in checkderiv1.
	  On the other hand, to realize that the problem was inside
	  checkderiv1, I had to trace the algorithm with gcl, as cmucl does
	  not like to trace many functions of maxima.

	  I think now that the use of different compilers to test maxima
	  code is one of the best tools to debug it, as each one covers up
	  the troubles of the other.  -- Juan Pablo Hierro Álvarez hierro
	  en ideafix punto litec punto csic punto es Clave pública:
	  0xA8707ADF en pgp.rediris.es

2002-08-14 13:36  amundson

	* src/maxima.system: The lisp variable *load-verbose* is now set to
	  nil by default. Maxima has its own internal variable for verbose
	  loading, $loadprint.

2002-08-14 13:35  amundson

	* src/macsys.lisp: New feature: maxima-init.lisp and
	  maxima-init.mac are now loaded at startup if they are found in
	  the search path.

2002-08-14 13:34  amundson

	* src/init-cl.lisp: 1) Maxima search paths simplified through more
	  extensive use of patterns.

	  2) New feature. A user directory is now added to the search
	  paths. The directory can be set with the environment variable
	  MAXIMA_USERDIR. The default value is the $HOME/.maxima.

	  3) The internal variable MAXIMA_VERPKGDATADIR was added to allow
	  maxima-local to use the share directory from the source tree.

2002-08-14 13:28  amundson

	* share/contrib/: impdiff.mac, makeOrders.mac: Contributed file
	  from Dan Stanger.

2002-08-14 13:26  amundson

	* share/maxima-init.lisp: Default init file for maxima.

2002-08-14 13:25  amundson

	* share/Makefile.am: Several files from the share directory were
	  not being installed. Fixed.

	  maxima-init.lisp is now installed.

2002-08-14 13:22  amundson

	* maxima-local: maxima-local now uses the share directory from the
	  source tree instead of the installation location.

	  top_srcdir should now always be an absolute path.

2002-08-12 22:10  rtoy

	* src/: matrun.lisp, nrat4.lisp, polyrz.lisp, rat3a.lisp,
	  rat3b.lisp, rat3c.lisp, rat3d.lisp, rat3e.lisp, ratout.lisp:
	  Remove the Control-H character.

2002-08-06 22:29  wjenkner

	* src/defint.lisp: PERIOD would sometimes fail to recognise
	  periodicity because of different simplifications.

	  An integration bug resulting from this was observed by Larry
	  Bates, reported by Camm Maguire and discussed in the mailing
	  list.

2002-08-03 12:39  amundson

	* README.lisps: Updated information relating to GCL

2002-08-02 08:48  rtoy

	* src/SYS-DECLAIM.lisp: Don't declaim functions.

2002-07-28 22:07  billingd

	* share/simplification/: disol.mac, facex1.mac, facexp.mac,
	  stopex.mac: Remove directory name from load("genut) command

2002-07-28 06:37  billingd

	* share/Makefile.am, share/misc/declin.dem, share/misc/declin.mac,
	  share/simplification/disol.dem, share/simplification/disol.mac,
	  share/simplification/facex1.mac, share/simplification/facexp.dem,
	  share/simplification/facexp.mac, share/simplification/genut.mac,
	  share/simplification/stopex.dem, share/simplification/stopex.mac,
	  src/acall.lisp, src/fcall.lisp, src/outmis.lisp: 2002-07-28
	  Wolfgang Jenkner <wjenkner@inode.at>		   checked in by
	  david Billinghurst <David.Billinghurst@riotinto.com>

	  A re-implementation of genut.mac.

	  Updates to declin.mac, declin.mac, disol.mac, facex1.mac,
	  facexp.mac stopex.mac, acall.lisp, fcall.lisp and outmis.lisp.

	  Path fixes for disol.dem, facexp.dem and stopex.dem.

2002-07-25 17:28  rtoy

	* src/mactex.lisp: From Jesper Harder.

	  Make lsum print something nicer than just LSUM.

2002-07-23 10:19  vvzhy

	* share/Makefile.am: installing recently added new files

2002-07-23 09:26  vvzhy

	* archive/doc/ltest2.lisp, archive/doc/ltests.lisp,
	  tests/Makefile.am, tests/ltest2.lisp, tests/ltests.lisp:
	  ltest*.lisp are moved into archive/doc

2002-07-22 16:33  belanger

	* interfaces/emacs/emaxima/maxima-font-lock.el: A function was
	  removed from the font-lock defaults that was occasionally locking
	  up emacs.

2002-07-19 03:38  vvzhy

	* interfaces/xmaxima/: server.lisp, xmaxima.tcl: Maxima tests in
	  the appropriate xmaxima menu item for all lisps are fixed.

2002-07-19 01:51  vvzhy

	* common.mk, tests/Makefile.am: Now tests are installed into Maxima
	  version data directory.

2002-07-18 11:09  rtoy

	* share/integration/antid.mac: Bug 578806: two bugs in antid.mac

	  Fixes from Barton Willis:

	  o Typo in nonzeroandfreeof o listarith needs to be true for
	  antidiff to work correctly.

2002-07-18 11:02  rtoy

	* src/transs.lisp: Bug 581766: compile_file doesn't for CMUCL,
	  Clisp

	  Compile the files for CMUCL and Clisp.

2002-07-18 10:58  rtoy

	* doc/info/Arrays.texi: Bug 576607: ARRAY documentation bug

	  Document current behavior.

2002-07-18 10:15  rtoy

	* doc/info/texinfo.tex: Sync to version 2002-06-04.06.

	  Solves some problems people are having with using pdftex to
	  generate a PDF version of maxima.texi.

2002-07-17 23:37  vvzhy

	* tests/examples.mac: Duplicate of rexamples.mac. Sorry

2002-07-17 21:37  rtoy

	* src/numerical/f2cl-package.lisp: Don't need to import
	  destructuring-bind for GCL anymore.

2002-07-17 11:35  rtoy

	* share/numeric/fft.lisp: o Added a Lisp implementation of an FFT o
	  Use suggested code from Wolfgang Jenkner to handle the arrays.  o
	  Remove some unused code, clean up the polar-to-rectangular
	  conversions, etc.

2002-07-17 08:56  vvzhy

	* tests/examples.mac: This file runs all examples provided by
	  Maxima example command (manual.demo). Maybe later it can be
	  incorporated into standard Maxima test.  Idea by Devid
	  Billinhurst

2002-07-16 11:25  rtoy

	* src/clmacs.lisp: Patch from Wolfgang Jenkner.  Support all 5
	  dimensions as supported by maxima instead of the 3 that was being
	  done before.	(Should probably get rid of this constraint, as
	  mentioned by Wolfgang.)

2002-07-16 11:23  rtoy

	* src/marray.lisp: Fix for bug 576610:	fillarray bug

	  Patch from Wolfgang Jenkner.	His comments just before defun
	  $listarray describes maxima's arrays.

2002-07-15 12:28  rtoy

	* src/: commac.lisp, inmis.lisp: Fix for bug 575425:  reset()
	  broken.

	  Modify defmvar macro to store the initial values of all variables
	  in a hash table.  Reset runs over the hash table to reset the
	  variables to their initial values.

2002-07-15 11:30  rtoy

	* doc/info/Elliptic.texi: Fix a typo, from Jesper Harder.

2002-07-15 11:22  rtoy

	* src/mactex.lisp: Apply patch from Jesper Harder to correct the
	  mistakes I made in his original patch.  For bug 534874.

2002-07-15 11:18  rtoy

	* doc/info/Expressions.texi: Tabs in the examples for LSUM changed
	  to spaces because they don't display very well.

2002-07-15 08:13  billingd

	* src/trigo.lisp, tests/rtest15.mac: Bug fix.  coth(%i*z) was
	  simplified to -%i*coth(z).  Add tests for f(%i*z) for
	  trignometric and hyperbolic functions.

2002-07-11 16:30  starseeker

	* doc/maximabook/maxima.tex: Add the odes chapter to the manual

2002-07-11 16:21  starseeker

	* doc/maximabook/odes/odes.tex: Make this chapter work with the
	  rest of the document

2002-07-11 16:14  starseeker

	* doc/maximabook/: basics/basics.tex, interfaces/interfaces.tex,
	  introduction/introduction.tex: Minor fixes to spelling and syntax

2002-07-02 21:13  billingd

	* tests/: rexamples.mac, tests.lisp: New test file rexamples.mac
	  runs the example() command for all cases known to work.

2002-07-02 21:08  billingd

	* demo/manual.demo: Sort file manual.demo alphabetically, so that
	  the example() command presents options in alphabetical order.
	  Also make it easier to locate and modify each item in file.

2002-07-02 21:01  billingd

	* src/macdes.lisp: Correct the name of the file containing the data
	  for example() command.

2002-07-02 16:13  rtoy

	* src/trans1.lisp: Bug 576407: SUM translation bug

	  Applied patch from Wolfgang Jenker

2002-07-02 15:58  rtoy

	* src/fcall.lisp: Bug 576411: MAKELIST bug

	  Applied patch from Wolfgang Jenker

2002-07-02 09:17  rtoy

	* src/mtrace.lisp: Bug 576389:

	  Applied patch given therein.

2002-07-02 08:23  rtoy

	* src/macsys.lisp: Bug 575429: ?room() instead of room()

	  Define ROOM so you don't have to type ?room().

2002-07-01 23:22  billingd

	* share/misc/declin.dem: Update filename in load() command

2002-07-01 16:34  rtoy

	* src/plot.lisp: Bug 572670: plot2d and plot3d options

	  Don't throw a Lisp error when invalid options are given.  Throw a
	  maxima error instead.

2002-07-01 10:21  rtoy

	* src/ode2.lisp: Fix bug 531637: variable $FEATURE is unbound o The
	  function is STATUS, not $STATUS.  o With the above, the error
	  message $MSG1 wasn't being printed, so   rename the parameter
	  $MSG1 to $MSG in $ODE2A.

2002-07-01 08:20  billingd

	* doc/info/Function.texi: [ 537368 ] File optimu.dem not present.
	  Add comment that optimu files no longer present.

2002-07-01 07:47  billingd

	* tests/rtest15.mac: Fix for [ 537370 ] Tests do not test compile
	  Add a test for compile()

2002-06-28 15:48  rtoy

	* doc/info/Equations.texi: Document that zsolve isn't available
	  anymore.

2002-06-28 15:39  rtoy

	* src/acall.lisp: CMUCL doesn't have special-form-p.  ANSI CL says
	  it's special-operator-p, and that's what CMUCL has.

2002-06-28 15:16  rtoy

	* doc/info/Differential.texi: Document that that ODE no longer
	  exists.

2002-06-28 11:41  rtoy

	* doc/info/Differentiation.texi: Move the documentation for the
	  special symbol DIFF after the documentation for the function
	  DIFF.  That way, describe(diff) will find the function
	  documentation instead.

2002-06-28 10:06  rtoy

	* share/numeric/fft.lisp: Misplaced declaration.

2002-06-28 10:05  rtoy

	* src/suprv1.lisp: There is no ~m format directive.

2002-06-27 21:18  rtoy

	* src/: SYS-DECLAIM.lisp, SYS-PROCLAIM.lisp:
	  MACHINE-MANTISSA-PRECISION is a constant now, not a special
	  variable.

2002-06-27 21:16  rtoy

	* src/gcl-depends.mk: maxima doesn't depend on parse-body anymore
	  since we're assuming gcl has destructuring-bind.

2002-06-27 21:06  rtoy

	* src/maxima.system: Don't need to load up parse-body for gcl
	  anymore since we're assuming gcl has destructuring-bind.

2002-06-27 15:56  rtoy

	* src/mdebug.lisp: Oops.  That last change should only be applied
	  when the first character read is a question mark.  Otherwise, we
	  read the input incorrectly.

2002-06-27 13:39  rtoy

	* src/mdebug.lisp: Due to an ANSI CL compatibility issue, CMUCL was
	  not properly handling the ?foo command for maxima.  Fix it so
	  that it does.

2002-06-27 12:37  rtoy

	* src/: float.lisp, simp.lisp: Set machine-mantissa-precision
	  correctly, instead of a hard-wired 24.  Make it a defconstant
	  instead of defvar as well.

2002-06-26 12:56  rtoy

	* src/ellipt.lisp: Removed the implementation of destructuring-bind
	  for gcl because later versions of gcl have it.

2002-06-26 09:01  rtoy

	* src/cl-info.lisp: describe(undiff) and other examples were
	  returning too much documentation because we weren't setting the
	  end point appropriately in certain cases.

2002-06-26 08:48  rtoy

	* doc/info/Differentiation.texi: o Some documentation added for
	  DEL.	o Replace batch("gendif.mc") with just plain
	  batch("gendif").

2002-06-25 12:12  rtoy

	* doc/info/Special.texi: Added rudimentary documentation for the
	  functions BESSEL_J, BESSEL_Y, BESSEL_I, and BESSEL_K, and for the
	  variable BESSELEXPAND.

2002-06-25 10:05  amundson

	* maxima-local: Make maxima-local respect the value of POSIX_SHELL
	  used by the maxima script.

2002-06-25 09:37  rtoy

	* doc/info/Operators.texi: Add very simple documentation for the
	  ABS function.

2002-06-25 09:37  rtoy

	* src/ellipt.lisp: o ELLIPTIC-F is not always called with
	  double-float args, so don't	declare the args as double-floats.
	  o Add very rudimentary support for Jacobi am function.

2002-06-25 09:35  rtoy

	* src/macsys.lisp: Add support for Clisp and CMUCL to print out the
	  bytes consed when showtime is set.

2002-06-24 21:40  rtoy

	* src/cl-info.lisp: A bug in NREGEX prevents case-INsensitive
	  searches containing ranges.  So set pat-subnode to do a
	  case-sensitive search for [a-zA-Z] instead of a case-INsensitive
	  search for [a-z].

2002-06-24 18:52  billingd

	* src/init-cl.lisp: Add demo subdirectory to search path for .dem
	  files

2002-06-24 17:42  amundson

	* configure.in, src/maxima.in, tests/Makefile.am: configure will
	  now search for a Bourne shell that implements getopts. The user
	  may specify a shell if desired. The shell is used for the maxima
	  script only.

2002-06-24 17:15  rtoy

	* src/cl-info.lisp: SHOW-INFO was sometimes returning too much
	  documentation because pat-subnode was looking for uppercase
	  letters.  We really want to do a case-insensitive search.  Thus,
	  things like "operator", "special variable", etc., will stop the
	  documentation as well as a "Function".

2002-06-24 16:42  rtoy

	* src/plot.lisp: Fix for Bug 572668:

	  o Don't compile this file with safety = 0.  o We need to make
	  sure that result of coerce-float-fun actually   returns a
	  double-float, so coerce it to a double-float.  o $PLOT3D was not
	  passing on the list of variables to coerce-float-fun	 to create
	  the desired function.

2002-06-24 13:01  rtoy

	* src/mtrace.lisp: o MAKE-TRACE-HOOK was returning lists when it
	  really wanted to return   functions.	Make it so.  o MICRO-TO-SEC
	  had a hardwired 1e-6.  Use   INTERNAL-TIME-UNITS-PER-SECOND
	  instead.  This should fix bug   572835.

2002-06-24 12:05  rtoy

	* src/maxima.in: Set CLISP, CMUCL, and GCL appropriately so that
	  the desired executable is run by maxima-run-lisp.

2002-06-24 12:03  rtoy

	* src/Makefile.am: Set and export CLISP, CMUCL, GCL appropriately
	  so that the desired Lisp executable is run.

2002-06-24 12:02  rtoy

	* configure.in: Change the messages about an executable not found
	  in PATH from errors to just warnings.  (Should additional tests
	  be done in this case, such as the executable exists?)

2002-06-23 07:48  billingd

	* share/calculus/cartan.dem: Fix load command.

2002-06-23 07:36  billingd

	* share/: matrix/eigen.dem, simplification/functs.dem,
	  vector/vect.dem: Fix load command

2002-06-22 12:06  rtoy

	* src/mactex.lisp: Bug 534874.	 Applied the given patch, with some
	  modifications.  All of the bugs listed therein work as expected
	  now.

2002-06-22 10:00  rtoy

	* doc/info/Equations.texi: Change docs to note that this isn't
	  available anymore, and reference the function ALLROOTS.

2002-06-21 16:22  rtoy

	* doc/info/Numerical.texi: Note that DCADRE doesn't exist anymore,
	  but leave the documentation around.

2002-06-21 16:21  rtoy

	* doc/info/Integration.texi: Remove references to DCADRE.

2002-06-21 09:27  amundson

	* common.mk: Define instsrcdir.

2002-06-20 21:21  billingd

	* tests/rtest15.mac: Recent loadpath improvements have made the
	  explicit load of trigrat redundant.

2002-06-20 21:00  billingd

	* tests/rtest15.mac: Add testcase for maxima-Bugs-541993 - trigrat
	  crashes on example in manual which is now fixed.

2002-06-20 20:56  amundson

	* src/init-cl.lisp: subdirectories of share are now searched as
	  well as share itself

2002-06-20 20:54  amundson

	* src/Makefile.am: clean and distclean should now work properly.
	  Source files are now installed.

2002-06-20 15:34  amundson

	* configure.in: Sloppy quoting was causing problems on Solaris.
	  Fixed.

2002-06-20 13:23  amundson

	* common.mk: fixed non-portable shell construct

2002-06-20 13:20  amundson

	* doc/info/Makefile.am: added MAXIMAHTML = before including
	  maximahtml.mk (with MAXIMAHTML +=) in order to keep automake
	  happy.

2002-06-19 13:30  amundson

	* archive/share/lisp/: elim-LISP.lisp, elim.LISP, fourie-LISP.lisp,
	  fourie.LISP, ntrig-LISP.lisp, ntrig.LISP: files renamed to avoid
	  having names that differ only by case, which causes problems on
	  Windows.

2002-06-19 13:26  amundson

	* configure.in: Fixes for problems with path names when no explicit
	  --prefix is given to configure. Autoconf is amazingly stupid
	  about the various standard path names.

2002-06-19 12:39  rtoy

	* src/mactex.lisp: Define strcat for all Lisps.

2002-06-18 11:29  rtoy

	* src/plot.lisp: o As in rev 1.13, we make the defstruct for
	  polygon outside of   eval-when for all Lisps.  (Without this,
	  CMUCL can't do 3-D plots.) o Also change the :constructor for
	  polygon from make-polygon to	 %make-polygon.  o The macro
	  make-polygon seems to work just fine on CMUCL now.

2002-06-17 14:23  amundson

	* tests/Makefile.am: All tests are now run with stdin redirected to
	  /dev/null, so a failure mode which causes maxima to expect input
	  will no longer just sit there.

2002-06-17 14:23  vvzhy

	* src/kclmac.lisp: errset macro fix (for errcatch command) for new
	  ansi gcl

2002-06-17 14:22  amundson

	* src/mload.lisp: Bug fix: previously, the test code would always
	  pass a test that returned "TRUE", even if something else was
	  expected, e.g. FALSE!

2002-06-17 14:20  amundson

	* maxima-local, src/init-cl.lisp, src/plot.lisp: omplotdata and
	  mgnuplot scripts are now found in their installed directories.
	  maxima-local now finds them locally.

2002-06-17 14:16  amundson

	* Makefile.am, configure.in, plotting/Makefile.am: omplotdata and
	  mgnuplot now installed in verpkglibexecdir.

2002-06-17 14:16  amundson

	* interfaces/xmaxima/Makefile.am, interfaces/xmaxima/omplotdata,
	  plotting/.cvsignore, plotting/omplotdata: omplotdata moved to
	  plotting directory

2002-06-15 17:53  rtoy

	* src/cl-info.lisp: o Add a little more documentation o Delete the
	  old, unused version of SHOW-INFO.  o Fix the problem where
	  describe(plot2d) just printed out the function   without the
	  actual documentation.

2002-06-15 16:01  rtoy

	* src/plot.lisp: o Make the default range on Y much larger so that
	  we don't just clip   the output.  If the user wants a clipped
	  plot, let him specify the   clipping explicitly.  o When using
	  gnuplot for plotting, the output data file sometimes	 contains
	  lines with the string "move".  Gnuplot doesn't like that,   so
	  don't do it.

2002-06-15 09:14  rtoy

	* src/maxima.system: Add dependency of the slatec module on
	  f2cl-lib and packages modules.

2002-06-15 09:12  rtoy

	* share/integequations/inteqn.mac: Add missing semicolon.

2002-06-14 13:33  amundson

	* tests/rtest15.mac: Fixed a typo. Ooops.

2002-06-14 13:26  amundson

	* tests/rtest15.mac: New tests highlighting bug found in
	  "integration bug" thread on the Maxima mailing list April 2002.

2002-06-14 13:12  amundson

	* share/utils/mactex-utilities.lisp, src/mactex.lisp:	Moved
	  mactex-utilitiles back into a separate file.
		  Fixed bug in tex(expr,file)

2002-06-14 08:54  rtoy

	* src/macsys.lisp: Add definition of $system for CMUCL.  (From Tim
	  Moore.)

2002-06-09 22:39  amundson

	* src/commac.lisp: Bug fix from Wolfgang Jenkner. Here is an
	  excerpt from his mail message:

	  ---------------------------------------- The node "Lisp and
	  Maxima" in the maxima texinfo manual states

	     To enter Maxima forms at lisp level, you may use the `#$'
	  macro.

	  However, the example given there triggers an error

	  [1]> (in-package "MAXIMA") #<PACKAGE MAXIMA> MAXIMA[2]> (setq
	  $foo #$[x,y]$)

	  *** - FUNCALL: the function PEEKTYIPEEK is undefined 1. Break
	  MAXIMA[3]>

	  I propose the following patch
	  ----------------------------------------

2002-06-09 22:27  amundson

	* share/tensor/: canten.lisp, gener.lisp, itensor.dem,
	  itensor.lisp, itensor.usg, symtry.lisp: Fixes for itensor from
	  Valerij Pipin. His readme file is now itensor.usg.

2002-06-09 22:06  amundson

	* share/tensor/ctensr.mac: Bug fix from Valerij Pipin. Here is an
	  excerpt from his mail message:

	  ---------------------------------------- The function
	  "motion(dis)" computes the covariant form of the geodesic
	  equations of the motion for a given metric.  However in
	  "ctensr.mac" we see

	  motion(dis):=block([s],depends(omega,s),   for i thru dim do
	  em[i]:if diagmetric	    then ratsimp(1/2*sum(
	  diff(lg[a,a],omega[i])	     *diff(omega[a],s)^2,a,1,dim))
	       else 1/2*sum(sum(diff(lg[a,b],omega[i])
		*diff(omega[a],s)*diff(omega[b],s),a,
	   1,dim),b,1,dim),		   if dis#false then for i thru dim
	  do ldisplay(em[i]),done)$

	  It does not correspond the definition. I propose to it change to

	  motion(dis):=block([s],depends(omega,s),   for i thru dim do
	  em[i]:if diagmetric	    then
	  ratsimp(lg[i,i]*diff(omega[i],s,2)+
	  sum(diff(lg[i,i],omega[a])*diff(omega[i],s)*diff(omega[a],s),a,1,dim)-
		   1/2*sum( diff(lg[a,a],omega[i])
	  *diff(omega[a],s)^2,a,1,dim) )       else ratsimp(
	  sum(lg[i,a]*diff(omega[a],s,2),a,1,dim)+	      sum( sum(
		   diff(lg[i,b],omega[a])*diff(omega[b],s)*diff(omega[a],s)
		       -1/2*diff(lg[a,b],omega[i])
	    *diff(omega[a],s)*diff(omega[b],s),a,
	  1,dim),b,1,dim) ),		    if dis#false then for i thru
	  dim do ldisplay(em[i]),done)$

	  This can be find in any textbook.  After this  the demo given
	  below reproduces results demonstrated by "ctensor.dem" in
	  demo-version of macsyma-2.2. Note the formally result is a little
	  bit different because maxima is weaker in simplification then
	  commercial macsyma. The file "ctensr.mac" should be in the path.

	  /**********************************************************************/
	  kill(all); SHOWTIME:ALL$ /* if properties(GCFAC) = [] then
	  load("scifac.fas")$ */ load(ode2); ("This file finds the
	  Schwarzschild solution of  the Einstein vacuum equations" );

	  IF GET('CTENSR,'VERSION) = FALSE THEN LOAD("ctensr.mac")$ /* the
	  following allows the batch program to run by presetting flags */
	  SETFLAGS()$ /* this calls for the rational simplification of
	  geometrical objects */ RATFAC:TRUE$ ("Specify the dimension of
	  the manifold and the coordinate labels.");
	  (dim:4,omega:[r,th,ph,t])$ ("Enter the general static spherically
	  symmetric metric.");
	  lg:MATRIX([A,0,0,0],[0,r^2,0,0],[0,0,r^2*SIN(th)^2,0],[0,0,0,-D]);

	  ("Specify functional dependencies"); DEPENDS([A,D],r); ("computes
	  inverse metric and specifies diagonality"); metric()$ ("computes
	  the mixed Christoffel symbols but not display them");
	  christof(FALSE)$ ("computes and ratsimps Ricci tensor");
	  riccicom(FALSE)$ ("computes and displays the Einstein tensor");
	  einstein(TRUE);

	  ("makes a list of the non-zero components of the Einstein tensor
	  (G) where the 2 indicates the order of the array G");

	  EXP:findde(g,2);

	  ("now begins to solve the field equations");

	  EXP1:ODE2(last(EXP),A,r);

	  (" a kludge to get the solution (the 1,1 component) explicitly");

	  SOLVE(EXP1,r); RESULTLIST:SOLVE(%,A)$
	  H:EV(PART(RESULTLIST,1),EVAL); ("to cast the solution into
	  standard form"); H1:H,EXP(%C) = 1/(2*m),FACTOR; ("now to find the
	  4,4 component"); EV(FIRST(EXP),H1,DIFF,FACTOR); ODE2(NUM(%),D,r);
	  EXPAND(RADCAN(%)); H2:EV(%,%C = 1); ("H1 and H2 should be the
	  solution and to check"); SOL:[H1,H2]; EXP,SOL,DIFF,RATSIMP;
	  kill(all); IF GET('CTENSR,'VERSION) = FALSE THEN
	  LOAD("ctensr.mac")$ (dim:4,omega:[r,th,ph,t])$

	  ("Enter the Schwarzschild metric in standard coordinates."); lg :
	  matrix([1/(1-2*m/r),0,0,0],[0,r^2,0,0]
	  ,[0,0,r^2*sin(th)^2,0],[0,0,0,(2*m/r-1)])$ metric()$

	  ("Compute and display mixed Christoffel symbols");

	  CHRISTOF(all)$ RICCICOM(true)$ ("computes scalar curvature");
	  SCURVATURE(); ("computes Riemann tensor"); RIEMANN(TRUE)$
	  ("computes contravariant Riemann tensor"); raiseriemann(false)$
	  ("computes the Kretchmann invariant Rijkl^2"); rinvariant();
	  diagmetric:true; ("Compute the covariant form of geodesic
	  equations"); motion(true)$

	  ("Compute the contravariant form geodesic equations"); block( for
	  i thru dim do        emc[i]:
	  ratsimp(ratexpand(sum(ug[i,a]*em[a],a,1,dim))),
	  for i thru dim do ldisplay(emc[i]));

	  block([title: "Schwarzschild Potential for Mass M=2",m:2.],
	  plot3d([r*cos(th),r*sin(th),ug[1,1]],[r,.4,4.],[th,-%pi,%pi],['grid,50,15]
	   ))$

	  ----------------------------------------

2002-06-09 21:57  amundson

	* src/transl.lisp: Bug fix from Fedor Bezrukov. Here is an excerpt
	  from his mail message:

	  ----------------------------------------- Seems that there is a
	  bug in transl.lisp.  It makes maxima to get into debugger on
	  attempt to output some warnings to the UNLISP file during
	  translation (this happens, say, if you try to translate the
	  function

		  f(t,a):=t(a);

	  )

	  Here is the patch to cure it.
	  -----------------------------------------

2002-06-09 18:20  amundson

	* share/contrib/diag.mac: Update from Gosei Furuya. Excerpt from
	  his mail message:

	  ------------------------------- I add a program for calculate
	  matrix function.

	  mat_function(analytic function,matrix) return f(matrix)  this
	  calculation is based on Cauchy integral formular.    if f(x) is
	  analytic and mat=diag([JF(m1,n1),,JF(mk,nk)]),    then

	  f(mat)=ModeMatrix*diag([f(JF(m1,n1)),,f(JF(mk,nk))])*ModeMatrix^^(-1)
	    this method is only one of them,6~8or more other methods exist.
	    so I cannot insist on this being best.but I think it very
	  useful.   please try jordan.dem

	  (C1) batch("jordan.dem");

	  or usualy load("diag.mc") .

	  -------------------------------

2002-06-09 18:05  amundson

	* doc/share/specfun.texi, share/specfunctions/h-atom.dem,
	  share/specfunctions/specfun.mac, share/specfunctions/specfun.usg,
	  share/specfunctions/test_specfun.mac,
	  share/specfunctions/variational_method.dem: Updated to specfun
	  from Barton Willis.

	  Excerpt from his mail message:

	  ------------------------------- specfun-110.tar.gz  --- I fixed
	  some problems with the gradef statements and the documentation.
	  The files specfun.mc and specfun.texi in this archive should
	  replace the files Maxima currently uses.  If you like quantum
	  mechanics, you may enjoy the two demonstration programs.
	  -------------------------------

	  His changelog:

	  Changes version 110 to version 111
	  ---------------------------------- 12 April 2001

	  Bug: For the series representation, the sum index is m; when the
	  order is m (and m declared to be an integer), we've got trouble.
	  Maybe make the sum index be i%.

	  Fix: Changing 'm to i%   fixed the problem; added additional
	  documentation warning against using i% as a function argument.

	  --------------------------------- 13 April 2001

	  Bug: Text comment in test_specfun: print("Taylor may will
	  print...;

	  Fix: changed to print("Taylor may print...;

	  ---------------------------------- 17 April 2001

	  Bug: "Merzbacher" incorrectly spelled in source code comments.

	  Fix:	changed Mertzbacher to Merzbacher.

	  ---------------------------------- 17 April 2001

	  Bug: "its should" in source code comment.

	  Fix: changed to "it should".

	  ---------------------------------- 17 April 2001

	  Bug: In test_specfun, test name "A&S 22.2.12.5" should be "A&S
	  22.2.12.5".

	  Fix: Changed test name.

	  ---------------------------------- 17 April 2001

	  Bug: specfun package shouldn't include ai.lisp; should use
	  ai.lisp from Maxima's cvs.

	  Fix: removed ai.lisp from specfun-110.

	  ---------------------------------- 18 April 2001

	  Bug: Not really a bug, but spherical_hankel2 has the code

		    w : 1,
		    for m : 0 thru n do (
			 w : w * (n + m + 1) * (n - m) / (2 * %i * x *	(m
	  + 1)),
			 sofar : sofar + w
		    ),

	  when m = n,  w is zero.  This is silly.

	  Fix:	Changed code to

		    w : 1,
		    for m : 1 thru n do (
			 w : w * (n + m) * (n - m + 1) / (2 * %i * x *	m),
			 sofar : sofar + w
		    ),

	  Also,  added additional tests A&S 10.1.20  and A&S 10.1.31 to
	  test_specfun.

	  ---------------------------------- 18 April 2001

	  Bugs:  gradef statements have bogus quotes.  Further, the gradef
	  for assoc_legendre_p has a typo.

	  Fix: Removed bogus quotes from gradef statements and fixed the
	  typo in the gradef for assoc_legendre_p.

	  Comment:  Bug only showed up running test_specfun in interpreted
	  mode.

	  ---------------------------------- 18 April 2001

	  Bugs:  assoc_legendre_q and legendre_q have no gradefs but
	  test_specfun has gradef tests for them.

	  Fix: removed the tests from test_specfun.

	  Comment:  Bug only showed up running test_specfun in interpreted
	  mode.

	  ---------------------------------- 18 April 2001

	  Bug:	Yikes! featurep(-1, integer) is true;  my statements

	  (integerp(n) and n > -1) or  featurep(n, 'integer)

	  are true when n is a negative integer.  This isn't what I want.

	  Fix: Change above to

	  (integerp(n) and n > -1) or (symbolp(n) and featurep(n,
	  'integer))

	  ---------------------------------- 19 April 2001

	  Bug: Some gradef statements are trouble when the order is zero;
	  in this case, we want to evaluate the polynomials with negative
	  orders to zero.

	  Fix: Multiply potential troublemakers by (1-kron_delta(n,0)).
	  Thus

	  kron_delta(i,j) := if (i=j) then 1 else 0;

	  gradef(jacobi_p(n,a,b,x),	   'diff(jacobi_p(n,a,b,x),n),
	     'diff(jacobi_p(n,a,b,x),a),
	  'diff(jacobi_p(n,a,b,x),b),	      (n*(a-b-(2*n+a+b)*x) *
	  jacobi_p(n,a,b,x)+2*(n+a)*(n+b)	      * (1 -
	  funmake(kron_delta,[0,n])) * jacobi_p(n-1, a, b, x)) /
	  ((2*n+a+b)*(1-x^2)));

	  I added  kron_delta to specfun.

	  ------------------- 19 April 2001

	  Change:  In jacobi_pf, changed np1 from a float to a fixnum.
	  Thus replaced

	      np1 : 1.0 + n,
	      for m : 1 thru n do (
		   w : w * (np1 - m) * (abn + m) * x / (m * (a + m)),
		   sofar : sofar + w
	      ),

	  with

	      np1 : 1 + n,
	      for m : 1 thru n do (
		   w : w * (np1 - m) * (abn + m) * x / (m * (a + m)),
		   sofar : sofar + w
	      ),

	  ------------------- 19 April 2001

	  Bug:	More trouble with gradef statements;  the following code
	  causes trouble:

	  (C1) n : 3;

	  (D1)					 3 (C2) load("specfun.o");

	  Loading ./specfun.o Attempt to differentiate with respect to a
	  number: 3  -- an error.  Quitting.  To debug this try
	  DEBUGMODE(TRUE);)

	  Another  troublemaker is

	  (c1) baz : diff(jacobi(n,x,x,x),x);

	  Then ev(baz,diff) # ev(ev(baz,diff),diff), etc.

	  Fixes:  Put blocks around gradef statements and  replaced
	  unevaluated derivatives with errors. Thus

	  unk_derivative() := block([ ],    "error: derivative with respect
	  to order is unknown" );

	  block([n,a,b,x],    gradef(jacobi_p(n,a,b,x),
	  unk_derivative( ),		    unk_derivative( ),
	    unk_derivative( ),		      (n*(a-b-(2*n+a+b)*x) *
	  jacobi_p(n,a,b,x)+2*(n+a)*(n+b)	       * (1 -
	  funmake(kron_delta,[0,n])) * jacobi_p(n-1, a, b, x)) /
	  ((2*n+a+b)*(1-x^2))) );

	  ------------------- 21 April 2001

	  Change:  Removed

	  eval_when([load, batch, batchload],	   float2bf : true );

	  and deleted the source code comment about setting float2bf to
	  true locally.  I don't remember why I once wanted float2bf to be
	  true.

	  ------------------- 21 April 2001

	  Change: Clarified source code comment on how to compute
	  jacobi_p(n,a,b,x) for integers a, b < 0.

	  ------------------- 21 April 2001

	  Bug: Maxima doesn't have a bfloat gamma function.  The
	  ultraspherical function doesn't evaluate to a bfloat when all
	  arguments except the order are bfloats.

	  Fix:	Replace quotients of gamma functions in ultraspherical by
	  genfact functions.   Note

	       genfact(x,n,-1) = x (x+1) (x+2) ... (x+n-1)

	  Also, removed  the remaining gamma function calls in specfun by
	  replacing the gamma functions in assoc_legendre_p by factorials.
	  Finally, removed the source code comment about gamma giving an
	  error.

	  Comment:  May need to change specfun.texi on the gamma function
	  giving an error.

	  ----------------------- Mon Apr 23 05:11:46 CDT 2001

	  Bug: gen_laguerre(n,a,x) function not defined for  a <= -1 (see
	  A&S 22.2.12 page 775); specfun doesn't trap this case.

	  Fix: added trap for this case

	     if (integerp(n) and n > -1) and not (integerp(a) and a < 0)
	  then (

	  ----------------------- Mon Apr 23 05:26:21 CDT 2001

	  Change: In gen_laguerre, replaced

	       for m : 1 thru n do (
		   w : -w * x * (n - m + 1) / (m * (m + a)),
		   sofar : sofar + w
	       ),

	  with

	       for m : 1 thru n do (
		   w : w * x * (m -n-1) / (m * (m + a)),
		   sofar : sofar + w
	       ),

	  This reduced the execution time of  baz :
	  sum(gen_laguerre(i,1/8,x),i,0,50)$ by about 33%.

	  ----------------------- Mon Apr 23 06:05:00 CDT 2001

	  Change: Removed rat from spherical_harmonic:

	       rat(exp(%i * m * phi)   * sqrt((2 * n + 1)  * (n - m)! / (4
	  *  %pi *  (n + m)!))
			     * assoc_leg_cos(n, m, theta))

	  This change dramatically speeds test_specfun and eliminates the
	  funny message  "Assumed to be zero in TAYLOR".

	  ----------------------- Mon Apr 23 07:08:37 CDT 2001

	  Bug: Bogus function call to test_zero_list  instead of
	  check_zero_list in  "spherical harmonic orthogonality" test.

	  Fix: Fixed it.

	  ----------------------- Mon Apr 23 15:57:15 CDT 2001

	  Change: Eliminated the function `elements'  from test_specfun and
	  re-wrote check_zero_list(e).

	  ------------------------ Thu May 3 07:44:00 CDT 2001

	  Change: Added h-atom.dem and variational_method.dem to the
	  specfun distribution.

2002-06-09 17:40  amundson

	* src/mactex.lisp: Utilities for mactex courtesy Barton Willis.
	  Excerpts from his mail message:

	  Here is utility that provides a maxima level interface to
	  putprop. Specifically, texput allows a user to change the
	  behavior of maxima's tex function.

	  A few examples.

	  /* tex mue tex as "\mu_e",  etc  */

	  (C2) texput(mue, "\\mu_e")$ (C3) texput(e, "\\mathbf{E}")$ (C4)
	  texput(b, "\\mathbf{B}")$

	  /* Let's try it */ (C5) tex([mue,e,b,e.b]); $$\left[
	  \mu_e,\mathbf{E},\mathbf{B},\mathbf{E}\cdot \mathbf{B} \right] $$
	  (D5)				FALSE

	  /* Define a matchfix operator || and tex it as \|.  To do this,
	  use three arguments to texput */

	  (C6) matchfix("||","||")$ (C7) texput("||","\\|","\\|")$ (C8)
	  tex(|| e + b ||); $$\|\mathbf{E}+\mathbf{B}\|$$ (D8)
		      FALSE

	  /* One more time.  Before texput */

	  (C9) matchfix("<<",">>")$ (C10) tex(<<x,y>>);
	  $$<<\left(x,y\right)$$ (D10)			       FALSE (C11)
	  texput("<<","\\langle ", " \\rangle ")$

	  /* after texput */

	  (C12) tex(<<x,y>>); $$\langle x,y \rangle $$ (D12)
		   FALSE (C13) tex(<<x>>); $$\langle x \rangle $$ (D13)
			      FALSE

	  1.  I wrote this function this morning; it hasn't been thoroughly
	  tested.  Let me know if you see any problems with it.

	  2.  Commercial Macsyma used qput to do the same thing; it seemed
	  to me that I'd have to modify mactex.lisp  in a handful of places
	  to use qput in this way.

2002-06-09 17:31  amundson

	* src/mactex.lisp: Fixes for mactex.lisp from Barton Willis. From
	  his mail message: ---------------------------------------
	  mactex-1.7.lisp --- I collected all the additions and fixes I
	  know of for mactex.  I suggest that mactex-1.7.lisp replace the
	  version that Maxima currently uses.
	  ---------------------------------------

	  The committed version is his mactex-1.7.lisp

2002-06-09 16:57  amundson

	* doc/info/Lists.texi: Documentation for functions second thru
	  tenth. Thanks to Dan Stanger.

2002-06-09 16:47  amundson

	* src/comm.lisp: Update from Dan Stanger:

	  Dr. Fateman suggested a improvement to the changes I made, so
	  here is the new file, with his suggested changes.
	  ---------------------------------------

	  I (JFA) added an eval-when around (defun dollarify...)

2002-06-09 16:31  amundson

	* src/comm.lisp, tests/rtest15.mac: Added functions second thru
	  tenth, including tests. Code thanks to Dan Stanger.

2002-06-09 16:27  amundson

	* share/contrib/lindstedt.mac: Contributed file from Dan Stanger.
	  He writes:

	  Attached is a first pass of Lindstedt code, which has the same
	  calling sequence as the commercial function, for inclusion in the
	  maxima project.  I gave it the LGPL, but I can change that to the
	  GPL if required.  I would appreciate any comments about my coding
	  style, as well as other comments.

2002-06-09 16:25  amundson

	* src/sin.lisp, tests/rtest15.mac: Bug fix for integrate(3^log(x))
	  problem. Fix thanks to Wolfgang Jenkner with suggestions from
	  Richard Fateman. The test was modified to accept the form
	  produced by maxima after the fix. Previously, the test looked for
	  a different, but equivalent, answer.

2002-06-09 16:23  amundson

	* tests/tests.lisp: report errors in ascending order

2002-06-09 16:22  amundson

	* src/Makefile.am: clean now removes all compiled files, not just
	  saved image

2002-05-31 16:29  rtoy

	* src/bessel.lisp: o Tell maxima that J[v](0) is 0 except when v =
	  0 where it is 1.  o Tell maxima how to differentiate the Bessel
	  functions.

2002-05-26 15:00  rtoy

	* src/bessel.lisp: As discussed on the mailing list, the Bessel
	  functions are called BESSEL_{J,Y,I,K} instead of %J, %Y, %IBES,
	  %K.

2002-05-24 12:35  amundson

	* interfaces/xmaxima/: adams.tcl, autoconf-variables.tcl,
	  base64.tcl, bitmaps.tcl, browser.tcl, emaxima.tcl, eoctave.tcl,
	  eopenplot.tcl, getdata1.tcl, getopt.tcl, myhtml.tcl,
	  nconsole.tcl, nplot3d.tcl, parse.tcl, patchold.tcl, plot2d.tcl,
	  plot3d.tcl, plotconf.tcl, plotdf.tcl, printopts.tcl, proxy.tcl,
	  rk.tcl, send-some.tcl, string.tcl, textinsert.tcl, tryembed.tcl,
	  tryftp2.tcl, wmenu.tcl: xmaxima now split into multiple files.
	  Work done by Mike Clarkson. For the time being, the original
	  xmaxima code is unaffected.

2002-05-22 17:15  rtoy

	* tests/rtest6a.mac: Undo last change.	The real bug was an error
	  in %j.

2002-05-22 16:13  rtoy

	* tests/rtest14.mac: Undo the previous change.	The assumptions
	  aren't needed and were caused by an error in the simplifier for
	  %j.

2002-05-22 16:05  rtoy

	* src/bessel.lisp: $realpart and/or $imagpart was causing
	  %j[1](sqrt(x)) to ask for the sign of x.  Don't do that.  (Fix
	  applied to all of the Bessel routines.)

2002-05-21 21:53  rtoy

	* tests/rtest6a.mac: Tell maxima that T is positive so it doesn't
	  ask.

2002-05-21 21:53  rtoy

	* tests/rtest14.mac: Tell maxima that a and t are positive so it
	  doesn't ask.

2002-05-21 21:37  rtoy

	* tests/rtest14.mac: Correct the value for bessel(2,3).

2002-05-21 21:34  rtoy

	* src/bessel.lisp: o Add $BESSELEXPAND variable to control whether
	  to expand the Bessel	 functions of half-integral order in terms
	  of elementary functions.  o Honor $BESSELEXPAND in the
	  simplifiers for the Bessel functions.

2002-05-21 21:31  rtoy

	* src/: clisp-depends.mk, cmucl-depends.mk: Regenerated.

2002-05-21 13:51  belanger

	* interfaces/emacs/emaxima/: emaxima.el, emaxima.sty: The problem
	  with (E*) output was fixed.

2002-05-19 22:14  rtoy

	* src/bessel.lisp: o Fix a few typos in bessel-y o Was incorrectly
	  computing the half-integral order Bessel functions   when the arg
	  wasn't a simple variable.  o Clean up and improve some of the
	  comments.  o Do the half-integral order expansions whenever the
	  order is   half-integral, even if the arg is a number.  o Clean
	  up, comment, and correct the expander for half-integral %K.

2002-05-19 15:31  rtoy

	* src/bessel.lisp: o Rename the Bessel J function from bessel_j to
	  %j, and Y from   bessel_y to %y, since maxima already has %j and
	  %y defined.	 Likewise for Bessel I, use %ibes.  o Call the
	  Bessel K function %k.  Add support for it.  o For order 0 and 1,
	  call the specialized dbesj0 and dbesj1 functions   instead of the
	  general dbesj function.  o Use analytic continuation so we can
	  evaluate the J for negative	values of the argument.  o Do
	  similar things for Bessel Y.	o Was not correctly expanding the
	  Bessel J, Y, and I functions for   half-integral orders.

2002-05-19 15:25  rtoy

	* src/gcl-depends.mk: Regenerated.

2002-05-19 15:24  rtoy

	* src/numerical/f2cl-lib.lisp: o GCL doesn't like the declarations
	  in our max functions, so don't   declare the variables.  o GCL
	  doesn't like our defparameter for *lun-hash*.  Make it defvar.  o
	  GCL doesn't have least-positive-normalized-double-float, so
	  make it the same as least-positive-double-float.  Do likewise for
	  single-float.

2002-05-19 15:22  rtoy

	* src/numerical/f2cl-package.lisp: GCL doesn't export
	  DESTRUCTURING-BIND from the LISP package.  Import it.

2002-05-16 14:09  starseeker

	* share/physics/: dimension.html, dimension.mac, dimension.pdf,
	  dimension.tex:

	  Barton Willis's Dimensional analysis package and documentation

2002-05-14 13:26  belanger

	* interfaces/emacs/emaxima/maxima-font-lock.el: Font locking in the
	  maxima process buffer was removed; since comint-mode already does
	  font locking.

2002-05-14 13:22  belanger

	* interfaces/emacs/emaxima/emaxima.el: Several internal changes
	  were made.  The "wait for output" routine was moved to maxima.el.

2002-05-14 13:21  belanger

	* interfaces/emacs/emaxima/maxima.el: Several internal changes were
	  made.  maxima mode changed to send one line at a time to the
	  maxima process.

2002-05-11 08:19  amundson

	* README.lisps: Preliminary notes on lisp implementations for
	  Maxima

2002-05-09 14:43  rtoy

	* src/bessel.lisp: Preliminary support for numerical computing
	  Bessel K functions.

2002-05-09 14:42  rtoy

	* src/maxima.system: Add the needed routines for the Bessel K
	  function.

2002-05-09 14:42  rtoy

	* src/numerical/slatec.lisp: Export the needed routines for the
	  Bessel K function.

2002-05-09 14:41  rtoy

	* src/numerical/slatec/slatec.system: Add routines for Bessel K
	  function.

2002-05-09 14:36  rtoy

	* src/numerical/slatec/: dbesk.lisp, dbesk0.lisp, dbesk1.lisp,
	  dbsk0e.lisp, dbsk1e.lisp, dbsknu.lisp, zbesk.lisp: Initial import
	  of converted SLATEC routines for Bessel K.

2002-05-09 14:34  rtoy

	* src/numerical/slatec/fortran/: dbesk.f, dbesk0.f, dbesk1.f,
	  dbsk0e.f, dbsk1e.f, dbsknu.f, zbesk.f: Initial import of SLATEC
	  routines for Bessel K.

2002-05-09 09:12  rtoy

	* doc/info/Special.texi: Correct the documentation on specint: the
	  modified Bessel function is called %IBES, not %I.

2002-05-08 16:40  rtoy

	* src/bessel.lisp: o Replace the Gaussian RNG with a version from
	  CLOCC   (clocc.sourceforget.net) which uses the fast Ziggurat
	  method to   generate Gaussian random vars.  o Tell maxima how to
	  differentiate bessel_j.  o Remove some old simplifiers for Bessel
	  Y and I functions.  o Fix error in simplifiers for J, Y, and I:
	  when checking to see if   the order was a half-integer, we were
	  accidentally setting the order   to NIL when it wasn't a
	  half-integer.  Don't do that.

2002-05-08 08:59  rtoy

	* src/: clisp-depends.mk, cmucl-depends.mk: Update with the new
	  one-line-per-entry format and the SLATEC routines.

2002-05-08 08:58  rtoy

	* src/numerical/slatec/zbesi.lisp: Added Bessel I function for
	  complex arg.

2002-05-08 08:34  rtoy

	* src/numerical/slatec/: d9aimp.lisp, d9b0mp.lisp, d9b1mp.lisp,
	  d9lgmc.lisp, dai.lisp, daie.lisp, dasyik.lisp, dasyjy.lisp,
	  dbesi.lisp, dbesi0.lisp, dbesi1.lisp, dbesj.lisp, dbesj0.lisp,
	  dbesj1.lisp, dbesy0.lisp, dbesy1.lisp, dbsi0e.lisp, dbsi1e.lisp,
	  dcsevl.lisp, de1.lisp, dei.lisp, derf.lisp, derfc.lisp,
	  dgamlm.lisp, dgamln.lisp, dgamma.lisp, djairy.lisp, dlngam.lisp,
	  fdump.lisp, initds.lisp, j4save.lisp, xercnt.lisp, xerhlt.lisp,
	  xermsg.lisp, xerprn.lisp, xersve.lisp, xgetua.lisp, zabs.lisp,
	  zacai.lisp, zairy.lisp, zasyi.lisp, zbesj.lisp, zbinu.lisp,
	  zbknu.lisp, zbuni.lisp, zdiv.lisp, zexp.lisp, zkscl.lisp,
	  zlog.lisp, zmlri.lisp, zmlt.lisp, zrati.lisp, zs1s2.lisp,
	  zseri.lisp, zshch.lisp, zsqrt.lisp, zuchk.lisp, zunhj.lisp,
	  zuni1.lisp, zuni2.lisp, zunik.lisp, zuoik.lisp, zwrsk.lisp:
	  Regenerated from latest version (2002-05-06) of f2cl.

2002-05-08 08:32  rtoy

	* src/numerical/slatec/: dbesy.lisp, dbsynu.lisp, dyairy.lisp:
	  Initial revision for SLATEC routines for Bessel Y and I
	  functions.

2002-05-08 08:31  rtoy

	* src/numerical/slatec/: zacon.lisp, zbesh.lisp, zbesy.lisp,
	  zbunk.lisp, zunk1.lisp, zunk2.lisp: Initiali revision for SLATEC
	  routines for Bessel Y and I functions.

2002-05-07 23:51  rtoy

	* src/bessel.lisp: First cut at Bessel Y and I function support:

	  o Clean up some comments o Add functions to numerically evaluate
	  Y and I functions.  Still   needs some work.	(Should all of the
	  additional values be stored in   $besselarray or should we have a
	  different variable for each?) o Add the new maxima functions
	  bessel_j[v](z), bessel_y[v](z), and	bessel_i[v](z).  Can
	  express these functions in terms of elementary   functions when v
	  is half of an odd integer.  (Should this expansion   be
	  controllable by some user variable?) o bessel(x,n) for symbolic x
	  and n is converted to bessel_j[n](x).

2002-05-07 23:45  rtoy

	* src/maxima.system: Add rules for the Bessel I functions for
	  complex arg and Bessel Y functions.for real and complex args.

2002-05-07 23:44  rtoy

	* src/numerical/slatec.lisp: Export the Bessel Y and I functions we
	  need for maxima.

2002-05-07 23:43  rtoy

	* src/numerical/slatec/slatec.system: o Forgot to set the loader
	  for the f2cl language.  o Add the Bessel I functions for complex
	  arg and  the Bessel Y   functions.

2002-05-07 23:36  rtoy

	* src/numerical/slatec/fortran/: dbesy.f, dbsynu.f, dyairy.f,
	  zacon.f, zbesh.f, zbesi.f, zbesy.f, zbunk.f, zunk1.f, zunk2.f:
	  Initial revision Additional SLATEC routines for Bessel functions
	  Y and I.

2002-05-05 18:44  rtoy

	* src/numerical/f2cl-lib.lisp: Update to latest version of
	  macros.l: o Fixes bug in int-sub.  o GCL doesn't have
	  least-positive-normalized float constants o d1mach(5)/r1mach(5)
	  wasn't being computed as accurately as it should   have.

2002-05-04 14:20  rtoy

	* configure.in: When printing out help, make the help strings line
	  up neatly.

2002-05-04 14:16  rtoy

	* src/: maxima.system, numerical/slatec/slatec.system: Get the
	  dependencies correct for the SLATEC routines.

2002-05-03 12:28  rtoy

	* src/numerical/slatec/README: Tell the user to use slatec.system
	  to build the Lisp files from the Fortran files.

2002-05-03 12:25  rtoy

	* src/numerical/slatec/slatec.system: Initial revision.

	  Defsystem file for building the Lisp files from the Fortran
	  files.

2002-05-02 21:18  amundson

	* configure.in: Bug fix. If the user specifies one or more lisps at
	  configure time, configure should not search for other lisps. Now
	  it doesn't.

2002-05-01 13:20  amundson

	* src/numerical/: f2cl-package.lisp, slatec.lisp: Package-related
	  hacks for gcl.

2002-05-01 12:57  amundson

	* maxima-local: added infodir so that info can be used locally.

2002-04-30 13:04  rtoy

	* lisp-utils/make-depends.lisp: Generate multiple lines for the
	  dependency file instead of one very long line.  (Solution by
	  James Amundson, to work around a line-length limit in some
	  utilities.)

2002-04-29 11:17  amundson

	* src/Makefile.am: Bug fix: create directories before they are
	  needed by gcl.

2002-04-29 09:14  amundson

	* src/macdes.lisp: Bug fix: removed extraneous reference to
	  *maxima-directory*. *info-paths* is now set by set-pathnames.

2002-04-29 08:27  rtoy

	* src/: bessel.lisp, numerical/slatec.lisp: Oops.  ZBESJ needs to
	  exported from the SLATEC package, and we need to use it.

2002-04-28 16:29  amundson

	* xmaxima-local: New script. xmaxima-local is a wrapper to run
	  xmaxima without running make install first.

2002-04-28 16:25  amundson

	* src/todd-coxeter.lisp: Bug fix:

	  From:   Juan Pablo Hierro Álvarez <BUSCAIDEAS@terra.es> To:
	  maxima@www.ma.utexas.edu Subject:	  [Maxima] Installation
	  instruction and a small bug.	Date:	    13 Apr 2002 09:58:49
	  +0200 First, I think there is a small bug in the file
	  todd-coxeter.lisp The patch would be 5c5 < (proclaim '(type
	  (vector t)  $todd_coxeter_state)) ---
	  > (proclaim '(type (vector (t))  $todd_coxeter_state))
	  21c21 <     (declare (fixnum nvars) (type (vector t)
	  multiply-table)) ---
	  >	(declare (fixnum nvars) (type (vector (t)) multiply-table))

	  With the original version (vector (t)), it complains that the
	  type (t) is not defined. But t is, of course, a type by itself.

2002-04-28 16:21  amundson

	* src/: init-cl.lisp, macsys.lisp, maxima.in: New system for
	  communicating maxima command line options to lisp.

	  maxima command line options have changed. see maxima --help.

	  Fixes for "let/setq" problems with environment variables.

2002-04-28 16:17  amundson

	* interfaces/xmaxima/Makefile.am: Removed spurious reference to
	  maxima.(png,gif)

2002-04-28 16:16  amundson

	* src/Makefile.am: Update saving of init functions. Only clisp now
	  has init function specified.

2002-04-28 16:13  amundson

	* share/Makefile.am: install physics/physconst.mac and
	  physics/physconst.usg

2002-04-28 16:12  amundson

	* lisp-utils/maxima-run-lisp: Hardcode "(user:run)" for running
	  with cmucl, instead of saving it as the init function. This is
	  really a big hack. It should be addressed in a more general
	  manner.

2002-04-28 16:08  amundson

	* configure.in: Create autoconf variables file for xmaxima.

2002-04-28 16:07  amundson

	* common.mk: Add xmaximadir.

2002-04-28 16:03  amundson

	* interfaces/xmaxima/xmaxima.tcl: Updates to get xmaxima working
	  with new system.  xmaxima now takes several arguments:
	  ------------------------ |addiator>xmaxima --help usage: xmaxima
	  [options] [url]	     If given, [url] will be opened in the
	  help browser instead		  of the default starting page.
	  options:     --help: Display this usage message.	-l <lisp>,
	  --lisp=<lisp>: Use lisp implementation <lisp>.
	  --use-version=<version>: Launch maxima version <version>.
	  ------------------------

	  xmaxima now works with the new maxima script. If the new maxima
	  script is unavailable, as could be the case on windows, xmaxima
	  will attempt to talk directly to a GCL saved image.

2002-04-28 15:57  amundson

	* interfaces/xmaxima/xmaxima.tcl: Under some circumstances xmaxima
	  would call kill -1, which kills all processes with pid > 0. This
	  lead many people (myself included\!) to believe xmaxima was
	  crashing X windows. xmaxima will now never call kill -1. Also
	  updated comment for emacs mode discovery and date.

2002-04-28 15:45  amundson

	* interfaces/xmaxima/server.lisp: server from the archive
	  directory. getpid functions for clisp and cmucl have been added
	  to the original.

2002-04-28 15:44  amundson

	* interfaces/xmaxima/: maxima-icon.ico, maxima-icon.png,
	  maxima-new.gif, maxima-new.png: New maxima logo from Cliff Yapp.

2002-04-28 15:43  amundson

	* interfaces/xmaxima/: demos.html, examples.html, intro.html:
	  Updates for new maxima logo.

2002-04-28 15:39  amundson

	* interfaces/xmaxima/: .cvsignore, Makefile.am,
	  autoconf-variables.tcl.in, xmaxima, xmaxima-paths.tcl,
	  xmaxima-trailer.tcl, xmaxima.tcl: xmaxima updates for new file
	  layout and new maxima script.  xmaxima itself is now derived from
	  several tcl files.

2002-04-26 12:12  rtoy

	* src/bessel.lisp: Remove the original maxima code that was
	  evaluating the Bessel functions, to reduce clutter.

2002-04-26 11:54  rtoy

	* src/maxima.system: Forgot to include xgetua.lisp.

2002-04-26 11:23  rtoy

	* src/bessel.lisp: Remove the f2cl macros that were placed here and
	  the TOMS algorithms that we've replaced by SLATEC versions.

2002-04-26 11:22  rtoy

	* src/numerical/slatec/README: Update the script for building the
	  Lisp files.  Clean up notes.

2002-04-26 11:21  rtoy

	* src/numerical/slatec/dasyik.lisp: Regenerated from Fortran code
	  because we receive a sliced array.

2002-04-26 11:20  rtoy

	* src/numerical/slatec/dbesi.lisp: Regenerated from Fortran code
	  because we need array-slicing enabled since we slice an array
	  when cally DASYIK.

2002-04-26 09:16  rtoy

	* src/numerical/slatec/dbesj.lisp: Regenerated from Fortran code
	  because we need array-slicing enabled since we slice an array
	  when cally DASYJY.

2002-04-26 09:15  rtoy

	* src/numerical/slatec/dasyjy.lisp: Regenerated from Fortran code
	  because the array type should be array, not simple-array (because
	  we're given an array slice).

2002-04-26 09:13  rtoy

	* src/numerical/slatec/README: Update the build script and say the
	  conversion was done using CMUCL.

2002-04-26 08:13  rtoy

	* src/csimp2.lisp: Remove the TOMS function calerf.

2002-04-26 08:11  rtoy

	* src/bessel.lisp: Use the SLATEC routines for the various bessel
	  functions, the Airy function and the exponential integral.

2002-04-26 08:10  rtoy

	* src/csimp2.lisp: Use the SLATEC routines for erf and erfc.

2002-04-26 08:09  rtoy

	* src/maxima.system: Add new module for the numerical routines.

2002-04-26 08:03  rtoy

	* src/numerical/: f2cl-lib.lisp, f2cl-package.lisp, slatec.lisp:
	  Initial revision.

2002-04-26 07:51  rtoy

	* src/numerical/slatec/djairy.lisp: Initial revision

2002-04-26 07:42  rtoy

	* src/numerical/slatec/: zseri.lisp, zshch.lisp, zsqrt.lisp,
	  zuchk.lisp, zunhj.lisp, zuni1.lisp, zuni2.lisp, zunik.lisp,
	  zuoik.lisp, zwrsk.lisp: Initial revision

2002-04-26 07:39  rtoy

	* src/numerical/slatec/: xerhlt.lisp, xermsg.lisp, xerprn.lisp,
	  xersve.lisp, xgetua.lisp, zabs.lisp, zacai.lisp, zairy.lisp,
	  zasyi.lisp, zbesj.lisp, zbinu.lisp, zbknu.lisp, zbuni.lisp,
	  zdiv.lisp, zexp.lisp, zkscl.lisp, zlog.lisp, zmlri.lisp,
	  zmlt.lisp, zrati.lisp, zs1s2.lisp: Initial revision

2002-04-26 07:36  rtoy

	* src/numerical/slatec/: dcsevl.lisp, de1.lisp, dei.lisp,
	  derf.lisp, derfc.lisp, dgamlm.lisp, dgamln.lisp, dgamma.lisp,
	  dlngam.lisp, fdump.lisp, initds.lisp, j4save.lisp, xercnt.lisp:
	  Initial revision

2002-04-26 07:30  rtoy

	* src/numerical/slatec/: d9aimp.lisp, d9b0mp.lisp, d9b1mp.lisp,
	  d9lgmc.lisp, dai.lisp, daie.lisp, dasyik.lisp, dasyjy.lisp,
	  dbesi.lisp, dbesi0.lisp, dbesi1.lisp, dbesj.lisp, dbesj0.lisp,
	  dbesj1.lisp, dbesy0.lisp, dbesy1.lisp, dbsi0e.lisp, dbsi1e.lisp:
	  Initial conversion from SLATEC routines.

2002-04-26 07:28  rtoy

	* src/numerical/slatec/README: Initial revision.

2002-04-25 12:26  rtoy

	* src/numerical/slatec/fortran/dasyjy.f: Oops.	Don't need to SAVE
	  ALFA1, ALFA2, BETA1, etc., since we removed these variables.

2002-04-25 12:11  rtoy

	* src/numerical/slatec/fortran/dasyjy.f: f2cl doesn't handle
	  equivalence statements and this routine only seems to use the
	  equivalence statements as some means of initializing the arrays,
	  so remove the equivalence statements and make the appropriate
	  changes to the initializers.

2002-04-25 12:08  rtoy

	* src/numerical/slatec/fortran/xermsg.f: f2cl doesn't correctly
	  convert format strings that are included in the WRITE statement.
	  Move it out to a separate FORMAT statement.

2002-04-25 12:03  rtoy

	* src/numerical/slatec/fortran/: d9aimp.f, d9b0mp.f, d9b1mp.f,
	  d9lgmc.f, dai.f, daie.f, dasyik.f, dasyjy.f, dbesi.f, dbesi0.f,
	  dbesi1.f, dbesj.f, dbesj0.f, dbesj1.f, dbesy0.f, dbesy1.f,
	  dbsi0e.f, dbsi1e.f, dcsevl.f, de1.f, dei.f, derf.f, derfc.f,
	  dgamlm.f, dgamln.f, dgamma.f, djairy.f, dlngam.f, fdump.f,
	  initds.f, j4save.f, xercnt.f, xerhlt.f, xermsg.f, xerprn.f,
	  xersve.f, xgetua.f, zabs.f, zacai.f, zairy.f, zasyi.f, zbesj.f,
	  zbinu.f, zbknu.f, zbuni.f, zdiv.f, zexp.f, zkscl.f, zlog.f,
	  zmlri.f, zmlt.f, zrati.f, zs1s2.f, zseri.f, zshch.f, zsqrt.f,
	  zuchk.f, zunhj.f, zuni1.f, zuni2.f, zunik.f, zuoik.f, zwrsk.f:
	  Initial checkin of SLATEC routines as obtained from netlib.org.

2002-04-22 13:17  belanger

	* doc/maximabook/odes/odes.tex: Added a note that the linear
	  differential equations need to have constant coefficients to be
	  solved by desolve.

2002-04-19 12:46  belanger

	* doc/maximabook/odes/odes.tex: Added a note to the desolve
	  section, saying it works best with linear odes.

2002-04-18 13:54  amundson

	* src/init-cl.lisp: (1) Removed *maxima-directory*, which was the
	  same as *maxima-prefix*, but not used consistently.

	  (2) fixed maxima-getenv for cmucl. Fix from Juan Pablo Hierro
	  Álvarez.

2002-04-17 11:13  amundson

	* src/init-cl.lisp: Added defvars for the new *maxima- directories.

2002-04-16 17:01  belanger

	* doc/maximabook/odes/odes.tex: A discussion of what methods Maxima
	  uses to solve the odes was added.

2002-04-15 08:33  amundson

	* configure.in, src/autoconf-variables.lisp.in, src/init-cl.lisp:
	  Search path updates. Maxima should now be internally consistent
	  with the new build system and file installation schemes. All
	  autoconf options should be properly supported, including
	  overriding datadir and infodir. The autoconf prefix, datadir and
	  infodir options are also adjustable at run time through the
	  environment variables MAXIMA_DIRECTORY, MAXIMA_DATADIR AND
	  MAXIMA_INFODIR, respectively.

	  This functionality has not been extensively tested.

2002-04-11 16:27  starseeker

	* share/physics/: physconst.mac, physconst.usg:

	  Physical Constants Package uploaded-

2002-04-09 21:46  billingd

	* src/maxima.in: 2002-04-10  David Billinghurst
	  <david.Billinghurst@riotinto.com>

		  * src/maxima.in:  Add newline at end of file

2002-04-09 19:28  billingd

	* tests/: rtest15.mac, tests.lisp: 2002-04-10  David Billinghurst
	  <David.Billinghurst@riotinto.com>

		  * tests/rtest15.mac: New file
		  * tests/tests.lisp: Add above tests

2002-04-08 11:56  starseeker

	* doc/maximabook/images/.xvpics/: 2dplotwindow.eps,
	  2dplotwindow.jpg, 2dplotwindowa.eps, 2dplotwindowa.jpg,
	  3dplotwindow.eps, 3dplotwindow.jpg, 3dplotwindowa.eps,
	  3dplotwindowa.jpg, emacsmaximamodeshot.eps,
	  emacsmaximamodeshot.jpg, imaxima.eps, imaxima.png,
	  maxima_geomview.eps, maxima_geomview.jpg, maxima_gnuplot.eps,
	  maxima_gnuplot.jpg, maxima_openmath.eps, maxima_openmath.jpg,
	  symaxx.eps, symaxx.jpg, symaxxgraph.ps, symaxxoutput.jpg,
	  symaxxtex.ps, symaxxunits.ps, terminalshot.eps, terminalshot.jpg,
	  texmacs.eps:

	  removing xv files

2002-04-08 11:55  starseeker

	* doc/maximabook/storage/bibarchive/bibliography.tar.gz:

	  duplicate of other contents in directory

2002-04-08 11:54  starseeker

	* doc/maximabook/: algcal/calculus.log, basics/basics.dvi,
	  odes/odes.aux, odes/odes.dvi, odes/odes.log:

	  removing useless files

2002-04-08 11:52  starseeker

	* doc/maximabook/.log:

	  removeing useless file

2002-04-07 01:09  billingd

	* src/macdes.lisp: Add maxima function apropos

2002-04-05 12:29  starseeker

	* doc/maximabook/: .log, Makefile, TODO, maxima.bib, maxima.tex,
	  images/emacsshot.eps, images/imaxima.png, images/emaximashot.eps,
	  images/imaxima.eps, images/maximawindowsinstall1.eps,
	  images/symaxx.eps, images/terminalshot.eps, images/texmacs.eps,
	  images/xmaxima.eps, images/emacsmaximamodeshot.eps,
	  images/symaxxoutput.ps, images/maxima_openmath.eps,
	  images/maxima_gnuplot.eps, images/2dplotwindow.eps,
	  images/2dplotwindow.png, images/3dplotwindow.eps,
	  images/3dplotwindow.png, images/emacsmaximamodeshot.png,
	  images/maxima_geomview.eps, images/emacsshot.png,
	  images/emaximashot.png, images/maxima_geomview.png,
	  images/maxima_gnuplot.png, images/maxima_openmath.png,
	  images/maximawindowsinstall1.png, images/symaxx.png,
	  images/symaxxoutput.png, images/terminalshot.png,
	  images/texmacs.png, images/xmaxima.png,
	  images/.xvpics/2dplotwindow.eps, images/.xvpics/2dplotwindow.jpg,
	  images/.xvpics/2dplotwindowa.eps,
	  images/.xvpics/2dplotwindowa.jpg,
	  images/.xvpics/3dplotwindow.eps, images/.xvpics/3dplotwindow.jpg,
	  images/.xvpics/3dplotwindowa.eps,
	  images/.xvpics/3dplotwindowa.jpg,
	  images/.xvpics/emacsmaximamodeshot.eps,
	  images/.xvpics/emacsmaximamodeshot.jpg,
	  images/.xvpics/imaxima.eps, images/.xvpics/imaxima.png,
	  images/.xvpics/maxima_geomview.eps,
	  images/.xvpics/maxima_geomview.jpg,
	  images/.xvpics/maxima_gnuplot.eps,
	  images/.xvpics/maxima_gnuplot.jpg,
	  images/.xvpics/maxima_openmath.eps,
	  images/.xvpics/maxima_openmath.jpg, images/.xvpics/symaxx.eps,
	  images/.xvpics/symaxx.jpg, images/.xvpics/symaxxgraph.ps,
	  images/.xvpics/symaxxoutput.jpg, images/.xvpics/symaxxtex.ps,
	  images/.xvpics/symaxxunits.ps, images/.xvpics/terminalshot.eps,
	  images/.xvpics/terminalshot.jpg, images/.xvpics/texmacs.eps,
	  maxims/maxims.tex, odes/advmath.tex, odes/odes.aux,
	  odes/odes.dvi, odes/odes.log, odes/odes.tex, basics/basics.dvi,
	  basics/basics.tex, examples/examples.tex, install/install.tex,
	  interfaces/interfaces.tex, introduction/introduction.tex,
	  output/izicinfo.txt, output/output.tex, preface/pref.tex,
	  programming/prog.tex, storage/primer/primer.tex,
	  storage/bibarchive/axiom.bib,
	  storage/bibarchive/bibliography.tar.gz,
	  storage/bibarchive/higherordersymbcomput.bib,
	  storage/bibarchive/jsymcomp.bib,
	  storage/bibarchive/lispsymbcomput.bib,
	  storage/bibarchive/macsyma.bib,
	  storage/bibarchive/maple-extract.bib,
	  storage/bibarchive/maple-tech.bib,
	  storage/bibarchive/mathematica.bib,
	  storage/bibarchive/red-a-f.bib, storage/bibarchive/redbooks.bib,
	  storage/bibarchive/red-g-l.bib, storage/bibarchive/red-m-z.bib,
	  storage/bibarchive/redextra.bib, storage/bibarchive/reduce.bib,
	  algcal/algcal.tex, algcal/calculus.log,
	  storage/bibarchive/sigsam.bib:

	  Initial upload of maxima user manual

2002-04-05 12:29  starseeker

	* doc/maximabook/: .log, Makefile, TODO, maxima.bib, maxima.tex,
	  images/emacsshot.eps, images/imaxima.png, images/emaximashot.eps,
	  images/imaxima.eps, images/maximawindowsinstall1.eps,
	  images/symaxx.eps, images/terminalshot.eps, images/texmacs.eps,
	  images/xmaxima.eps, images/emacsmaximamodeshot.eps,
	  images/symaxxoutput.ps, images/maxima_openmath.eps,
	  images/maxima_gnuplot.eps, images/2dplotwindow.eps,
	  images/2dplotwindow.png, images/3dplotwindow.eps,
	  images/3dplotwindow.png, images/emacsmaximamodeshot.png,
	  images/maxima_geomview.eps, images/emacsshot.png,
	  images/emaximashot.png, images/maxima_geomview.png,
	  images/maxima_gnuplot.png, images/maxima_openmath.png,
	  images/maximawindowsinstall1.png, images/symaxx.png,
	  images/symaxxoutput.png, images/terminalshot.png,
	  images/texmacs.png, images/xmaxima.png,
	  images/.xvpics/2dplotwindow.eps, images/.xvpics/2dplotwindow.jpg,
	  images/.xvpics/2dplotwindowa.eps,
	  images/.xvpics/2dplotwindowa.jpg,
	  images/.xvpics/3dplotwindow.eps, images/.xvpics/3dplotwindow.jpg,
	  images/.xvpics/3dplotwindowa.eps,
	  images/.xvpics/3dplotwindowa.jpg,
	  images/.xvpics/emacsmaximamodeshot.eps,
	  images/.xvpics/emacsmaximamodeshot.jpg,
	  images/.xvpics/imaxima.eps, images/.xvpics/imaxima.png,
	  images/.xvpics/maxima_geomview.eps,
	  images/.xvpics/maxima_geomview.jpg,
	  images/.xvpics/maxima_gnuplot.eps,
	  images/.xvpics/maxima_gnuplot.jpg,
	  images/.xvpics/maxima_openmath.eps,
	  images/.xvpics/maxima_openmath.jpg, images/.xvpics/symaxx.eps,
	  images/.xvpics/symaxx.jpg, images/.xvpics/symaxxgraph.ps,
	  images/.xvpics/symaxxoutput.jpg, images/.xvpics/symaxxtex.ps,
	  images/.xvpics/symaxxunits.ps, images/.xvpics/terminalshot.eps,
	  images/.xvpics/terminalshot.jpg, images/.xvpics/texmacs.eps,
	  maxims/maxims.tex, odes/advmath.tex, odes/odes.aux,
	  odes/odes.dvi, odes/odes.log, odes/odes.tex, basics/basics.dvi,
	  basics/basics.tex, examples/examples.tex, install/install.tex,
	  interfaces/interfaces.tex, introduction/introduction.tex,
	  output/izicinfo.txt, output/output.tex, preface/pref.tex,
	  programming/prog.tex, storage/primer/primer.tex,
	  storage/bibarchive/axiom.bib,
	  storage/bibarchive/bibliography.tar.gz,
	  storage/bibarchive/higherordersymbcomput.bib,
	  storage/bibarchive/jsymcomp.bib,
	  storage/bibarchive/lispsymbcomput.bib,
	  storage/bibarchive/macsyma.bib,
	  storage/bibarchive/maple-extract.bib,
	  storage/bibarchive/maple-tech.bib,
	  storage/bibarchive/mathematica.bib,
	  storage/bibarchive/red-a-f.bib, storage/bibarchive/redbooks.bib,
	  storage/bibarchive/red-g-l.bib, storage/bibarchive/red-m-z.bib,
	  storage/bibarchive/redextra.bib, storage/bibarchive/reduce.bib,
	  algcal/algcal.tex, algcal/calculus.log,
	  storage/bibarchive/sigsam.bib: Initial revision

2002-04-02 20:16  amundson

	* doc/info/Help.texi: Patches from David Billinghurst.

	  Add note about "maxima.dem" file.

2002-04-02 20:14  amundson

	* doc/info/: Command.texi, Integration.texi, Program.texi: Patches
	  from David Billinghurst.

	  Delete reference to GJC.

2002-04-02 19:58  amundson

	* src/: clisp-depends.mk, cmucl-depends.mk, gcl-depends.mk,
	  maxima.system: Minor cleanup.

	  1) Do something reasonable when unknown lisp encountered.

	  2) Remove duplicate entry from maxima.system.

2002-04-02 19:55  amundson

	* src/autoconf-variables.lisp.in: Preliminary work on path
	  improvements.

2002-04-02 19:54  amundson

	* doc/info/texi2html: Bill Schelter's modified version of
	  texi2html. We should probably try to switch back to the official
	  version of texi2html some time in the future.

2002-04-02 19:52  amundson

	* doc/intromax/Makefile.am, doc/share/Makefile.am,
	  interfaces/emacs/emaxima/Makefile.am,
	  interfaces/emacs/misc/Makefile.am,
	  interfaces/xmaxima/Makefile.am, share/Makefile.am,
	  src/Makefile.am: Build system cleanup.

2002-04-02 19:50  amundson

	* demo/Makefile.am, doc/info/Makefile.am, doc/info/maximahtml.mk:
	  Build system cleanup.

2002-04-02 19:49  amundson

	* common.mk: Build system cleanup.

2002-04-01 11:28  amundson

	* doc/info/: Input.texi, Plotting.texi: Add spaces to avoid texinfo
	  warning.

2002-04-01 11:27  amundson

	* doc/info/Function.texi: Add space to avoid texinfo warning.

2002-04-01 11:26  amundson

	* doc/info/.cvsignore: Ignore html output files

2002-03-27 15:50  amundson

	* AUTHORS, ChangeLog, NEWS, README, bootstrap: Empty files to make
	  automake happy. These files need to be filled before release.

2002-03-27 15:15  amundson

	* INSTALL.cvs: The newly added final sentence should have been
	  there in the first place.

2002-03-27 13:20  amundson

	* .cvsignore, demo/.cvsignore, doc/.cvsignore, doc/info/.cvsignore,
	  doc/intromax/.cvsignore, doc/man/.cvsignore,
	  doc/share/.cvsignore, interfaces/.cvsignore,
	  interfaces/emacs/.cvsignore, interfaces/emacs/emaxima/.cvsignore,
	  interfaces/emacs/misc/.cvsignore, interfaces/xmaxima/.cvsignore,
	  lisp-utils/.cvsignore, share/.cvsignore, tests/.cvsignore:
	  cvsignore files wherever needed

2002-03-27 13:10  amundson

	* src/.cvsignore: ignore generated files

2002-03-27 13:06  amundson

	* src/commac.lisp: Fix for CMUCL bug in rtest12. Thanks to Ole
	  Rohne, who offers the following reservations:

	  I don't particularly like this fix, because the use of
	  COMPILED-FUNCTION-P in KILL1 has nothing to do with a function
	  being compiled - on some systems, all functions are compiled. It
	  is a kludge to figure out if a function has been loaded from a
	  lisp file and it should be renamed accordingly. Being used
	  exactly once in all of maxima doesn't justify shadowing a symbol
	  from COMMON-LISP

2002-03-27 13:00  amundson

	* src/Makefile.am: Important change. Formerly, we used one lisp
	  invocation to compile the system and save the image. We use to
	  lisp invocations: one to compile, another to load and save.

	  Before this change, eval-when problems could cause the code to
	  compile differently depending on whether it was a fresh or
	  incremental build. After the change all code will be loaded the
	  same way before images are saved whether or not a given file
	  needed to be compiled.

2002-03-27 12:54  amundson

	* src/bessel.lisp: eval-when change. Needed to include "load" along
	  with compile and eval for some functions. Change was needed for
	  gcl only, but should not hurt on other compilers.

2002-03-27 12:52  amundson

	* src/hyp.lisp: MABS problem solved once and for all. The macro
	  formerly known as MABS is now HYP-MABS.

2002-03-26 15:13  amundson

	* tests/rtest3.mac: Correct value of beta(1/2,2/5)

2002-03-26 12:53  amundson

	* INSTALL.cvs: Instructions for building from cvs.

2002-03-10 18:49  amundson

	* share/calculus/gendif.usg: concatenation portion of maxima
	  migration

2002-03-10 18:45  amundson

	* share/: numeric/fft.usg, share.usg, utils/dskuse.usg:
	  concatenation portion of maxima migration

2002-03-06 10:41  amundson

	* admin/TODO: Updates for recent changes.

2002-03-06 10:07  amundson

	* Makefile.am, common.mk, configure.in, demo/Makefile.am,
	  doc/Makefile.am, doc/intromax/Makefile.am, doc/man/Makefile.am,
	  doc/share/Makefile.am, interfaces/emacs/Makefile.am,
	  interfaces/emacs/emaxima/Makefile.am,
	  interfaces/emacs/misc/Makefile.am,
	  interfaces/xmaxima/Makefile.am, share/Makefile.am,
	  tests/Makefile.am: Nearly all file installations are now
	  performed.

2002-03-06 10:06  amundson

	* tests/summarize-log: summarize-log now understands the new output
	  of tests.lisp

2002-03-06 10:03  amundson

	* tests/tests.lisp: This message really applies to the previous
	  commit.

	  Error summary now produces output that is easier to comprehend
	  for humans and computers alike.

2002-03-06 10:01  amundson

	* tests/: rtest14.mac, tests.lisp: fixed a couple of expected test
	  values.

2002-03-06 09:58  amundson

	* src/macsys.lisp: implement  for clisp. cmucl not done yet.

2002-02-21 12:00  amundson

	* interfaces/: Makefile.am, emacs/Makefile.am,
	  emacs/emaxima/Makefile.am: Preliminary Makefile.am's for
	  interfaces. None are complete.

2002-02-20 20:51  amundson

	* Makefile.am, configure.in: migrate now deals with each file
	  exactly once.

2002-02-20 08:54  amundson

	* admin/TODO: added texi -> html item

2002-02-20 08:45  amundson

	* interfaces/xmaxima/maxima.png: png is politicly correct replament
	  for gif

2002-02-09 21:08  amundson

	* src/solve.lisp: Bugfix for solvequad from Richard Fateman and
	  willisb.

2002-02-02 16:37  amundson

	* src/: maxima.system, autoconf-variables.lisp.in: Provide access
	  to autoconf variables through lisp file autoconf-variables.lisp.
	  Obsoletes version.lisp.

2002-02-02 16:35  amundson

	* src/init-cl.lisp: 1) Delete redunant loads.  2) Rename getenv to
	  maxima-getenv to avoid infinite loop! 3) Get MAXIMA_DIRECTORY
	  from autoconf setting if enviroment variabled undefined.

2002-02-02 16:33  amundson

	* configure.in: 1) Change version number to 5.9.0pre-cvs 2) Fix bug
	  in automatic lisp detection.	3) Support autoconf-variables.lisp

2002-02-02 16:30  amundson

	* src/: clisp-depends.mk, cmucl-depends.mk, gcl-depends.mk:
	  Automatically generated by changes in maxima.system.

2002-02-02 16:29  amundson

	* src/macsys.lisp: Print the correct version number under the new
	  build system. Warn the user that the old build system is
	  deprecated if the old build system is used.

2002-02-02 16:27  amundson

	* src/cl-info.lisp: Provide a decent error message when lisp
	  directory can not be found. Portions of this code still are not
	  working properly. See comments around "FIXME".

2002-02-02 13:44  rtoy

	* doc/info/: Elliptic.texi, maxima.texi: Correct the links for the
	  elliptic functions.

2002-02-02 09:10  rtoy

	* doc/info/maxima.texi: Update for documentation for elliptic
	  functions and integrals.

2002-02-02 09:10  rtoy

	* doc/info/Elliptic.texi: Documentation for elliptic functions and
	  integrals.

2002-02-01 16:39  belanger

	* doc/emaxima/EMaximaIntro.ps: The postscript version of the intro
	  was updated to match the tex version.

2002-02-01 00:02  amundson

	* src/hyp.lisp: macro definition of MABS interfered with real
	  definition of MABS, so the macro was removed

2002-01-31 23:31  rtoy

	* src/init-cl.lisp: As was done in init_max1.lisp, support file
	  extensions for compiled files for other lisps.

2002-01-31 23:20  rtoy

	* src/init-cl.lisp: o Add implementation of getenv for various
	  platforms o When the environment var MAXIMA_DIRECTORY is set,
	  assign that to   *maxima-directory*

2002-01-31 23:09  rtoy

	* src/nregex.lisp: o Send debugging info to *trace-output* instead
	  of *standard-output*	 (as done by Thomas A. Russ).  o Update a
	  docstring.  o We forgot to handle the case-insensitive case when
	  we have a literal   string at the beginning of our search
	  pattern.

2002-01-31 23:05  rtoy

	* src/mdebug.lisp: o Make a note of an ANSI CL portability problem.
	  o Because of the above problem, CMUCL calls $describe with the
	  first   character of the string chopped off.	Don't do that.

2002-01-28 21:24  amundson

	* src/: cl-info.lisp, clisp-depends.mk, cmucl-depends.mk,
	  nregex.lisp: Updates for ansi cl info with nregex by Raymond Toy.
	  nregex by Lawrence E. Freil.

2002-01-28 21:15  amundson

	* src/maxima.system: Update for new ansi-cl info module.

2002-01-28 21:13  amundson

	* maxima-local: maxima-local can be used to run maxima without
	  installing it first.

2002-01-24 21:19  amundson

	* src/gcl-depends.mk: updates for new files

2002-01-24 21:18  amundson

	* src/parse-body.lisp: needed for gcl

2002-01-24 21:16  amundson

	* Makefile.am, configure.in, admin/TODO, doc/Makefile.am,
	  doc/info/Makefile.am, src/maxima.in, src/maxima.system: build
	  system updates:	  -choosing default lisp works
	  -pathnames for lisp implementations specifiable
	  -configure will now attempt to find a logical default if no
	  lisp specified

		  -info files installed

2002-01-23 16:41  rtoy

	* src/limit.lisp: Richard Fateman says we

		  don't know for sure than sin/cos would get us into a loop
	  if
		  it turns back to tan in some simplification process.

	  So back out the previous change, and use his suggested fix of
	  removing %TAN from the list.

2002-01-21 21:34  rtoy

	* src/init-cl.lisp: Import some CMUCL/Clisp changes from the old
	  cvs maxima sources for compile-clisp and compile-cmulisp:

	  o Update user::run to work better with CMUCL.  o CMUCL needs a
	  bye function when EOF is reached.  o For Clisp, add :q to quit to
	  maxima top-level.

2002-01-21 20:31  rtoy

	* src/limit.lisp: Replacement for the limit of tan functions.  Use
	  definition tan=sin/cos instead of complicated code.

2002-01-17 13:57  amundson

	* admin/TODO: automatically pick lisp implementation if none
	  specified

2002-01-15 22:24  amundson

	* src/ellipt.lisp: Added implementation of destructuring-bind from
	  cmucl as a workaround for deficiency in gcl.

2002-01-14 15:08  belanger

	* interfaces/emacs/emaxima/emaxima.el: The way that EMaxima waits
	  for output from Maxima was changed.  Fixes were made so that it
	  would work with Maxima compiled with clisp.

2002-01-14 15:07  belanger

	* interfaces/emacs/emaxima/maxima.el: Some functions which were
	  used by EMaxima were moved to emaxima.el.

2002-01-10 23:30  vvzhy

	* src/trmode.lisp: fix for define_variable(foo,true,boolean)

2002-01-10 21:40  rtoy

	* src/bessel.lisp: o Add more accurate implementations for the
	  Bessel functions J0, J1,   I0, and I1.  (TOMS 715 routines
	  converted from Fortran via f2cl.) o Add some comments to the code
	  o Still needs some work for some of the other routines in this
	  file.

2002-01-09 21:19  rtoy

	* src/nparse.lisp: Maxima fails to parse numbers like ".5b0" as a
	  big float.  Make it accept work.

2002-01-09 17:04  rtoy

	* src/csimp2.lisp: o Added more accurate gamma routine that should
	  be accurate to within   15 digits or so.  Still needs a bit of
	  work because gamma(10.0)   returns 362880.0000000005 instead of
	  362880.0.  o Added more accurate erf function.

2002-01-09 14:46  rtoy

	* src/limit.lisp: Tell maxima how to take limits of Jacobian
	  elliptic functions and their inverses.

2002-01-09 14:08  rtoy

	* src/asum.lisp: Tell maxima how to evaluate some complete elliptic
	  integrals in terms of gamma functions.

2002-01-09 10:14  rtoy

	* src/ellipt.lisp: A completely new replacement for maxima's
	  elliptic function package incorporating are more complete package
	  and mostly matching Macyma's syntax.

2002-01-09 10:12  rtoy

	* src/nparse.lisp: Let maxima parse 1b0 as numbers.

2002-01-07 13:29  amundson

	* src/Makefile.am: Fixed very bad bug: make clean could delete all
	  files in src directory under some circumstances.

2002-01-07 12:49  amundson

	* src/trmode.lisp: funcall fix from Vadim V. Zhytnikov

2002-01-07 12:48  amundson

	* src/todd-coxeter.lisp: redfine mult to tc-mult to avoid potential
	  conflict with mult in main maxima code

2002-01-07 12:47  amundson

	* src/suprv1.lisp: quit() fixes

2002-01-07 12:43  amundson

	* src/mdebug.lisp: hack in debugging section. debugging needs to be
	  revisited.

2002-01-07 12:40  amundson

	* src/displa.lisp: trivial fix for syntax hilighting

2002-01-07 12:40  amundson

	* src/acall.lisp: ansi lisp fix

2002-01-07 12:36  amundson

	* src/: clisp-depends.mk, cmucl-depends.mk, gcl-depends.mk:
	  Dependency files for defsystem. In a perfect world, these
	  generated files would not be stored in cvs. In the real world,
	  having always having one copy of the files ready makes dealing
	  with make and automake much simpler.

2002-01-07 12:34  amundson

	* src/maxima.in: Remove disclaimer about unfinished status of
	  script. Most functionality is now present.

2002-01-07 12:33  amundson

	* Makefile.am, configure.in, admin/TODO,
	  lisp-utils/make-depends.lisp, lisp-utils/maxima-run-lisp,
	  src/Makefile.am, src/init-cl.lisp, src/maxima.in,
	  tests/Makefile.am, tests/summarize-log: Changes to support tests
	  and make dependencies.

2002-01-07 12:29  amundson

	* share/contrib/: diag.mac, diag.usg: contribution from
	  go_furuya@infoseek.jp

2002-01-03 02:14  vvzhy

	* src/float.lisp: BIGLSH is replaced by ASH since former seems to
	  be buggy and gives wrong result for 10.0b0-1;

2002-01-03 02:11  vvzhy

	* archive/src/makefile: fixed wrong sed command in the makefile

2001-12-12 08:50  amundson

	* Makefile.am, bootstrap, configure.in, admin/TODO,
	  lisp-utils/Makefile.am, lisp-utils/defsystem.lisp,
	  lisp-utils/maxima-run-lisp, src/Makefile.am,
	  src/SYS-DECLAIM.lisp, src/init-cl.lisp, src/maxima.in,
	  src/maxima.system: The for59 directory is for the transition from
	  maxima-pre59 to the new maxima module, which will contain maxima
	  5.9.0. The script "migrate" will populate the new maxima module.

	  This directory should be regarded as a work in progress. In
	  particular, the migrate and maxima scripts are not complete.
	  Please see the file TODO for at least a partial listing of steps
	  yet to be completed.

2001-12-12 08:43  amundson

	* src/cpoly.lisp: Declarations of variable "type" were causing
	  problems in non-gcl lisps.

2001-12-12 08:41  amundson

	* src/maxima-package.lisp: Create the package SI, if needed. See
	  the following comment in the code:

	  ;; SI is used for the regex info implementation. This line should
	  be removed ;; when the info regex implementation no longer
	  requires SI in all lisps.  ;; jfa 12/12/2001

2001-12-09 13:37  belanger

	* interfaces/emacs/emaxima/maxima-font-lock.el: I fixed the way
	  numbers are fontlocked.

2001-12-09 13:31  belanger

	* interfaces/emacs/emaxima/maxima.el: The keybindings were changed
	  to be more standard.	Various minor changes and bugfixes.

2001-12-09 13:30  belanger

	* interfaces/emacs/emaxima/emaxima.lisp: This is a slightly
	  modified version of imaxima.lisp used for getting TeX output from
	  Maxima.

2001-12-09 13:29  belanger

	* interfaces/emacs/emaxima/emaxima.sty: The abilities of maximadoc
	  were merged into emaxima.  Various minor changes and bugfixes.

2001-12-09 13:27  belanger

	* interfaces/emacs/emaxima/emaxima.el: The abilities of maximadoc
	  were merged into emaxima, various minor changes and bugfixes.

2001-12-09 13:26  belanger

	* doc/emaxima/EMaximaIntro.tex: The introduction was changed to
	  match the changes in the programs.

2001-12-09 08:17  vvzhy

	* archive/src/ChangeLog, archive/src/clisp-regex.lisp,
	  archive/src/cmulisp-regex.lisp, archive/src/compile-clisp.lisp,
	  archive/src/compile-cmulisp.lisp, src/cl-info.lisp,
	  src/macdes.lisp, src/maxima-package.lisp, src/mdebug.lisp: online
	  info browsing (describe) for clisp and cmucl

2001-12-08 00:24  vvzhy

	* archive/src/makefile: fix makefile for cmucl

2001-12-04 23:58  vvzhy

	* src/sloop.lisp: type-error in sloop is renamed to
	  sloop-type-error

2001-12-04 23:55  vvzhy

	* src/mlisp.lisp: mapply1 modified to fix problem with
	  matchdeclare, defmatch on CL systems

2001-11-25 01:38  vvzhy

	* src/trmode.lisp: fix define_variable(foo,true,boolean) problem
	  for clisp and cmucl

2001-11-18 22:45  vvzhy

	* archive/src/ChangeLog, archive/src/compile-clisp.lisp,
	  src/acall.lisp, src/maxima-package.lisp, src/plot.lisp: dfstruct
	  polygon moved out of eval-when for clisp

2001-11-18 22:43  vvzhy

	* tests/tests.lisp: gcl and gmp specific part put under feature
	  conditional

2001-11-10 19:53  belanger

	* interfaces/emacs/emaxima/maxima.el: All the font-locking was
	  moved to maxima-font-lock.el.  The syntax table was changed (to
	  make % and _ word elements).	The old changelog was removed.

2001-11-10 19:47  belanger

	* interfaces/emacs/emaxima/maxima-font-lock.el: Font-locking for
	  XEmacs was merged.  The word boundaries for the font-lock regexps
	  were fixed.  The faces were made customizable.

2001-11-10 19:44  belanger

	* interfaces/emacs/emaxima/emaxima.el: The font-locking was changed
	  (hopefully improved) slightly.

2001-11-08 16:25  belanger

	* interfaces/emacs/emaxima/maxima.el: Initial commit of maxima mode
	  for Emacs.

2001-11-08 16:24  belanger

	* interfaces/emacs/emaxima/maxima-symbols.el: Initial commit of
	  elisp file for completion support in Emacs.

2001-11-08 16:23  belanger

	* interfaces/emacs/emaxima/maxima-font-lock.el: Initial commit of
	  font-lock support for Emacs.

2001-11-08 16:22  belanger

	* interfaces/emacs/emaxima/emaxima.sty: Initial commit of EMaxima
	  style file (for LaTeX).

2001-11-08 16:21  belanger

	* interfaces/emacs/emaxima/emaxima.el: Initial commit of EMaxima
	  elisp file.

2001-11-08 16:20  belanger

	* doc/emaxima/EMaximaIntro.tex: Inital commit of an introduction to
	  EMaxima.  (source)

2001-11-08 16:19  belanger

	* doc/emaxima/EMaximaIntro.ps: Initial commit of an introduction to
	  EMaxima.

2001-11-08 16:04  amundson

	* src/displa.lisp: trivial fix: coment added to fix syntax
	  highlighting in XEmacs

2001-07-11 00:06  wfs

	* archive/src/version.lisp, doc/info/Help.texi, src/defint.lisp,
	  src/mrgmac.lisp: fix to zl-get

2001-07-03 13:19  wfs

	* src/trigi.lisp, archive/src/version.lisp: fix to mmod

2001-06-06 04:13  wfs

	* archive/info/maxima.info-15, archive/info/maxima.log,
	  archive/src/makefile, doc/info/Input.texi,
	  doc/info/Plotting.texi, doc/info/Polynomials.texi,
	  src/cl-info.lisp, src/max_ext.lisp, src/plot.lisp: changes to
	  plotting for parametric plots

2001-06-05 04:05  wfs

	* archive/info/maxima.aux, archive/info/maxima.fns,
	  archive/info/maxima.log, archive/info/maxima.toc,
	  archive/src/version.lisp, doc/info/Polynomials.texi,
	  share/algebra/gcdex.mac, src/displa.lisp, src/matrix.lisp: change
	  to gcdex, and displa for sum

2001-06-04 01:40  wfs

	* archive/info/maxima.fns, archive/info/maxima.log,
	  archive/src/version.lisp, doc/info/Polynomials.texi,
	  share/algebra/gcdex.mac, src/autol.lisp, src/matrix.lisp,
	  src/max_ext.lisp: add gcdex, misc changes

2001-05-30 23:37  wfs

	* archive/README.orig, interfaces/xmaxima/xmaxima, src/commac.lisp,
	  src/mactex.lisp, src/transm.lisp: fix to xmaxima to prevent
	  hanging process  plus other fixes

2001-05-18 14:42  wfs

	* archive/src/lmsup.lisp, src/macsys.lisp, src/mactex.lisp: fix
	  mactex.lisp, add appendfile

2001-05-18 03:57  wfs

	* tests/tests.lisp, archive/src/maxobjs, archive/src/sysinit.c,
	  archive/src/version.lisp, src/commac.lisp, src/displa.lisp,
	  src/mactex.lisp, src/max_ext.lisp, src/mload.lisp: changes to
	  mactex, to displa, and autoloading

2001-05-16 00:27  wfs

	* archive/info/maxima.log, archive/src/init_maxima.lsp,
	  archive/src/version.lisp, src/mactex.lisp, tests/tests.lisp:
	  changes to correct problems with mactex, and fixes for TexMacs

2001-05-06 16:32  wfs

	* archive/maxima-5.6-0.spec: add an rpm spec file

2001-05-06 13:27  wfs

	* archive/makedefs, archive/makefile, archive/minvers,
	  archive/elisp/makefile, archive/info/makefile,
	  archive/info/maxima.log, archive/src/init_maxima.lsp,
	  archive/src/makefile, archive/src/serror.lisp,
	  archive/src/version.lisp, src/clmacs.lisp, src/comm.lisp,
	  src/commac.lisp, src/maxmac.lisp, src/mlisp.lisp, src/mload.lisp,
	  src/mrgmac.lisp, src/rpart.lisp, src/suprv1.lisp,
	  tests/tests.lisp: misc changes for bignum stuff and fixes of
	  reported bugs

2001-04-27 12:05  wfs

	* archive/src/compile-clisp.lisp, archive/src/compile-cmulisp.lisp,
	  archive/src/server.lisp, interfaces/xmaxima/intro.html,
	  interfaces/xmaxima/xmaxima, src/macsys.lisp: update xmaxima, misc
	  clisp fix

2001-04-27 08:50  wfs

	* archive/src/compile-clisp.lisp: clisp getpid

2001-04-27 08:36  wfs

	* archive/info/makefile, archive/info/maxima.aux,
	  archive/info/maxima.log, archive/info/texi2html,
	  archive/src/compile-clisp.lisp, archive/src/compile-cmulisp.lisp,
	  archive/src/makefile, archive/src/server.lisp,
	  archive/src/version.lisp, doc/info/SpecfunII.texi, src/asum.lisp,
	  src/commac.lisp, src/displa.lisp, src/maxima-package.lisp:
	  improve bignum printing

2001-04-25 14:19  wfs

	* archive/elisp/gcl.el, archive/info/maxima.aux,
	  archive/info/maxima.fns, archive/info/maxima.log,
	  archive/info/maxima.toc, archive/src/compile-cmulisp.lisp,
	  archive/src/version.lisp, doc/info/Debugging.texi,
	  doc/info/Equations.texi, doc/info/Expressions.texi,
	  doc/info/Floating.texi, doc/info/Help.texi, doc/info/Input.texi,
	  doc/info/Integration.texi, doc/info/Program.texi,
	  doc/info/SpecfunII.texi, doc/info/Special.texi,
	  interfaces/emacs/misc/dbl.el,
	  interfaces/emacs/misc/smart-complete.el,
	  interfaces/xmaxima/xmaxima, src/maxima-package.lisp,
	  src/plot.lisp: changes for plot and emacs lisp files

2001-04-23 13:01  wfs

	* src/plot.lisp: additional things to plot.lisp

2001-04-23 12:52  wfs

	* archive/src/compile-cmulisp.lisp, src/plot.lisp: fix path
	  searching in in plot.lisp only at run time

2001-04-22 22:04  wfs

	* archive/info/maxima.log, archive/src/sysdef.lisp,
	  doc/info/Plotting.texi, src/plot.lisp: fix plot in postscript
	  mode for common lisp

2001-04-20 17:54  wfs

	* archive/info/maxima.log, src/plot.lisp: remove si:getenv

2001-04-20 17:39  wfs

	* archive/info/maxima.log, archive/src/ChangeLog,
	  archive/src/init_max1.lisp, archive/src/version.lisp,
	  doc/info/Command.texi, doc/info/Contexts.texi,
	  doc/info/Help.texi, doc/info/Input.texi,
	  doc/info/Introduction.texi, doc/info/Operators.texi, src/ar.lisp,
	  src/generr.lisp, src/macsys.lisp, src/mstuff.lisp: final changes
	  to correct bugs under cmulisp

2001-04-20 14:18  wfs

	* src/hyp.lisp: changes to correct bugs under clisp and cmulisp

2001-04-20 14:11  wfs

	* archive/info/maxima.aux, archive/info/maxima.fns,
	  archive/info/maxima.log, archive/info/maxima.toc,
	  archive/src/compile-cmulisp.lisp, archive/src/sys-proclaim.lisp,
	  archive/src/version.lisp, share/algebra/grob1.lisp,
	  src/csimp.lisp, src/generr.lisp, src/mstuff.lisp,
	  src/schatc.lisp, src/zero.lisp: changes to correct bugs under
	  clisp and cmulisp

2001-04-19 01:06  wfs

	* archive/makefile, archive/elisp/add-default.el,
	  archive/elisp/add-defaults.el, archive/elisp/ansi-doc.el,
	  archive/elisp/doc-to-texi.el, archive/elisp/gcl.el,
	  archive/elisp/man1-to-texi.el, archive/info/maxima.info-15,
	  archive/src/ChangeLog, archive/src/compile-clisp.lisp,
	  archive/src/compile-cmulisp.lisp, archive/src/init_max1.lisp,
